#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1168
#define LARGE_STATE_COUNT 281
#define SYMBOL_COUNT 341
#define ALIAS_COUNT 0
#define TOKEN_COUNT 129
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 1

enum {
  anon_sym_import = 1,
  anon_sym_SLASH = 2,
  anon_sym_as = 3,
  anon_sym_SEMI = 4,
  anon_sym_DOT = 5,
  anon_sym_public = 6,
  anon_sym_enum = 7,
  anon_sym_LBRACE = 8,
  anon_sym_COMMA = 9,
  anon_sym_RBRACE = 10,
  anon_sym_EQ = 11,
  anon_sym_function = 12,
  anon_sym_EQ_GT = 13,
  anon_sym_LPAREN = 14,
  anon_sym_RPAREN = 15,
  anon_sym_returns = 16,
  anon_sym_const = 17,
  anon_sym_class = 18,
  anon_sym_distinct = 19,
  anon_sym_readonly = 20,
  anon_sym_isolated = 21,
  anon_sym_client = 22,
  anon_sym_service = 23,
  anon_sym_private = 24,
  anon_sym_final = 25,
  anon_sym_STAR = 26,
  anon_sym_remote = 27,
  sym_transactional_qual = 28,
  anon_sym_type = 29,
  anon_sym_object = 30,
  anon_sym_PIPE = 31,
  anon_sym_AMP = 32,
  anon_sym_QMARK = 33,
  anon_sym_LBRACK = 34,
  anon_sym_RBRACK = 35,
  anon_sym_any = 36,
  anon_sym_anydata = 37,
  anon_sym_boolean = 38,
  anon_sym_byte = 39,
  anon_sym_error = 40,
  anon_sym_float = 41,
  anon_sym_int = 42,
  anon_sym_string = 43,
  anon_sym_COLON = 44,
  anon_sym_map = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_record = 48,
  anon_sym_LBRACE_PIPE = 49,
  anon_sym_PIPE_RBRACE = 50,
  anon_sym_DOT_DOT_DOT = 51,
  sym_wildcard_binding_pattern = 52,
  anon_sym_return = 53,
  anon_sym_if = 54,
  anon_sym_else = 55,
  anon_sym_while = 56,
  anon_sym_break = 57,
  anon_sym_continue = 58,
  anon_sym_foreach = 59,
  anon_sym_in = 60,
  anon_sym_panic = 61,
  anon_sym_match = 62,
  anon_sym_DASH = 63,
  anon_sym_xml = 64,
  anon_sym_new = 65,
  anon_sym_PIPE_PIPE = 66,
  anon_sym_AMP_AMP = 67,
  anon_sym_CARET = 68,
  anon_sym_EQ_EQ = 69,
  anon_sym_BANG_EQ = 70,
  anon_sym_EQ_EQ_EQ = 71,
  anon_sym_BANG_EQ_EQ = 72,
  anon_sym_GT_EQ = 73,
  anon_sym_LT_EQ = 74,
  anon_sym_LT_LT = 75,
  anon_sym_GT_GT = 76,
  anon_sym_GT_GT_GT = 77,
  anon_sym_PLUS = 78,
  anon_sym_PERCENT = 79,
  anon_sym_TILDE = 80,
  anon_sym_check = 81,
  anon_sym_checkpanic = 82,
  anon_sym_stream = 83,
  anon_sym_from = 84,
  anon_sym_where = 85,
  anon_sym_let = 86,
  anon_sym_outer = 87,
  anon_sym_join = 88,
  anon_sym_on = 89,
  anon_sym_equals = 90,
  anon_sym_order = 91,
  anon_sym_by = 92,
  anon_sym_ascending = 93,
  anon_sym_descending = 94,
  anon_sym_limit = 95,
  anon_sym_select = 96,
  anon_sym_conflict = 97,
  anon_sym_var = 98,
  anon_sym_null = 99,
  anon_sym_true = 100,
  anon_sym_false = 101,
  anon_sym_QMARK_COLON = 102,
  anon_sym_0 = 103,
  sym_non_zero_digit = 104,
  sym_digit = 105,
  anon_sym_0x = 106,
  anon_sym_0X = 107,
  aux_sym_hex_digit_token1 = 108,
  aux_sym_hex_digit_token2 = 109,
  anon_sym_e = 110,
  anon_sym_E = 111,
  anon_sym_p = 112,
  anon_sym_P = 113,
  anon_sym_d = 114,
  anon_sym_D = 115,
  anon_sym_f = 116,
  anon_sym_F = 117,
  sym_identifier = 118,
  anon_sym_BQUOTE = 119,
  anon_sym_DOLLAR_LBRACE = 120,
  anon_sym_DQUOTE = 121,
  aux_sym_string_body_token1 = 122,
  anon_sym_TAB = 123,
  anon_sym_LF = 124,
  anon_sym_CR = 125,
  anon_sym_BSLASH = 126,
  anon_sym_BSLASHu = 127,
  sym_comment = 128,
  sym_source_file = 129,
  sym_module_part = 130,
  sym_import_decl = 131,
  sym_org_name = 132,
  sym_module_name = 133,
  sym_import_prefix = 134,
  sym_module_defn = 135,
  sym_enum_decl = 136,
  sym_enum_member = 137,
  sym_function_defn = 138,
  sym_expr_function_body = 139,
  sym_signature = 140,
  sym_const_defn = 141,
  sym_class_defn = 142,
  sym_class_type_quals = 143,
  sym_class_member = 144,
  sym_object_field = 145,
  sym_object_type_inclusion = 146,
  sym_method_defn = 147,
  sym_remote_method_defn = 148,
  sym_object_visibility_qual = 149,
  sym_remote_method_quals = 150,
  sym_function_quals = 151,
  sym_isolated_qual = 152,
  sym_final_defn = 153,
  sym_type_defn = 154,
  sym_type_desc = 155,
  sym_function_type_desc = 156,
  sym_object_type_desc = 157,
  sym_object_type_members = 158,
  sym_method_decl = 159,
  sym_remote_method_decl = 160,
  sym_union_type_desc = 161,
  sym_intersection_type_desc = 162,
  sym_postfix_type_desc = 163,
  sym_optional_type_desc = 164,
  sym_array_type_desc = 165,
  sym_array_dimensions = 166,
  sym_array_member_type_desc = 167,
  sym_array_length = 168,
  sym_primary_type_desc = 169,
  sym_builtin_type_name = 170,
  sym_nil_type_desc = 171,
  sym_singleton_type_desc = 172,
  sym_type_reference = 173,
  sym_builtin_type_qualified_identifier = 174,
  sym_map_type_desc = 175,
  sym_record_type_desc = 176,
  sym_inclusive_record_type_desc = 177,
  sym_exclusive_record_type_desc = 178,
  sym_field_desc = 179,
  sym_individual_field_desc = 180,
  sym_field_name = 181,
  sym_default_expression = 182,
  sym_record_type_inclusion = 183,
  sym_rest_field_desc = 184,
  sym_tuple_type_desc = 185,
  sym_tuple_member_type_desc_list = 186,
  sym_tuple_rest_desc = 187,
  sym_param_list = 188,
  sym_param = 189,
  sym_defaultable_param = 190,
  sym_include_record_param = 191,
  sym_rest_param = 192,
  sym_stmt_block = 193,
  sym_statement = 194,
  sym_local_no_init_var_decl_stmt = 195,
  sym_local_var_decl_stmt = 196,
  sym_binding_pattern = 197,
  sym_call_stmt = 198,
  sym_call_expr = 199,
  sym_assign_stmt = 200,
  sym_compound_assign_stmt = 201,
  sym_destructuring_assign_stmt = 202,
  sym_lvexpr = 203,
  sym_variable_reference_expr = 204,
  sym_field_access_lvexpr = 205,
  sym_member_access_lvexpr = 206,
  sym_return_stmt = 207,
  sym_if_else_stmt = 208,
  sym_while_stmt = 209,
  sym_break_stmt = 210,
  sym_continue_stmt = 211,
  sym_foreach_stmt = 212,
  sym_panic_stmt = 213,
  sym_match_stmt = 214,
  sym_match_clause = 215,
  sym_match_pattern_list = 216,
  sym_match_pattern = 217,
  sym_simple_const_expr = 218,
  sym_simple_const_no_ref_expr = 219,
  sym_expression = 220,
  sym_new_expression = 221,
  sym_explicit_new_expression = 222,
  sym_implicit_new_expression = 223,
  sym_const_expr = 224,
  sym_const_reference_expr = 225,
  sym_inner_expr = 226,
  sym_logical_expr = 227,
  sym_logical_or_expr = 228,
  sym_logical_and_expr = 229,
  sym_nil_lifted_expr = 230,
  sym_binary_bitwise_expr = 231,
  sym_binary_and_expr = 232,
  sym_binary_or_expr = 233,
  sym_binary_xor_expr = 234,
  sym_equality_expr = 235,
  sym_relational_expr = 236,
  sym_shift_expr = 237,
  sym_additive_expr = 238,
  sym_multiplicative_expr = 239,
  sym_unary_numeric_expression = 240,
  sym_type_cast_expr = 241,
  sym_checking_keyword = 242,
  sym_primary_expr = 243,
  sym_query_expr = 244,
  sym_query_construct_type = 245,
  sym_query_pipeline = 246,
  sym_intermediate_clause = 247,
  sym_from_clause = 248,
  sym_where_clause = 249,
  sym_let_clause = 250,
  sym_join_clause = 251,
  sym_join_on_condition = 252,
  sym_order_by_clause = 253,
  sym_order_key = 254,
  sym_order_direction = 255,
  sym_limit_clause = 256,
  sym_select_clause = 257,
  sym_on_conflict_clause = 258,
  sym_typed_binding_pattern = 259,
  sym_inferable_type_desc = 260,
  sym_let_var_decl = 261,
  sym_literal = 262,
  sym_nil_literal = 263,
  sym_boolean_literal = 264,
  sym_error_constructor_expr = 265,
  sym_list_constructor_expr = 266,
  sym_expr_list = 267,
  sym_mapping_constructor_expr = 268,
  sym_field_list = 269,
  sym_field = 270,
  sym_member_access_expr = 271,
  sym_field_access_expr = 272,
  sym_function_call_expr = 273,
  sym_method_call_expr = 274,
  sym_arg_list = 275,
  sym_positional_args = 276,
  sym_positional_arg = 277,
  sym_other_args = 278,
  sym_named_args = 279,
  sym_named_arg = 280,
  sym_rest_args = 281,
  sym_function_reference = 282,
  sym_qualified_identifier = 283,
  sym_module_prefix = 284,
  sym_conditional_expr = 285,
  sym_ternary_conditional_expr = 286,
  sym_nil_conditional_expr = 287,
  sym_int_literal = 288,
  sym_decimal_number = 289,
  sym_hex_int_literal = 290,
  sym_hex_indicator = 291,
  sym_hex_number = 292,
  sym_hex_digit = 293,
  sym_floating_point_literal = 294,
  sym_decimal_floating_point_number = 295,
  sym_dotted_decimal_number = 296,
  sym_exponent = 297,
  sym_exponent_indicator = 298,
  sym_hex_floating_point_literal = 299,
  sym_hex_floating_point_number = 300,
  sym_dotted_hex_number = 301,
  sym_hex_exponent = 302,
  sym_hex_exponent_indicator = 303,
  sym_sign = 304,
  sym_floating_point_type_suffix = 305,
  sym_decimal_type_suffix = 306,
  sym_float_type_suffix = 307,
  sym_compound_assignment_operator = 308,
  sym_binary_operator = 309,
  sym_string_literal = 310,
  sym_double_quoted_string_literal = 311,
  sym_string_body = 312,
  sym_string_escape = 313,
  sym_string_single_escpace = 314,
  sym_numeric_escape = 315,
  sym_code_point = 316,
  aux_sym_module_part_repeat1 = 317,
  aux_sym_module_part_repeat2 = 318,
  aux_sym_enum_decl_repeat1 = 319,
  aux_sym_class_defn_repeat1 = 320,
  aux_sym_class_type_quals_repeat1 = 321,
  aux_sym_object_type_desc_repeat1 = 322,
  aux_sym_array_type_desc_repeat1 = 323,
  aux_sym_inclusive_record_type_desc_repeat1 = 324,
  aux_sym_tuple_member_type_desc_list_repeat1 = 325,
  aux_sym_param_list_repeat1 = 326,
  aux_sym_param_list_repeat2 = 327,
  aux_sym_param_list_repeat3 = 328,
  aux_sym_stmt_block_repeat1 = 329,
  aux_sym_match_stmt_repeat1 = 330,
  aux_sym_query_pipeline_repeat1 = 331,
  aux_sym_let_clause_repeat1 = 332,
  aux_sym_order_by_clause_repeat1 = 333,
  aux_sym_expr_list_repeat1 = 334,
  aux_sym_field_list_repeat1 = 335,
  aux_sym_positional_args_repeat1 = 336,
  aux_sym_named_args_repeat1 = 337,
  aux_sym_decimal_number_repeat1 = 338,
  aux_sym_hex_number_repeat1 = 339,
  aux_sym_string_body_repeat1 = 340,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_import] = "import",
  [anon_sym_SLASH] = "/",
  [anon_sym_as] = "as",
  [anon_sym_SEMI] = ";",
  [anon_sym_DOT] = ".",
  [anon_sym_public] = "public",
  [anon_sym_enum] = "enum",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ] = "=",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_returns] = "returns",
  [anon_sym_const] = "const",
  [anon_sym_class] = "class",
  [anon_sym_distinct] = "distinct",
  [anon_sym_readonly] = "readonly",
  [anon_sym_isolated] = "isolated",
  [anon_sym_client] = "client",
  [anon_sym_service] = "service",
  [anon_sym_private] = "private",
  [anon_sym_final] = "final",
  [anon_sym_STAR] = "*",
  [anon_sym_remote] = "remote",
  [sym_transactional_qual] = "transactional_qual",
  [anon_sym_type] = "type",
  [anon_sym_object] = "object",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_QMARK] = "\?",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_any] = "any",
  [anon_sym_anydata] = "anydata",
  [anon_sym_boolean] = "boolean",
  [anon_sym_byte] = "byte",
  [anon_sym_error] = "error",
  [anon_sym_float] = "float",
  [anon_sym_int] = "int",
  [anon_sym_string] = "string",
  [anon_sym_COLON] = ":",
  [anon_sym_map] = "map",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_record] = "record",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_wildcard_binding_pattern] = "wildcard_binding_pattern",
  [anon_sym_return] = "return",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_foreach] = "foreach",
  [anon_sym_in] = "in",
  [anon_sym_panic] = "panic",
  [anon_sym_match] = "match",
  [anon_sym_DASH] = "-",
  [anon_sym_xml] = "xml",
  [anon_sym_new] = "new",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_PLUS] = "+",
  [anon_sym_PERCENT] = "%",
  [anon_sym_TILDE] = "~",
  [anon_sym_check] = "check",
  [anon_sym_checkpanic] = "checkpanic",
  [anon_sym_stream] = "stream",
  [anon_sym_from] = "from",
  [anon_sym_where] = "where",
  [anon_sym_let] = "let",
  [anon_sym_outer] = "outer",
  [anon_sym_join] = "join",
  [anon_sym_on] = "on",
  [anon_sym_equals] = "equals",
  [anon_sym_order] = "order",
  [anon_sym_by] = "by",
  [anon_sym_ascending] = "ascending",
  [anon_sym_descending] = "descending",
  [anon_sym_limit] = "limit",
  [anon_sym_select] = "select",
  [anon_sym_conflict] = "conflict",
  [anon_sym_var] = "var",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_0] = "0",
  [sym_non_zero_digit] = "non_zero_digit",
  [sym_digit] = "digit",
  [anon_sym_0x] = "0x",
  [anon_sym_0X] = "0X",
  [aux_sym_hex_digit_token1] = "hex_digit_token1",
  [aux_sym_hex_digit_token2] = "hex_digit_token2",
  [anon_sym_e] = "e",
  [anon_sym_E] = "E",
  [anon_sym_p] = "p",
  [anon_sym_P] = "P",
  [anon_sym_d] = "d",
  [anon_sym_D] = "D",
  [anon_sym_f] = "f",
  [anon_sym_F] = "F",
  [sym_identifier] = "identifier",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_body_token1] = "string_body_token1",
  [anon_sym_TAB] = "\t",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_BSLASHu] = "\\u",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_module_part] = "module_part",
  [sym_import_decl] = "import_decl",
  [sym_org_name] = "org_name",
  [sym_module_name] = "module_name",
  [sym_import_prefix] = "import_prefix",
  [sym_module_defn] = "module_defn",
  [sym_enum_decl] = "enum_decl",
  [sym_enum_member] = "enum_member",
  [sym_function_defn] = "function_defn",
  [sym_expr_function_body] = "expr_function_body",
  [sym_signature] = "signature",
  [sym_const_defn] = "const_defn",
  [sym_class_defn] = "class_defn",
  [sym_class_type_quals] = "class_type_quals",
  [sym_class_member] = "class_member",
  [sym_object_field] = "object_field",
  [sym_object_type_inclusion] = "object_type_inclusion",
  [sym_method_defn] = "method_defn",
  [sym_remote_method_defn] = "remote_method_defn",
  [sym_object_visibility_qual] = "object_visibility_qual",
  [sym_remote_method_quals] = "remote_method_quals",
  [sym_function_quals] = "function_quals",
  [sym_isolated_qual] = "isolated_qual",
  [sym_final_defn] = "final_defn",
  [sym_type_defn] = "type_defn",
  [sym_type_desc] = "type_desc",
  [sym_function_type_desc] = "function_type_desc",
  [sym_object_type_desc] = "object_type_desc",
  [sym_object_type_members] = "object_type_members",
  [sym_method_decl] = "method_decl",
  [sym_remote_method_decl] = "remote_method_decl",
  [sym_union_type_desc] = "union_type_desc",
  [sym_intersection_type_desc] = "intersection_type_desc",
  [sym_postfix_type_desc] = "postfix_type_desc",
  [sym_optional_type_desc] = "optional_type_desc",
  [sym_array_type_desc] = "array_type_desc",
  [sym_array_dimensions] = "array_dimensions",
  [sym_array_member_type_desc] = "array_member_type_desc",
  [sym_array_length] = "array_length",
  [sym_primary_type_desc] = "primary_type_desc",
  [sym_builtin_type_name] = "builtin_type_name",
  [sym_nil_type_desc] = "nil_type_desc",
  [sym_singleton_type_desc] = "singleton_type_desc",
  [sym_type_reference] = "type_reference",
  [sym_builtin_type_qualified_identifier] = "builtin_type_qualified_identifier",
  [sym_map_type_desc] = "map_type_desc",
  [sym_record_type_desc] = "record_type_desc",
  [sym_inclusive_record_type_desc] = "inclusive_record_type_desc",
  [sym_exclusive_record_type_desc] = "exclusive_record_type_desc",
  [sym_field_desc] = "field_desc",
  [sym_individual_field_desc] = "individual_field_desc",
  [sym_field_name] = "field_name",
  [sym_default_expression] = "default_expression",
  [sym_record_type_inclusion] = "record_type_inclusion",
  [sym_rest_field_desc] = "rest_field_desc",
  [sym_tuple_type_desc] = "tuple_type_desc",
  [sym_tuple_member_type_desc_list] = "tuple_member_type_desc_list",
  [sym_tuple_rest_desc] = "tuple_rest_desc",
  [sym_param_list] = "param_list",
  [sym_param] = "param",
  [sym_defaultable_param] = "defaultable_param",
  [sym_include_record_param] = "include_record_param",
  [sym_rest_param] = "rest_param",
  [sym_stmt_block] = "stmt_block",
  [sym_statement] = "statement",
  [sym_local_no_init_var_decl_stmt] = "local_no_init_var_decl_stmt",
  [sym_local_var_decl_stmt] = "local_var_decl_stmt",
  [sym_binding_pattern] = "binding_pattern",
  [sym_call_stmt] = "call_stmt",
  [sym_call_expr] = "call_expr",
  [sym_assign_stmt] = "assign_stmt",
  [sym_compound_assign_stmt] = "compound_assign_stmt",
  [sym_destructuring_assign_stmt] = "destructuring_assign_stmt",
  [sym_lvexpr] = "lvexpr",
  [sym_variable_reference_expr] = "variable_reference_expr",
  [sym_field_access_lvexpr] = "field_access_lvexpr",
  [sym_member_access_lvexpr] = "member_access_lvexpr",
  [sym_return_stmt] = "return_stmt",
  [sym_if_else_stmt] = "if_else_stmt",
  [sym_while_stmt] = "while_stmt",
  [sym_break_stmt] = "break_stmt",
  [sym_continue_stmt] = "continue_stmt",
  [sym_foreach_stmt] = "foreach_stmt",
  [sym_panic_stmt] = "panic_stmt",
  [sym_match_stmt] = "match_stmt",
  [sym_match_clause] = "match_clause",
  [sym_match_pattern_list] = "match_pattern_list",
  [sym_match_pattern] = "match_pattern",
  [sym_simple_const_expr] = "simple_const_expr",
  [sym_simple_const_no_ref_expr] = "simple_const_no_ref_expr",
  [sym_expression] = "expression",
  [sym_new_expression] = "new_expression",
  [sym_explicit_new_expression] = "explicit_new_expression",
  [sym_implicit_new_expression] = "implicit_new_expression",
  [sym_const_expr] = "const_expr",
  [sym_const_reference_expr] = "const_reference_expr",
  [sym_inner_expr] = "inner_expr",
  [sym_logical_expr] = "logical_expr",
  [sym_logical_or_expr] = "logical_or_expr",
  [sym_logical_and_expr] = "logical_and_expr",
  [sym_nil_lifted_expr] = "nil_lifted_expr",
  [sym_binary_bitwise_expr] = "binary_bitwise_expr",
  [sym_binary_and_expr] = "binary_and_expr",
  [sym_binary_or_expr] = "binary_or_expr",
  [sym_binary_xor_expr] = "binary_xor_expr",
  [sym_equality_expr] = "equality_expr",
  [sym_relational_expr] = "relational_expr",
  [sym_shift_expr] = "shift_expr",
  [sym_additive_expr] = "additive_expr",
  [sym_multiplicative_expr] = "multiplicative_expr",
  [sym_unary_numeric_expression] = "unary_numeric_expression",
  [sym_type_cast_expr] = "type_cast_expr",
  [sym_checking_keyword] = "checking_keyword",
  [sym_primary_expr] = "primary_expr",
  [sym_query_expr] = "query_expr",
  [sym_query_construct_type] = "query_construct_type",
  [sym_query_pipeline] = "query_pipeline",
  [sym_intermediate_clause] = "intermediate_clause",
  [sym_from_clause] = "from_clause",
  [sym_where_clause] = "where_clause",
  [sym_let_clause] = "let_clause",
  [sym_join_clause] = "join_clause",
  [sym_join_on_condition] = "join_on_condition",
  [sym_order_by_clause] = "order_by_clause",
  [sym_order_key] = "order_key",
  [sym_order_direction] = "order_direction",
  [sym_limit_clause] = "limit_clause",
  [sym_select_clause] = "select_clause",
  [sym_on_conflict_clause] = "on_conflict_clause",
  [sym_typed_binding_pattern] = "typed_binding_pattern",
  [sym_inferable_type_desc] = "inferable_type_desc",
  [sym_let_var_decl] = "let_var_decl",
  [sym_literal] = "literal",
  [sym_nil_literal] = "nil_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym_error_constructor_expr] = "error_constructor_expr",
  [sym_list_constructor_expr] = "list_constructor_expr",
  [sym_expr_list] = "expr_list",
  [sym_mapping_constructor_expr] = "mapping_constructor_expr",
  [sym_field_list] = "field_list",
  [sym_field] = "field",
  [sym_member_access_expr] = "member_access_expr",
  [sym_field_access_expr] = "field_access_expr",
  [sym_function_call_expr] = "function_call_expr",
  [sym_method_call_expr] = "method_call_expr",
  [sym_arg_list] = "arg_list",
  [sym_positional_args] = "positional_args",
  [sym_positional_arg] = "positional_arg",
  [sym_other_args] = "other_args",
  [sym_named_args] = "named_args",
  [sym_named_arg] = "named_arg",
  [sym_rest_args] = "rest_args",
  [sym_function_reference] = "function_reference",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_module_prefix] = "module_prefix",
  [sym_conditional_expr] = "conditional_expr",
  [sym_ternary_conditional_expr] = "ternary_conditional_expr",
  [sym_nil_conditional_expr] = "nil_conditional_expr",
  [sym_int_literal] = "int_literal",
  [sym_decimal_number] = "decimal_number",
  [sym_hex_int_literal] = "hex_int_literal",
  [sym_hex_indicator] = "hex_indicator",
  [sym_hex_number] = "hex_number",
  [sym_hex_digit] = "hex_digit",
  [sym_floating_point_literal] = "floating_point_literal",
  [sym_decimal_floating_point_number] = "decimal_floating_point_number",
  [sym_dotted_decimal_number] = "dotted_decimal_number",
  [sym_exponent] = "exponent",
  [sym_exponent_indicator] = "exponent_indicator",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_hex_floating_point_number] = "hex_floating_point_number",
  [sym_dotted_hex_number] = "dotted_hex_number",
  [sym_hex_exponent] = "hex_exponent",
  [sym_hex_exponent_indicator] = "hex_exponent_indicator",
  [sym_sign] = "sign",
  [sym_floating_point_type_suffix] = "floating_point_type_suffix",
  [sym_decimal_type_suffix] = "decimal_type_suffix",
  [sym_float_type_suffix] = "float_type_suffix",
  [sym_compound_assignment_operator] = "compound_assignment_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_string_literal] = "string_literal",
  [sym_double_quoted_string_literal] = "double_quoted_string_literal",
  [sym_string_body] = "string_body",
  [sym_string_escape] = "string_escape",
  [sym_string_single_escpace] = "string_single_escpace",
  [sym_numeric_escape] = "numeric_escape",
  [sym_code_point] = "code_point",
  [aux_sym_module_part_repeat1] = "module_part_repeat1",
  [aux_sym_module_part_repeat2] = "module_part_repeat2",
  [aux_sym_enum_decl_repeat1] = "enum_decl_repeat1",
  [aux_sym_class_defn_repeat1] = "class_defn_repeat1",
  [aux_sym_class_type_quals_repeat1] = "class_type_quals_repeat1",
  [aux_sym_object_type_desc_repeat1] = "object_type_desc_repeat1",
  [aux_sym_array_type_desc_repeat1] = "array_type_desc_repeat1",
  [aux_sym_inclusive_record_type_desc_repeat1] = "inclusive_record_type_desc_repeat1",
  [aux_sym_tuple_member_type_desc_list_repeat1] = "tuple_member_type_desc_list_repeat1",
  [aux_sym_param_list_repeat1] = "param_list_repeat1",
  [aux_sym_param_list_repeat2] = "param_list_repeat2",
  [aux_sym_param_list_repeat3] = "param_list_repeat3",
  [aux_sym_stmt_block_repeat1] = "stmt_block_repeat1",
  [aux_sym_match_stmt_repeat1] = "match_stmt_repeat1",
  [aux_sym_query_pipeline_repeat1] = "query_pipeline_repeat1",
  [aux_sym_let_clause_repeat1] = "let_clause_repeat1",
  [aux_sym_order_by_clause_repeat1] = "order_by_clause_repeat1",
  [aux_sym_expr_list_repeat1] = "expr_list_repeat1",
  [aux_sym_field_list_repeat1] = "field_list_repeat1",
  [aux_sym_positional_args_repeat1] = "positional_args_repeat1",
  [aux_sym_named_args_repeat1] = "named_args_repeat1",
  [aux_sym_decimal_number_repeat1] = "decimal_number_repeat1",
  [aux_sym_hex_number_repeat1] = "hex_number_repeat1",
  [aux_sym_string_body_repeat1] = "string_body_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_returns] = anon_sym_returns,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_distinct] = anon_sym_distinct,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_isolated] = anon_sym_isolated,
  [anon_sym_client] = anon_sym_client,
  [anon_sym_service] = anon_sym_service,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_remote] = anon_sym_remote,
  [sym_transactional_qual] = sym_transactional_qual,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_anydata] = anon_sym_anydata,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [sym_wildcard_binding_pattern] = sym_wildcard_binding_pattern,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_panic] = anon_sym_panic,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_xml] = anon_sym_xml,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_check] = anon_sym_check,
  [anon_sym_checkpanic] = anon_sym_checkpanic,
  [anon_sym_stream] = anon_sym_stream,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_outer] = anon_sym_outer,
  [anon_sym_join] = anon_sym_join,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_equals] = anon_sym_equals,
  [anon_sym_order] = anon_sym_order,
  [anon_sym_by] = anon_sym_by,
  [anon_sym_ascending] = anon_sym_ascending,
  [anon_sym_descending] = anon_sym_descending,
  [anon_sym_limit] = anon_sym_limit,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_conflict] = anon_sym_conflict,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_0] = anon_sym_0,
  [sym_non_zero_digit] = sym_non_zero_digit,
  [sym_digit] = sym_digit,
  [anon_sym_0x] = anon_sym_0x,
  [anon_sym_0X] = anon_sym_0X,
  [aux_sym_hex_digit_token1] = aux_sym_hex_digit_token1,
  [aux_sym_hex_digit_token2] = aux_sym_hex_digit_token2,
  [anon_sym_e] = anon_sym_e,
  [anon_sym_E] = anon_sym_E,
  [anon_sym_p] = anon_sym_p,
  [anon_sym_P] = anon_sym_P,
  [anon_sym_d] = anon_sym_d,
  [anon_sym_D] = anon_sym_D,
  [anon_sym_f] = anon_sym_f,
  [anon_sym_F] = anon_sym_F,
  [sym_identifier] = sym_identifier,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_body_token1] = aux_sym_string_body_token1,
  [anon_sym_TAB] = anon_sym_TAB,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_BSLASHu] = anon_sym_BSLASHu,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_module_part] = sym_module_part,
  [sym_import_decl] = sym_import_decl,
  [sym_org_name] = sym_org_name,
  [sym_module_name] = sym_module_name,
  [sym_import_prefix] = sym_import_prefix,
  [sym_module_defn] = sym_module_defn,
  [sym_enum_decl] = sym_enum_decl,
  [sym_enum_member] = sym_enum_member,
  [sym_function_defn] = sym_function_defn,
  [sym_expr_function_body] = sym_expr_function_body,
  [sym_signature] = sym_signature,
  [sym_const_defn] = sym_const_defn,
  [sym_class_defn] = sym_class_defn,
  [sym_class_type_quals] = sym_class_type_quals,
  [sym_class_member] = sym_class_member,
  [sym_object_field] = sym_object_field,
  [sym_object_type_inclusion] = sym_object_type_inclusion,
  [sym_method_defn] = sym_method_defn,
  [sym_remote_method_defn] = sym_remote_method_defn,
  [sym_object_visibility_qual] = sym_object_visibility_qual,
  [sym_remote_method_quals] = sym_remote_method_quals,
  [sym_function_quals] = sym_function_quals,
  [sym_isolated_qual] = sym_isolated_qual,
  [sym_final_defn] = sym_final_defn,
  [sym_type_defn] = sym_type_defn,
  [sym_type_desc] = sym_type_desc,
  [sym_function_type_desc] = sym_function_type_desc,
  [sym_object_type_desc] = sym_object_type_desc,
  [sym_object_type_members] = sym_object_type_members,
  [sym_method_decl] = sym_method_decl,
  [sym_remote_method_decl] = sym_remote_method_decl,
  [sym_union_type_desc] = sym_union_type_desc,
  [sym_intersection_type_desc] = sym_intersection_type_desc,
  [sym_postfix_type_desc] = sym_postfix_type_desc,
  [sym_optional_type_desc] = sym_optional_type_desc,
  [sym_array_type_desc] = sym_array_type_desc,
  [sym_array_dimensions] = sym_array_dimensions,
  [sym_array_member_type_desc] = sym_array_member_type_desc,
  [sym_array_length] = sym_array_length,
  [sym_primary_type_desc] = sym_primary_type_desc,
  [sym_builtin_type_name] = sym_builtin_type_name,
  [sym_nil_type_desc] = sym_nil_type_desc,
  [sym_singleton_type_desc] = sym_singleton_type_desc,
  [sym_type_reference] = sym_type_reference,
  [sym_builtin_type_qualified_identifier] = sym_builtin_type_qualified_identifier,
  [sym_map_type_desc] = sym_map_type_desc,
  [sym_record_type_desc] = sym_record_type_desc,
  [sym_inclusive_record_type_desc] = sym_inclusive_record_type_desc,
  [sym_exclusive_record_type_desc] = sym_exclusive_record_type_desc,
  [sym_field_desc] = sym_field_desc,
  [sym_individual_field_desc] = sym_individual_field_desc,
  [sym_field_name] = sym_field_name,
  [sym_default_expression] = sym_default_expression,
  [sym_record_type_inclusion] = sym_record_type_inclusion,
  [sym_rest_field_desc] = sym_rest_field_desc,
  [sym_tuple_type_desc] = sym_tuple_type_desc,
  [sym_tuple_member_type_desc_list] = sym_tuple_member_type_desc_list,
  [sym_tuple_rest_desc] = sym_tuple_rest_desc,
  [sym_param_list] = sym_param_list,
  [sym_param] = sym_param,
  [sym_defaultable_param] = sym_defaultable_param,
  [sym_include_record_param] = sym_include_record_param,
  [sym_rest_param] = sym_rest_param,
  [sym_stmt_block] = sym_stmt_block,
  [sym_statement] = sym_statement,
  [sym_local_no_init_var_decl_stmt] = sym_local_no_init_var_decl_stmt,
  [sym_local_var_decl_stmt] = sym_local_var_decl_stmt,
  [sym_binding_pattern] = sym_binding_pattern,
  [sym_call_stmt] = sym_call_stmt,
  [sym_call_expr] = sym_call_expr,
  [sym_assign_stmt] = sym_assign_stmt,
  [sym_compound_assign_stmt] = sym_compound_assign_stmt,
  [sym_destructuring_assign_stmt] = sym_destructuring_assign_stmt,
  [sym_lvexpr] = sym_lvexpr,
  [sym_variable_reference_expr] = sym_variable_reference_expr,
  [sym_field_access_lvexpr] = sym_field_access_lvexpr,
  [sym_member_access_lvexpr] = sym_member_access_lvexpr,
  [sym_return_stmt] = sym_return_stmt,
  [sym_if_else_stmt] = sym_if_else_stmt,
  [sym_while_stmt] = sym_while_stmt,
  [sym_break_stmt] = sym_break_stmt,
  [sym_continue_stmt] = sym_continue_stmt,
  [sym_foreach_stmt] = sym_foreach_stmt,
  [sym_panic_stmt] = sym_panic_stmt,
  [sym_match_stmt] = sym_match_stmt,
  [sym_match_clause] = sym_match_clause,
  [sym_match_pattern_list] = sym_match_pattern_list,
  [sym_match_pattern] = sym_match_pattern,
  [sym_simple_const_expr] = sym_simple_const_expr,
  [sym_simple_const_no_ref_expr] = sym_simple_const_no_ref_expr,
  [sym_expression] = sym_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_explicit_new_expression] = sym_explicit_new_expression,
  [sym_implicit_new_expression] = sym_implicit_new_expression,
  [sym_const_expr] = sym_const_expr,
  [sym_const_reference_expr] = sym_const_reference_expr,
  [sym_inner_expr] = sym_inner_expr,
  [sym_logical_expr] = sym_logical_expr,
  [sym_logical_or_expr] = sym_logical_or_expr,
  [sym_logical_and_expr] = sym_logical_and_expr,
  [sym_nil_lifted_expr] = sym_nil_lifted_expr,
  [sym_binary_bitwise_expr] = sym_binary_bitwise_expr,
  [sym_binary_and_expr] = sym_binary_and_expr,
  [sym_binary_or_expr] = sym_binary_or_expr,
  [sym_binary_xor_expr] = sym_binary_xor_expr,
  [sym_equality_expr] = sym_equality_expr,
  [sym_relational_expr] = sym_relational_expr,
  [sym_shift_expr] = sym_shift_expr,
  [sym_additive_expr] = sym_additive_expr,
  [sym_multiplicative_expr] = sym_multiplicative_expr,
  [sym_unary_numeric_expression] = sym_unary_numeric_expression,
  [sym_type_cast_expr] = sym_type_cast_expr,
  [sym_checking_keyword] = sym_checking_keyword,
  [sym_primary_expr] = sym_primary_expr,
  [sym_query_expr] = sym_query_expr,
  [sym_query_construct_type] = sym_query_construct_type,
  [sym_query_pipeline] = sym_query_pipeline,
  [sym_intermediate_clause] = sym_intermediate_clause,
  [sym_from_clause] = sym_from_clause,
  [sym_where_clause] = sym_where_clause,
  [sym_let_clause] = sym_let_clause,
  [sym_join_clause] = sym_join_clause,
  [sym_join_on_condition] = sym_join_on_condition,
  [sym_order_by_clause] = sym_order_by_clause,
  [sym_order_key] = sym_order_key,
  [sym_order_direction] = sym_order_direction,
  [sym_limit_clause] = sym_limit_clause,
  [sym_select_clause] = sym_select_clause,
  [sym_on_conflict_clause] = sym_on_conflict_clause,
  [sym_typed_binding_pattern] = sym_typed_binding_pattern,
  [sym_inferable_type_desc] = sym_inferable_type_desc,
  [sym_let_var_decl] = sym_let_var_decl,
  [sym_literal] = sym_literal,
  [sym_nil_literal] = sym_nil_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_error_constructor_expr] = sym_error_constructor_expr,
  [sym_list_constructor_expr] = sym_list_constructor_expr,
  [sym_expr_list] = sym_expr_list,
  [sym_mapping_constructor_expr] = sym_mapping_constructor_expr,
  [sym_field_list] = sym_field_list,
  [sym_field] = sym_field,
  [sym_member_access_expr] = sym_member_access_expr,
  [sym_field_access_expr] = sym_field_access_expr,
  [sym_function_call_expr] = sym_function_call_expr,
  [sym_method_call_expr] = sym_method_call_expr,
  [sym_arg_list] = sym_arg_list,
  [sym_positional_args] = sym_positional_args,
  [sym_positional_arg] = sym_positional_arg,
  [sym_other_args] = sym_other_args,
  [sym_named_args] = sym_named_args,
  [sym_named_arg] = sym_named_arg,
  [sym_rest_args] = sym_rest_args,
  [sym_function_reference] = sym_function_reference,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_module_prefix] = sym_module_prefix,
  [sym_conditional_expr] = sym_conditional_expr,
  [sym_ternary_conditional_expr] = sym_ternary_conditional_expr,
  [sym_nil_conditional_expr] = sym_nil_conditional_expr,
  [sym_int_literal] = sym_int_literal,
  [sym_decimal_number] = sym_decimal_number,
  [sym_hex_int_literal] = sym_hex_int_literal,
  [sym_hex_indicator] = sym_hex_indicator,
  [sym_hex_number] = sym_hex_number,
  [sym_hex_digit] = sym_hex_digit,
  [sym_floating_point_literal] = sym_floating_point_literal,
  [sym_decimal_floating_point_number] = sym_decimal_floating_point_number,
  [sym_dotted_decimal_number] = sym_dotted_decimal_number,
  [sym_exponent] = sym_exponent,
  [sym_exponent_indicator] = sym_exponent_indicator,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_hex_floating_point_number] = sym_hex_floating_point_number,
  [sym_dotted_hex_number] = sym_dotted_hex_number,
  [sym_hex_exponent] = sym_hex_exponent,
  [sym_hex_exponent_indicator] = sym_hex_exponent_indicator,
  [sym_sign] = sym_sign,
  [sym_floating_point_type_suffix] = sym_floating_point_type_suffix,
  [sym_decimal_type_suffix] = sym_decimal_type_suffix,
  [sym_float_type_suffix] = sym_float_type_suffix,
  [sym_compound_assignment_operator] = sym_compound_assignment_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_string_literal] = sym_string_literal,
  [sym_double_quoted_string_literal] = sym_double_quoted_string_literal,
  [sym_string_body] = sym_string_body,
  [sym_string_escape] = sym_string_escape,
  [sym_string_single_escpace] = sym_string_single_escpace,
  [sym_numeric_escape] = sym_numeric_escape,
  [sym_code_point] = sym_code_point,
  [aux_sym_module_part_repeat1] = aux_sym_module_part_repeat1,
  [aux_sym_module_part_repeat2] = aux_sym_module_part_repeat2,
  [aux_sym_enum_decl_repeat1] = aux_sym_enum_decl_repeat1,
  [aux_sym_class_defn_repeat1] = aux_sym_class_defn_repeat1,
  [aux_sym_class_type_quals_repeat1] = aux_sym_class_type_quals_repeat1,
  [aux_sym_object_type_desc_repeat1] = aux_sym_object_type_desc_repeat1,
  [aux_sym_array_type_desc_repeat1] = aux_sym_array_type_desc_repeat1,
  [aux_sym_inclusive_record_type_desc_repeat1] = aux_sym_inclusive_record_type_desc_repeat1,
  [aux_sym_tuple_member_type_desc_list_repeat1] = aux_sym_tuple_member_type_desc_list_repeat1,
  [aux_sym_param_list_repeat1] = aux_sym_param_list_repeat1,
  [aux_sym_param_list_repeat2] = aux_sym_param_list_repeat2,
  [aux_sym_param_list_repeat3] = aux_sym_param_list_repeat3,
  [aux_sym_stmt_block_repeat1] = aux_sym_stmt_block_repeat1,
  [aux_sym_match_stmt_repeat1] = aux_sym_match_stmt_repeat1,
  [aux_sym_query_pipeline_repeat1] = aux_sym_query_pipeline_repeat1,
  [aux_sym_let_clause_repeat1] = aux_sym_let_clause_repeat1,
  [aux_sym_order_by_clause_repeat1] = aux_sym_order_by_clause_repeat1,
  [aux_sym_expr_list_repeat1] = aux_sym_expr_list_repeat1,
  [aux_sym_field_list_repeat1] = aux_sym_field_list_repeat1,
  [aux_sym_positional_args_repeat1] = aux_sym_positional_args_repeat1,
  [aux_sym_named_args_repeat1] = aux_sym_named_args_repeat1,
  [aux_sym_decimal_number_repeat1] = aux_sym_decimal_number_repeat1,
  [aux_sym_hex_number_repeat1] = aux_sym_hex_number_repeat1,
  [aux_sym_string_body_repeat1] = aux_sym_string_body_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_returns] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_distinct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isolated] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_client] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_service] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_remote] = {
    .visible = true,
    .named = false,
  },
  [sym_transactional_qual] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_anydata] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_wildcard_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_panic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_check] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_checkpanic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stream] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_outer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_join] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equals] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_order] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_by] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ascending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_descending] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_limit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_conflict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = false,
  },
  [sym_non_zero_digit] = {
    .visible = true,
    .named = true,
  },
  [sym_digit] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0x] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_0X] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hex_digit_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hex_digit_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_e] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_E] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_p] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_P] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_d] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_D] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_f] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_F] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_body_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_TAB] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_module_part] = {
    .visible = true,
    .named = true,
  },
  [sym_import_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_org_name] = {
    .visible = true,
    .named = true,
  },
  [sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_module_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_member] = {
    .visible = true,
    .named = true,
  },
  [sym_function_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_const_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_class_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_quals] = {
    .visible = true,
    .named = true,
  },
  [sym_class_member] = {
    .visible = true,
    .named = true,
  },
  [sym_object_field] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type_inclusion] = {
    .visible = true,
    .named = true,
  },
  [sym_method_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_method_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_object_visibility_qual] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_method_quals] = {
    .visible = true,
    .named = true,
  },
  [sym_function_quals] = {
    .visible = true,
    .named = true,
  },
  [sym_isolated_qual] = {
    .visible = true,
    .named = true,
  },
  [sym_final_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_type_defn] = {
    .visible = true,
    .named = true,
  },
  [sym_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type_members] = {
    .visible = true,
    .named = true,
  },
  [sym_method_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_remote_method_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_array_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_array_member_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_array_length] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type_name] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_singleton_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_type_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin_type_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_record_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_inclusive_record_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_exclusive_record_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_field_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_individual_field_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [sym_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_type_inclusion] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_field_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_member_type_desc_list] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_rest_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_param_list] = {
    .visible = true,
    .named = true,
  },
  [sym_param] = {
    .visible = true,
    .named = true,
  },
  [sym_defaultable_param] = {
    .visible = true,
    .named = true,
  },
  [sym_include_record_param] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_param] = {
    .visible = true,
    .named = true,
  },
  [sym_stmt_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_no_init_var_decl_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_local_var_decl_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_call_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assign_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_destructuring_assign_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_lvexpr] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_reference_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access_lvexpr] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_lvexpr] = {
    .visible = true,
    .named = true,
  },
  [sym_return_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_if_else_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_while_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_break_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_panic_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_match_stmt] = {
    .visible = true,
    .named = true,
  },
  [sym_match_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_const_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_const_no_ref_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_const_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_const_reference_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_inner_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_or_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_and_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_lifted_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_bitwise_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_and_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_or_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_xor_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_shift_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_numeric_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_checking_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_query_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_query_construct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_query_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_intermediate_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_from_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_let_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_join_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_join_on_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_order_by_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_order_key] = {
    .visible = true,
    .named = true,
  },
  [sym_order_direction] = {
    .visible = true,
    .named = true,
  },
  [sym_limit_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_select_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_on_conflict_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_inferable_type_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_let_var_decl] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_error_constructor_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_list_constructor_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_expr_list] = {
    .visible = true,
    .named = true,
  },
  [sym_mapping_constructor_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_field_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_field_access_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_method_call_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_arg_list] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_args] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_other_args] = {
    .visible = true,
    .named = true,
  },
  [sym_named_args] = {
    .visible = true,
    .named = true,
  },
  [sym_named_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_args] = {
    .visible = true,
    .named = true,
  },
  [sym_function_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_module_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_conditional_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_nil_conditional_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_number] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_indicator] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_number] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_digit] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_number] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_decimal_number] = {
    .visible = true,
    .named = true,
  },
  [sym_exponent] = {
    .visible = true,
    .named = true,
  },
  [sym_exponent_indicator] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_number] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_hex_number] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_exponent] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_exponent_indicator] = {
    .visible = true,
    .named = true,
  },
  [sym_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_type_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_float_type_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assignment_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_double_quoted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_body] = {
    .visible = true,
    .named = true,
  },
  [sym_string_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_string_single_escpace] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_code_point] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_part_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_decl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_defn_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_quals_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_desc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_type_desc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inclusive_record_type_desc_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_member_type_desc_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_param_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_param_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_param_list_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_stmt_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_stmt_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_query_pipeline_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expr_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_positional_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_args_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decimal_number_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_hex_number_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_body_repeat1] = {
    .visible = false,
    .named = false,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 8,
  [9] = 8,
  [10] = 8,
  [11] = 8,
  [12] = 8,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 40,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 40,
  [50] = 50,
  [51] = 51,
  [52] = 51,
  [53] = 51,
  [54] = 51,
  [55] = 51,
  [56] = 51,
  [57] = 51,
  [58] = 51,
  [59] = 36,
  [60] = 51,
  [61] = 51,
  [62] = 36,
  [63] = 63,
  [64] = 51,
  [65] = 36,
  [66] = 36,
  [67] = 67,
  [68] = 68,
  [69] = 51,
  [70] = 70,
  [71] = 36,
  [72] = 72,
  [73] = 42,
  [74] = 51,
  [75] = 75,
  [76] = 36,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 51,
  [81] = 81,
  [82] = 38,
  [83] = 37,
  [84] = 38,
  [85] = 37,
  [86] = 38,
  [87] = 37,
  [88] = 38,
  [89] = 37,
  [90] = 40,
  [91] = 91,
  [92] = 38,
  [93] = 93,
  [94] = 94,
  [95] = 37,
  [96] = 38,
  [97] = 37,
  [98] = 98,
  [99] = 38,
  [100] = 100,
  [101] = 37,
  [102] = 38,
  [103] = 37,
  [104] = 104,
  [105] = 72,
  [106] = 70,
  [107] = 107,
  [108] = 36,
  [109] = 109,
  [110] = 110,
  [111] = 51,
  [112] = 40,
  [113] = 113,
  [114] = 114,
  [115] = 38,
  [116] = 116,
  [117] = 117,
  [118] = 94,
  [119] = 116,
  [120] = 68,
  [121] = 93,
  [122] = 91,
  [123] = 123,
  [124] = 81,
  [125] = 38,
  [126] = 116,
  [127] = 37,
  [128] = 68,
  [129] = 70,
  [130] = 72,
  [131] = 42,
  [132] = 75,
  [133] = 77,
  [134] = 78,
  [135] = 79,
  [136] = 81,
  [137] = 91,
  [138] = 93,
  [139] = 94,
  [140] = 140,
  [141] = 79,
  [142] = 78,
  [143] = 77,
  [144] = 38,
  [145] = 116,
  [146] = 37,
  [147] = 68,
  [148] = 75,
  [149] = 149,
  [150] = 42,
  [151] = 37,
  [152] = 72,
  [153] = 153,
  [154] = 154,
  [155] = 70,
  [156] = 156,
  [157] = 68,
  [158] = 158,
  [159] = 37,
  [160] = 38,
  [161] = 116,
  [162] = 162,
  [163] = 163,
  [164] = 37,
  [165] = 116,
  [166] = 166,
  [167] = 167,
  [168] = 68,
  [169] = 38,
  [170] = 94,
  [171] = 51,
  [172] = 93,
  [173] = 91,
  [174] = 81,
  [175] = 79,
  [176] = 78,
  [177] = 77,
  [178] = 75,
  [179] = 42,
  [180] = 72,
  [181] = 70,
  [182] = 68,
  [183] = 37,
  [184] = 68,
  [185] = 116,
  [186] = 38,
  [187] = 37,
  [188] = 94,
  [189] = 93,
  [190] = 190,
  [191] = 91,
  [192] = 81,
  [193] = 79,
  [194] = 78,
  [195] = 77,
  [196] = 75,
  [197] = 38,
  [198] = 116,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 204,
  [206] = 204,
  [207] = 207,
  [208] = 208,
  [209] = 204,
  [210] = 210,
  [211] = 204,
  [212] = 212,
  [213] = 204,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 210,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 237,
  [242] = 237,
  [243] = 243,
  [244] = 237,
  [245] = 238,
  [246] = 246,
  [247] = 237,
  [248] = 237,
  [249] = 237,
  [250] = 237,
  [251] = 238,
  [252] = 237,
  [253] = 253,
  [254] = 239,
  [255] = 240,
  [256] = 240,
  [257] = 239,
  [258] = 258,
  [259] = 237,
  [260] = 237,
  [261] = 261,
  [262] = 246,
  [263] = 237,
  [264] = 237,
  [265] = 238,
  [266] = 238,
  [267] = 246,
  [268] = 239,
  [269] = 240,
  [270] = 237,
  [271] = 237,
  [272] = 240,
  [273] = 239,
  [274] = 246,
  [275] = 238,
  [276] = 246,
  [277] = 277,
  [278] = 246,
  [279] = 279,
  [280] = 237,
  [281] = 281,
  [282] = 282,
  [283] = 282,
  [284] = 281,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 282,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 281,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 295,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 287,
  [364] = 364,
  [365] = 289,
  [366] = 289,
  [367] = 295,
  [368] = 292,
  [369] = 290,
  [370] = 370,
  [371] = 290,
  [372] = 372,
  [373] = 295,
  [374] = 292,
  [375] = 375,
  [376] = 287,
  [377] = 377,
  [378] = 334,
  [379] = 332,
  [380] = 311,
  [381] = 364,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 384,
  [388] = 388,
  [389] = 389,
  [390] = 311,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 372,
  [396] = 372,
  [397] = 370,
  [398] = 375,
  [399] = 399,
  [400] = 400,
  [401] = 332,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 364,
  [407] = 370,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 375,
  [414] = 334,
  [415] = 382,
  [416] = 416,
  [417] = 377,
  [418] = 364,
  [419] = 392,
  [420] = 420,
  [421] = 421,
  [422] = 364,
  [423] = 377,
  [424] = 391,
  [425] = 364,
  [426] = 294,
  [427] = 296,
  [428] = 392,
  [429] = 391,
  [430] = 421,
  [431] = 315,
  [432] = 420,
  [433] = 294,
  [434] = 391,
  [435] = 392,
  [436] = 296,
  [437] = 420,
  [438] = 315,
  [439] = 421,
  [440] = 294,
  [441] = 296,
  [442] = 421,
  [443] = 315,
  [444] = 420,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 294,
  [449] = 315,
  [450] = 294,
  [451] = 451,
  [452] = 296,
  [453] = 296,
  [454] = 311,
  [455] = 332,
  [456] = 456,
  [457] = 457,
  [458] = 315,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 364,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 384,
  [473] = 473,
  [474] = 474,
  [475] = 382,
  [476] = 294,
  [477] = 364,
  [478] = 377,
  [479] = 479,
  [480] = 315,
  [481] = 296,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 296,
  [495] = 294,
  [496] = 315,
  [497] = 296,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 315,
  [502] = 294,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 517,
  [521] = 517,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 517,
  [532] = 532,
  [533] = 517,
  [534] = 534,
  [535] = 517,
  [536] = 536,
  [537] = 517,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 517,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 282,
  [550] = 282,
  [551] = 282,
  [552] = 281,
  [553] = 281,
  [554] = 287,
  [555] = 334,
  [556] = 281,
  [557] = 282,
  [558] = 292,
  [559] = 295,
  [560] = 292,
  [561] = 287,
  [562] = 562,
  [563] = 295,
  [564] = 564,
  [565] = 565,
  [566] = 332,
  [567] = 311,
  [568] = 293,
  [569] = 569,
  [570] = 289,
  [571] = 290,
  [572] = 311,
  [573] = 282,
  [574] = 332,
  [575] = 289,
  [576] = 290,
  [577] = 372,
  [578] = 295,
  [579] = 334,
  [580] = 580,
  [581] = 581,
  [582] = 372,
  [583] = 583,
  [584] = 287,
  [585] = 293,
  [586] = 290,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 292,
  [591] = 289,
  [592] = 311,
  [593] = 375,
  [594] = 332,
  [595] = 370,
  [596] = 596,
  [597] = 597,
  [598] = 352,
  [599] = 599,
  [600] = 600,
  [601] = 353,
  [602] = 602,
  [603] = 327,
  [604] = 322,
  [605] = 321,
  [606] = 325,
  [607] = 607,
  [608] = 377,
  [609] = 609,
  [610] = 377,
  [611] = 318,
  [612] = 343,
  [613] = 613,
  [614] = 392,
  [615] = 615,
  [616] = 616,
  [617] = 350,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 307,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 359,
  [629] = 348,
  [630] = 630,
  [631] = 631,
  [632] = 358,
  [633] = 633,
  [634] = 310,
  [635] = 635,
  [636] = 338,
  [637] = 312,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 286,
  [643] = 643,
  [644] = 375,
  [645] = 285,
  [646] = 287,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 295,
  [651] = 377,
  [652] = 652,
  [653] = 653,
  [654] = 370,
  [655] = 391,
  [656] = 292,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 391,
  [661] = 392,
  [662] = 392,
  [663] = 372,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 382,
  [671] = 671,
  [672] = 672,
  [673] = 332,
  [674] = 384,
  [675] = 382,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 311,
  [680] = 384,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 420,
  [697] = 695,
  [698] = 391,
  [699] = 286,
  [700] = 421,
  [701] = 392,
  [702] = 702,
  [703] = 372,
  [704] = 285,
  [705] = 695,
  [706] = 706,
  [707] = 702,
  [708] = 695,
  [709] = 695,
  [710] = 295,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 377,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 420,
  [721] = 721,
  [722] = 421,
  [723] = 723,
  [724] = 392,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 728,
  [730] = 730,
  [731] = 728,
  [732] = 728,
  [733] = 728,
  [734] = 728,
  [735] = 728,
  [736] = 716,
  [737] = 728,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 716,
  [742] = 742,
  [743] = 728,
  [744] = 744,
  [745] = 721,
  [746] = 721,
  [747] = 728,
  [748] = 742,
  [749] = 749,
  [750] = 750,
  [751] = 742,
  [752] = 752,
  [753] = 730,
  [754] = 754,
  [755] = 730,
  [756] = 721,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 716,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 765,
  [768] = 765,
  [769] = 730,
  [770] = 742,
  [771] = 771,
  [772] = 765,
  [773] = 771,
  [774] = 771,
  [775] = 775,
  [776] = 771,
  [777] = 649,
  [778] = 771,
  [779] = 771,
  [780] = 780,
  [781] = 771,
  [782] = 657,
  [783] = 783,
  [784] = 784,
  [785] = 771,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 788,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 788,
  [798] = 795,
  [799] = 799,
  [800] = 721,
  [801] = 795,
  [802] = 802,
  [803] = 803,
  [804] = 716,
  [805] = 788,
  [806] = 795,
  [807] = 795,
  [808] = 788,
  [809] = 788,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 813,
  [815] = 813,
  [816] = 816,
  [817] = 813,
  [818] = 813,
  [819] = 819,
  [820] = 820,
  [821] = 813,
  [822] = 813,
  [823] = 823,
  [824] = 813,
  [825] = 825,
  [826] = 813,
  [827] = 827,
  [828] = 813,
  [829] = 813,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 730,
  [834] = 813,
  [835] = 813,
  [836] = 813,
  [837] = 837,
  [838] = 721,
  [839] = 839,
  [840] = 813,
  [841] = 742,
  [842] = 813,
  [843] = 716,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 851,
  [853] = 851,
  [854] = 854,
  [855] = 851,
  [856] = 851,
  [857] = 851,
  [858] = 851,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 851,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 851,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 851,
  [871] = 871,
  [872] = 872,
  [873] = 851,
  [874] = 874,
  [875] = 875,
  [876] = 851,
  [877] = 851,
  [878] = 851,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 851,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 851,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 920,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 921,
  [927] = 927,
  [928] = 928,
  [929] = 921,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 930,
  [936] = 924,
  [937] = 937,
  [938] = 930,
  [939] = 924,
  [940] = 940,
  [941] = 941,
  [942] = 930,
  [943] = 924,
  [944] = 944,
  [945] = 930,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 932,
  [950] = 924,
  [951] = 951,
  [952] = 930,
  [953] = 924,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 930,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 958,
  [962] = 924,
  [963] = 920,
  [964] = 964,
  [965] = 932,
  [966] = 920,
  [967] = 958,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 924,
  [973] = 925,
  [974] = 921,
  [975] = 930,
  [976] = 976,
  [977] = 977,
  [978] = 930,
  [979] = 979,
  [980] = 932,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 958,
  [985] = 924,
  [986] = 986,
  [987] = 987,
  [988] = 921,
  [989] = 989,
  [990] = 920,
  [991] = 991,
  [992] = 924,
  [993] = 925,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 944,
  [998] = 930,
  [999] = 925,
  [1000] = 932,
  [1001] = 930,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 958,
  [1005] = 930,
  [1006] = 1006,
  [1007] = 924,
  [1008] = 944,
  [1009] = 924,
  [1010] = 1010,
  [1011] = 930,
  [1012] = 924,
  [1013] = 925,
  [1014] = 924,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 930,
  [1019] = 1019,
  [1020] = 932,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 958,
  [1024] = 930,
  [1025] = 924,
  [1026] = 944,
  [1027] = 1027,
  [1028] = 924,
  [1029] = 1029,
  [1030] = 930,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1036,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1036,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1036,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1036,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1036,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1050,
  [1076] = 1071,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1036,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1036,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1044,
  [1093] = 1071,
  [1094] = 1094,
  [1095] = 1034,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1044,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1050,
  [1146] = 1146,
  [1147] = 1044,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1044,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1044,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1034,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1050,
  [1165] = 1165,
  [1166] = 1127,
  [1167] = 1050,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(331);
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '$') ADVANCE(326);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(480);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(347);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == '`') ADVANCE(730);
      if (lookahead == 'a') ADVANCE(490);
      if (lookahead == 'd') ADVANCE(505);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'f') ADVANCE(510);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'm') ADVANCE(142);
      if (lookahead == 'n') ADVANCE(178);
      if (lookahead == 'o') ADVANCE(156);
      if (lookahead == 'p') ADVANCE(500);
      if (lookahead == 'r') ADVANCE(179);
      if (lookahead == 's') ADVANCE(181);
      if (lookahead == 't') ADVANCE(279);
      if (lookahead == 'v') ADVANCE(145);
      if (lookahead == 'w') ADVANCE(209);
      if (lookahead == 'x') ADVANCE(243);
      if (lookahead == '{') ADVANCE(342);
      if (lookahead == '|') ADVANCE(379);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '~') ADVANCE(441);
      if (lookahead == 'b' ||
          lookahead == 'c') ADVANCE(486);
      if (('A' <= lookahead && lookahead <= 'C')) ADVANCE(492);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      END_STATE();
    case 1:
      if (lookahead == '\t') ADVANCE(733);
      if (lookahead == '\n') ADVANCE(737);
      if (lookahead == '\r') ADVANCE(733);
      if (lookahead == ' ') ADVANCE(733);
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(735);
      if (lookahead == '/') ADVANCE(734);
      if (lookahead == '\\') ADVANCE(739);
      if (lookahead != 0) ADVANCE(735);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(90)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(90)
      if (lookahead == '\r') SKIP(2)
      if (lookahead == 'u') ADVANCE(740);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(91)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(91)
      if (lookahead == '\r') SKIP(4)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(108)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(108)
      if (lookahead == '\r') SKIP(6)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(113)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(113)
      if (lookahead == '\r') SKIP(8)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(112)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(112)
      if (lookahead == '\r') SKIP(10)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(111)
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(111)
      if (lookahead == '\r') SKIP(12)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(109)
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(109)
      if (lookahead == '\r') SKIP(14)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(114)
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(114)
      if (lookahead == '\r') SKIP(16)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(115)
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(115)
      if (lookahead == '\r') SKIP(18)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(101)
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(101)
      if (lookahead == '\r') SKIP(20)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(104)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(104)
      if (lookahead == '\r') SKIP(22)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(102)
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(102)
      if (lookahead == '\r') SKIP(24)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(100)
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(100)
      if (lookahead == '\r') SKIP(26)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(105)
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(105)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(94)
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(94)
      if (lookahead == '\r') SKIP(30)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(106)
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(106)
      if (lookahead == '\r') SKIP(32)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(95)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(95)
      if (lookahead == '\r') SKIP(34)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(116)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(116)
      if (lookahead == '\r') SKIP(36)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(103)
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(103)
      if (lookahead == '\r') SKIP(38)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(96)
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(96)
      if (lookahead == '\r') SKIP(40)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(93)
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(93)
      if (lookahead == '\r') SKIP(42)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(92)
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(92)
      if (lookahead == '\r') SKIP(44)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(117)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(117)
      if (lookahead == '\r') SKIP(46)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(107)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(107)
      if (lookahead == '\r') SKIP(48)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(98)
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(98)
      if (lookahead == '\r') SKIP(50)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(99)
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(99)
      if (lookahead == '\r') SKIP(52)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(123)
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(123)
      if (lookahead == '\r') SKIP(54)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(120)
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(120)
      if (lookahead == '\r') SKIP(56)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(119)
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(119)
      if (lookahead == '\r') SKIP(58)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(126)
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(126)
      if (lookahead == '\r') SKIP(60)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(118)
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(118)
      if (lookahead == '\r') SKIP(62)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(121)
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(121)
      if (lookahead == '\r') SKIP(64)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(124)
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(124)
      if (lookahead == '\r') SKIP(66)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(130)
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(130)
      if (lookahead == '\r') SKIP(68)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(129)
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(129)
      if (lookahead == '\r') SKIP(70)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(132)
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(132)
      if (lookahead == '\r') SKIP(72)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(122)
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(122)
      if (lookahead == '\r') SKIP(74)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(131)
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(131)
      if (lookahead == '\r') SKIP(76)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(127)
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(127)
      if (lookahead == '\r') SKIP(78)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(133)
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(133)
      if (lookahead == '\r') SKIP(80)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(128)
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(128)
      if (lookahead == '\r') SKIP(82)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(110)
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(110)
      if (lookahead == '\r') SKIP(84)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(97)
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(97)
      if (lookahead == '\r') SKIP(86)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(125)
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(125)
      if (lookahead == '\r') SKIP(88)
      END_STATE();
    case 90:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '$') ADVANCE(326);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(480);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(347);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') ADVANCE(3);
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == '`') ADVANCE(730);
      if (lookahead == 'a') ADVANCE(490);
      if (lookahead == 'd') ADVANCE(505);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'f') ADVANCE(510);
      if (lookahead == 'i') ADVANCE(203);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'm') ADVANCE(142);
      if (lookahead == 'n') ADVANCE(178);
      if (lookahead == 'o') ADVANCE(156);
      if (lookahead == 'p') ADVANCE(500);
      if (lookahead == 'r') ADVANCE(179);
      if (lookahead == 's') ADVANCE(181);
      if (lookahead == 't') ADVANCE(279);
      if (lookahead == 'v') ADVANCE(145);
      if (lookahead == 'w') ADVANCE(209);
      if (lookahead == 'x') ADVANCE(243);
      if (lookahead == '{') ADVANCE(342);
      if (lookahead == '|') ADVANCE(379);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '~') ADVANCE(441);
      if (lookahead == 'b' ||
          lookahead == 'c') ADVANCE(486);
      if (('A' <= lookahead && lookahead <= 'C')) ADVANCE(492);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(90)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      END_STATE();
    case 91:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(346);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(5)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(660);
      if (lookahead == 'c') ADVANCE(600);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(514);
      if (lookahead == 'i') ADVANCE(593);
      if (lookahead == 'm') ADVANCE(519);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'p') ADVANCE(528);
      if (lookahead == 'r') ADVANCE(562);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(532);
      if (lookahead == 'w') ADVANCE(597);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(91)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 92:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(346);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(45)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(92)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 93:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(43)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'o') ADVANCE(642);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 94:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '0') ADVANCE(141);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(31)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(697);
      if (lookahead == 'd') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(686);
      if (lookahead == 'j') ADVANCE(671);
      if (lookahead == 'l') ADVANCE(579);
      if (lookahead == 'o') ADVANCE(641);
      if (lookahead == 's') ADVANCE(589);
      if (lookahead == 'w') ADVANCE(602);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 95:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(35)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(697);
      if (lookahead == 'd') ADVANCE(592);
      if (lookahead == 'f') ADVANCE(686);
      if (lookahead == 'j') ADVANCE(671);
      if (lookahead == 'l') ADVANCE(579);
      if (lookahead == 'o') ADVANCE(685);
      if (lookahead == 's') ADVANCE(589);
      if (lookahead == 'w') ADVANCE(602);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 96:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(41)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'f') ADVANCE(686);
      if (lookahead == 'j') ADVANCE(671);
      if (lookahead == 'l') ADVANCE(579);
      if (lookahead == 'o') ADVANCE(641);
      if (lookahead == 's') ADVANCE(589);
      if (lookahead == 'w') ADVANCE(602);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 97:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(87)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'f') ADVANCE(686);
      if (lookahead == 'j') ADVANCE(671);
      if (lookahead == 'l') ADVANCE(579);
      if (lookahead == 'o') ADVANCE(685);
      if (lookahead == 's') ADVANCE(589);
      if (lookahead == 'w') ADVANCE(602);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(97)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 98:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(51)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(675);
      if (lookahead == 'o') ADVANCE(642);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(98)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 99:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(53)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(675);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(99)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 100:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(347);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(508);
      if (lookahead == 'E') ADVANCE(498);
      if (lookahead == 'F') ADVANCE(513);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(27)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'd') ADVANCE(506);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'f') ADVANCE(511);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(100)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 101:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(21)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(290);
      if (lookahead == 'd') ADVANCE(505);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'f') ADVANCE(510);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'o') ADVANCE(247);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == 's') ADVANCE(198);
      if (lookahead == 'w') ADVANCE(210);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(101)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 102:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(25)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'd') ADVANCE(504);
      if (lookahead == 'e') ADVANCE(495);
      if (lookahead == 'f') ADVANCE(509);
      if (lookahead == 'o') ADVANCE(246);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(102)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 103:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(39)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'o') ADVANCE(246);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(103)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 104:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(346);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(23)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(294);
      if (lookahead == 'd') ADVANCE(504);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'f') ADVANCE(510);
      if (lookahead == 'i') ADVANCE(245);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'o') ADVANCE(247);
      if (lookahead == 's') ADVANCE(198);
      if (lookahead == 'w') ADVANCE(210);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(104)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 105:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(29)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(490);
      if (lookahead == 'd') ADVANCE(487);
      if (lookahead == 'f') ADVANCE(489);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'o') ADVANCE(247);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == 's') ADVANCE(198);
      if (lookahead == 'w') ADVANCE(210);
      if (lookahead == '|') ADVANCE(378);
      if (('b' <= lookahead && lookahead <= 'e')) ADVANCE(486);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(105)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 106:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(33)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'f') ADVANCE(489);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'o') ADVANCE(247);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == 's') ADVANCE(198);
      if (lookahead == 'w') ADVANCE(210);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(106)
      if (('a' <= lookahead && lookahead <= 'e')) ADVANCE(486);
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 107:
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(49)
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'e') ADVANCE(488);
      if (lookahead == 'o') ADVANCE(246);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(107)
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(486);
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 108:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '<') ADVANCE(398);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(7)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == 'c') ADVANCE(601);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(517);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(569);
      if (lookahead == 's') ADVANCE(718);
      if (lookahead == 't') ADVANCE(692);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '~') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(108)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 109:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(15)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(516);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(573);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 110:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(85)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(516);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(573);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(110)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 111:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(13)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(516);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(573);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(111)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 112:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(398);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(11)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == 'c') ADVANCE(601);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(517);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(569);
      if (lookahead == 's') ADVANCE(718);
      if (lookahead == 't') ADVANCE(692);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '~') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(112)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 113:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(9)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(515);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'p') ADVANCE(687);
      if (lookahead == 'r') ADVANCE(570);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == '|') ADVANCE(327);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(113)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 114:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(17)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(516);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(573);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(532);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(114)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 115:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(19)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(515);
      if (lookahead == 'i') ADVANCE(649);
      if (lookahead == 'm') ADVANCE(526);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'r') ADVANCE(573);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(115)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 116:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(37)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(660);
      if (lookahead == 'c') ADVANCE(600);
      if (lookahead == 'e') ADVANCE(630);
      if (lookahead == 'f') ADVANCE(514);
      if (lookahead == 'i') ADVANCE(593);
      if (lookahead == 'm') ADVANCE(519);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 'o') ADVANCE(542);
      if (lookahead == 'p') ADVANCE(528);
      if (lookahead == 'r') ADVANCE(562);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(676);
      if (lookahead == 'v') ADVANCE(532);
      if (lookahead == 'w') ADVANCE(597);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(116)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 117:
      if (lookahead == '"') ADVANCE(732);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '0') ADVANCE(481);
      if (lookahead == '\\') SKIP(47)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'f') ADVANCE(518);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 't') ADVANCE(692);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(117)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(482);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 118:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(134);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '=') ADVANCE(348);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(63)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(118)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 119:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(59)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == 'd') ADVANCE(504);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'f') ADVANCE(509);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == 'r') ADVANCE(199);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(119)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 120:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'D') ADVANCE(508);
      if (lookahead == 'E') ADVANCE(498);
      if (lookahead == 'F') ADVANCE(513);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(57)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'd') ADVANCE(506);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'f') ADVANCE(511);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(120)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 121:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(503);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(65)
      if (lookahead == 'p') ADVANCE(501);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(121)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(493);
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 122:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(503);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(75)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'p') ADVANCE(501);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(122)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 123:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'D') ADVANCE(508);
      if (lookahead == 'E') ADVANCE(498);
      if (lookahead == 'F') ADVANCE(513);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(55)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'd') ADVANCE(506);
      if (lookahead == 'e') ADVANCE(496);
      if (lookahead == 'f') ADVANCE(511);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(123)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 124:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(503);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(67)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'p') ADVANCE(501);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(124)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(493);
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 125:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(503);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(89)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'p') ADVANCE(501);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(125)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 126:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(134);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'D') ADVANCE(508);
      if (lookahead == 'F') ADVANCE(513);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(61)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'd') ADVANCE(506);
      if (lookahead == 'f') ADVANCE(511);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 127:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(134);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(79)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(127)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 128:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(134);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '=') ADVANCE(345);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(83)
      if (lookahead == '_') ADVANCE(407);
      if (lookahead == 'r') ADVANCE(584);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(128)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 129:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '.') ADVANCE(337);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(71)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(129)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 130:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'D') ADVANCE(507);
      if (lookahead == 'E') ADVANCE(497);
      if (lookahead == 'F') ADVANCE(512);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(69)
      if (lookahead == 'd') ADVANCE(504);
      if (lookahead == 'e') ADVANCE(494);
      if (lookahead == 'f') ADVANCE(509);
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(130)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 131:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '&') ADVANCE(380);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '>') ADVANCE(400);
      if (lookahead == '?') ADVANCE(382);
      if (lookahead == 'P') ADVANCE(502);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(77)
      if (lookahead == 'p') ADVANCE(499);
      if (lookahead == '|') ADVANCE(377);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(131)
      if (('A' <= lookahead && lookahead <= 'F')) ADVANCE(492);
      if (('a' <= lookahead && lookahead <= 'f')) ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 132:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '\\') SKIP(73)
      if (lookahead == 'a') ADVANCE(636);
      if (lookahead == 'b') ADVANCE(661);
      if (lookahead == 'e') ADVANCE(682);
      if (lookahead == 'f') ADVANCE(624);
      if (lookahead == 'i') ADVANCE(650);
      if (lookahead == 'r') ADVANCE(586);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(132)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 133:
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '/') ADVANCE(136);
      if (lookahead == '\\') SKIP(81)
      if (lookahead == 'c') ADVANCE(601);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(133)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 134:
      if (lookahead == '.') ADVANCE(135);
      END_STATE();
    case 135:
      if (lookahead == '.') ADVANCE(406);
      END_STATE();
    case 136:
      if (lookahead == '/') ADVANCE(741);
      END_STATE();
    case 137:
      if (lookahead == '=') ADVANCE(431);
      END_STATE();
    case 138:
      if (lookahead == '=') ADVANCE(430);
      END_STATE();
    case 139:
      if (lookahead == '=') ADVANCE(430);
      if (lookahead == '>') ADVANCE(351);
      END_STATE();
    case 140:
      if (lookahead == '>') ADVANCE(351);
      END_STATE();
    case 141:
      if (lookahead == 'X') ADVANCE(485);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'c') ADVANCE(272);
      if (lookahead == 'm') ADVANCE(275);
      if (lookahead == 't') ADVANCE(319);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'm') ADVANCE(275);
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 145:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 146:
      if (lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 148:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 149:
      if (lookahead == 'a') ADVANCE(296);
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(231);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(228);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(310);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(164);
      END_STATE();
    case 155:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 156:
      if (lookahead == 'b') ADVANCE(224);
      if (lookahead == 'n') ADVANCE(456);
      if (lookahead == 'r') ADVANCE(172);
      if (lookahead == 'u') ADVANCE(313);
      END_STATE();
    case 157:
      if (lookahead == 'b') ADVANCE(234);
      END_STATE();
    case 158:
      if (lookahead == 'c') ADVANCE(419);
      END_STATE();
    case 159:
      if (lookahead == 'c') ADVANCE(338);
      END_STATE();
    case 160:
      if (lookahead == 'c') ADVANCE(193);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(208);
      END_STATE();
    case 162:
      if (lookahead == 'c') ADVANCE(302);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(303);
      END_STATE();
    case 164:
      if (lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(188);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(307);
      END_STATE();
    case 168:
      if (lookahead == 'c') ADVANCE(315);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(202);
      END_STATE();
    case 170:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 171:
      if (lookahead == 'd') ADVANCE(361);
      END_STATE();
    case 172:
      if (lookahead == 'd') ADVANCE(196);
      END_STATE();
    case 173:
      if (lookahead == 'd') ADVANCE(271);
      END_STATE();
    case 174:
      if (lookahead == 'd') ADVANCE(216);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(298);
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(299);
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(323);
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 179:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(238);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(238);
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(374);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 185:
      if (lookahead == 'e') ADVANCE(413);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(365);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 190:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(287);
      if (lookahead == 'i') ADVANCE(235);
      END_STATE();
    case 193:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 194:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 200:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 203:
      if (lookahead == 'f') ADVANCE(410);
      if (lookahead == 'm') ADVANCE(277);
      if (lookahead == 'n') ADVANCE(418);
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(236);
      if (lookahead == 's') ADVANCE(304);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(393);
      END_STATE();
    case 206:
      if (lookahead == 'g') ADVANCE(463);
      END_STATE();
    case 207:
      if (lookahead == 'g') ADVANCE(465);
      END_STATE();
    case 208:
      if (lookahead == 'h') ADVANCE(421);
      END_STATE();
    case 209:
      if (lookahead == 'h') ADVANCE(192);
      END_STATE();
    case 210:
      if (lookahead == 'h') ADVANCE(191);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 212:
      if (lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 213:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 214:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 215:
      if (lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(254);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 218:
      if (lookahead == 'i') ADVANCE(166);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 220:
      if (lookahead == 'i') ADVANCE(274);
      END_STATE();
    case 221:
      if (lookahead == 'i') ADVANCE(165);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(263);
      if (lookahead == 'r') ADVANCE(268);
      if (lookahead == 'u') ADVANCE(266);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(264);
      END_STATE();
    case 224:
      if (lookahead == 'j') ADVANCE(190);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(424);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 227:
      if (lookahead == 'l') ADVANCE(324);
      END_STATE();
    case 228:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 229:
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(367);
      END_STATE();
    case 231:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 233:
      if (lookahead == 'l') ADVANCE(226);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(185);
      END_STATE();
    case 236:
      if (lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 237:
      if (lookahead == 'l') ADVANCE(201);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(201);
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 239:
      if (lookahead == 'm') ADVANCE(277);
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 240:
      if (lookahead == 'm') ADVANCE(446);
      END_STATE();
    case 241:
      if (lookahead == 'm') ADVANCE(444);
      END_STATE();
    case 242:
      if (lookahead == 'm') ADVANCE(340);
      END_STATE();
    case 243:
      if (lookahead == 'm') ADVANCE(225);
      END_STATE();
    case 244:
      if (lookahead == 'm') ADVANCE(213);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(456);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(456);
      if (lookahead == 'r') ADVANCE(172);
      if (lookahead == 'u') ADVANCE(313);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(454);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(205);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(408);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(349);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(295);
      END_STATE();
    case 254:
      if (lookahead == 'n') ADVANCE(206);
      END_STATE();
    case 255:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 256:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(318);
      if (lookahead == 'q') ADVANCE(317);
      END_STATE();
    case 258:
      if (lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(227);
      END_STATE();
    case 261:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 262:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 263:
      if (lookahead == 'n') ADVANCE(152);
      END_STATE();
    case 264:
      if (lookahead == 'n') ADVANCE(167);
      END_STATE();
    case 265:
      if (lookahead == 'n') ADVANCE(175);
      END_STATE();
    case 266:
      if (lookahead == 'n') ADVANCE(168);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(212);
      END_STATE();
    case 268:
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 269:
      if (lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 270:
      if (lookahead == 'o') ADVANCE(284);
      END_STATE();
    case 271:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 272:
      if (lookahead == 'o') ADVANCE(285);
      END_STATE();
    case 273:
      if (lookahead == 'o') ADVANCE(262);
      END_STATE();
    case 274:
      if (lookahead == 'o') ADVANCE(252);
      END_STATE();
    case 275:
      if (lookahead == 'o') ADVANCE(309);
      END_STATE();
    case 276:
      if (lookahead == 'p') ADVANCE(396);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 277:
      if (lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 278:
      if (lookahead == 'p') ADVANCE(183);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(147);
      if (lookahead == 'y') ADVANCE(278);
      END_STATE();
    case 280:
      if (lookahead == 'r') ADVANCE(472);
      END_STATE();
    case 281:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(452);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(301);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(170);
      END_STATE();
    case 286:
      if (lookahead == 'r') ADVANCE(146);
      if (lookahead == 'y') ADVANCE(278);
      END_STATE();
    case 287:
      if (lookahead == 'r') ADVANCE(184);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 289:
      if (lookahead == 'r') ADVANCE(259);
      END_STATE();
    case 290:
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 291:
      if (lookahead == 's') ADVANCE(458);
      END_STATE();
    case 292:
      if (lookahead == 's') ADVANCE(357);
      END_STATE();
    case 293:
      if (lookahead == 's') ADVANCE(354);
      END_STATE();
    case 294:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 295:
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 296:
      if (lookahead == 's') ADVANCE(292);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(314);
      END_STATE();
    case 298:
      if (lookahead == 's') ADVANCE(169);
      END_STATE();
    case 299:
      if (lookahead == 't') ADVANCE(450);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(467);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 304:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(471);
      END_STATE();
    case 307:
      if (lookahead == 't') ADVANCE(358);
      END_STATE();
    case 308:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(186);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(223);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(220);
      END_STATE();
    case 316:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 317:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 318:
      if (lookahead == 'u') ADVANCE(242);
      END_STATE();
    case 319:
      if (lookahead == 'u') ADVANCE(288);
      END_STATE();
    case 320:
      if (lookahead == 'u') ADVANCE(289);
      END_STATE();
    case 321:
      if (lookahead == 'v') ADVANCE(218);
      END_STATE();
    case 322:
      if (lookahead == 'v') ADVANCE(155);
      END_STATE();
    case 323:
      if (lookahead == 'w') ADVANCE(425);
      END_STATE();
    case 324:
      if (lookahead == 'y') ADVANCE(359);
      END_STATE();
    case 325:
      if (lookahead == 'y') ADVANCE(462);
      END_STATE();
    case 326:
      if (lookahead == '{') ADVANCE(731);
      END_STATE();
    case 327:
      if (lookahead == '}') ADVANCE(405);
      END_STATE();
    case 328:
      if (eof) ADVANCE(331);
      if (lookahead == '\n') SKIP(330)
      END_STATE();
    case 329:
      if (eof) ADVANCE(331);
      if (lookahead == '\n') SKIP(330)
      if (lookahead == '\r') SKIP(328)
      END_STATE();
    case 330:
      if (eof) ADVANCE(331);
      if (lookahead == '!') ADVANCE(137);
      if (lookahead == '#') ADVANCE(741);
      if (lookahead == '%') ADVANCE(440);
      if (lookahead == '&') ADVANCE(381);
      if (lookahead == '(') ADVANCE(352);
      if (lookahead == ')') ADVANCE(353);
      if (lookahead == '*') ADVANCE(369);
      if (lookahead == '+') ADVANCE(439);
      if (lookahead == ',') ADVANCE(343);
      if (lookahead == '-') ADVANCE(423);
      if (lookahead == '.') ADVANCE(336);
      if (lookahead == '/') ADVANCE(333);
      if (lookahead == ':') ADVANCE(395);
      if (lookahead == ';') ADVANCE(335);
      if (lookahead == '<') ADVANCE(399);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(401);
      if (lookahead == '?') ADVANCE(383);
      if (lookahead == '[') ADVANCE(384);
      if (lookahead == '\\') SKIP(329)
      if (lookahead == ']') ADVANCE(385);
      if (lookahead == '^') ADVANCE(429);
      if (lookahead == 'a') ADVANCE(290);
      if (lookahead == 'b') ADVANCE(325);
      if (lookahead == 'c') ADVANCE(229);
      if (lookahead == 'd') ADVANCE(176);
      if (lookahead == 'e') ADVANCE(257);
      if (lookahead == 'f') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(239);
      if (lookahead == 'j') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(177);
      if (lookahead == 'o') ADVANCE(247);
      if (lookahead == 'p') ADVANCE(316);
      if (lookahead == 'r') ADVANCE(189);
      if (lookahead == 's') ADVANCE(180);
      if (lookahead == 't') ADVANCE(286);
      if (lookahead == 'w') ADVANCE(210);
      if (lookahead == '{') ADVANCE(341);
      if (lookahead == '|') ADVANCE(378);
      if (lookahead == '}') ADVANCE(344);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(330)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(483);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(741);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(135);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_public);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(404);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(430);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(430);
      if (lookahead == '>') ADVANCE(351);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(351);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_function);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_returns);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_returns);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_distinct);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_readonly);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_isolated);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_isolated);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_client);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_service);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_private);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_final);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_remote);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_remote);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym_transactional_qual);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym_transactional_qual);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_object);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(427);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(427);
      if (lookahead == '}') ADVANCE(405);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(428);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == ':') ADVANCE(479);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_any);
      if (lookahead == 'd') ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_anydata);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_byte);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_error);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_float);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_int);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_string);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_map);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(436);
      if (lookahead == '=') ADVANCE(435);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(434);
      if (lookahead == '>') ADVANCE(437);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_record);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym_wildcard_binding_pattern);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_return);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_while);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym_break);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym_continue);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_foreach);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_panic);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_panic);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_match);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_xml);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_new);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(432);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(433);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(438);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_check);
      if (lookahead == 'p') ADVANCE(539);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_checkpanic);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_stream);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_stream);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_from);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_where);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_let);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_outer);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_outer);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_join);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_join);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_on);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_equals);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_equals);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_order);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_order);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_by);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_ascending);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_ascending);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_descending);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_descending);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_limit);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_limit);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_select);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_conflict);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_var);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_0);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == 'x') ADVANCE(484);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_non_zero_digit);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_digit);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_0x);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_0X);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      if (lookahead == 'q') ADVANCE(317);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      if (lookahead == 's') ADVANCE(160);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_hex_digit_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_hex_digit_token2);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_hex_digit_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_e);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_e);
      if (lookahead == 'q') ADVANCE(317);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_e);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_E);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_E);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_p);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_p);
      if (lookahead == 'a') ADVANCE(258);
      if (lookahead == 'r') ADVANCE(211);
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_p);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_P);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_P);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_d);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_d);
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_d);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_D);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_D);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_f);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_f);
      if (lookahead == 'r') ADVANCE(268);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_f);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_F);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_F);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (lookahead == 'i') ADVANCE(653);
      if (lookahead == 'l') ADVANCE(665);
      if (lookahead == 'o') ADVANCE(691);
      if (lookahead == 'u') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (lookahead == 'i') ADVANCE(653);
      if (lookahead == 'l') ADVANCE(665);
      if (lookahead == 'u') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (lookahead == 'l') ADVANCE(665);
      if (lookahead == 'u') ADVANCE(645);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (lookahead == 'r') ADVANCE(662);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(619);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(673);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'c') ADVANCE(667);
      if (lookahead == 'm') ADVANCE(670);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'c') ADVANCE(667);
      if (lookahead == 't') ADVANCE(721);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (lookahead == 'c') ADVANCE(667);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(617);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(674);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(634);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(644);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(702);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(646);
      if (lookahead == 'u') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(677);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(621);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(712);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(622);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(639);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(625);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(711);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(657);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(714);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(616);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'b') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(598);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(599);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(708);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(703);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(710);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(706);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(585);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(403);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(362);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(668);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(581);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(612);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(613);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(548);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(414);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(416);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(726);
      if (lookahead == 'u') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(557);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(530);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(704);
      if (lookahead == 'i') ADVANCE(635);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(690);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(679);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(680);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(527);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(717);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(655);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(632);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(659);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(700);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(411);
      if (lookahead == 'n') ADVANCE(701);
      if (lookahead == 's') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'g') ADVANCE(466);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(614);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(422);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(417);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(563);
      if (lookahead == 'o') ADVANCE(652);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(580);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(725);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(672);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(545);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(637);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(648);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(705);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(643);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(647);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(629);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(669);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'j') ADVANCE(588);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(696);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(475);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(728);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(665);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(694);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(620);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(587);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(567);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(699);
      if (lookahead == 'r') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(608);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(590);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'm') ADVANCE(610);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(727);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(594);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(409);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(350);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(457);
      if (lookahead == 'r') ADVANCE(559);
      if (lookahead == 'u') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(455);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(604);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(595);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(722);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(701);
      if (lookahead == 's') ADVANCE(664);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(701);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(596);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(716);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(695);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(606);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(561);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(663);
      if (lookahead == 'r') ADVANCE(577);
      if (lookahead == 'y') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(663);
      if (lookahead == 'y') ADVANCE(707);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(633);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(627);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(628);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(678);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(681);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(656);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(640);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(713);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(658);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(397);
      if (lookahead == 't') ADVANCE(547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'q') ADVANCE(724);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(556);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(683);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(666);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(607);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(559);
      if (lookahead == 'u') ADVANCE(715);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(662);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(603);
      if (lookahead == 'u') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(654);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(578);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(720);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(583);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(355);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(566);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(575);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(392);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(391);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(564);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(615);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(684);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(605);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(576);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(525);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(571);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(572);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(582);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(609);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(723);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(693);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(565);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(688);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(689);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'v') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'w') ADVANCE(426);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(360);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(729);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(aux_sym_string_body_token1);
      if (lookahead == '\t') ADVANCE(733);
      if (lookahead == '\r') ADVANCE(733);
      if (lookahead == ' ') ADVANCE(733);
      if (lookahead == '#') ADVANCE(735);
      if (lookahead == '/') ADVANCE(734);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(735);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(aux_sym_string_body_token1);
      if (lookahead == '/') ADVANCE(735);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(735);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(aux_sym_string_body_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(735);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_TAB);
      if (lookahead == '\t') ADVANCE(736);
      if (lookahead == '\n') ADVANCE(737);
      if (lookahead == '\r') ADVANCE(738);
      if (lookahead == '\\') ADVANCE(739);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\t') ADVANCE(736);
      if (lookahead == '\n') ADVANCE(737);
      if (lookahead == '\r') ADVANCE(738);
      if (lookahead == '\\') ADVANCE(739);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\t') ADVANCE(736);
      if (lookahead == '\n') ADVANCE(737);
      if (lookahead == '\r') ADVANCE(738);
      if (lookahead == '\\') ADVANCE(739);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(741);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 330},
  [2] = {.lex_state = 91},
  [3] = {.lex_state = 91},
  [4] = {.lex_state = 91},
  [5] = {.lex_state = 91},
  [6] = {.lex_state = 91},
  [7] = {.lex_state = 91},
  [8] = {.lex_state = 91},
  [9] = {.lex_state = 91},
  [10] = {.lex_state = 91},
  [11] = {.lex_state = 91},
  [12] = {.lex_state = 91},
  [13] = {.lex_state = 108},
  [14] = {.lex_state = 113},
  [15] = {.lex_state = 113},
  [16] = {.lex_state = 113},
  [17] = {.lex_state = 113},
  [18] = {.lex_state = 113},
  [19] = {.lex_state = 113},
  [20] = {.lex_state = 113},
  [21] = {.lex_state = 112},
  [22] = {.lex_state = 113},
  [23] = {.lex_state = 113},
  [24] = {.lex_state = 113},
  [25] = {.lex_state = 112},
  [26] = {.lex_state = 112},
  [27] = {.lex_state = 112},
  [28] = {.lex_state = 112},
  [29] = {.lex_state = 112},
  [30] = {.lex_state = 112},
  [31] = {.lex_state = 112},
  [32] = {.lex_state = 112},
  [33] = {.lex_state = 112},
  [34] = {.lex_state = 112},
  [35] = {.lex_state = 112},
  [36] = {.lex_state = 112},
  [37] = {.lex_state = 112},
  [38] = {.lex_state = 112},
  [39] = {.lex_state = 112},
  [40] = {.lex_state = 112},
  [41] = {.lex_state = 112},
  [42] = {.lex_state = 112},
  [43] = {.lex_state = 112},
  [44] = {.lex_state = 112},
  [45] = {.lex_state = 112},
  [46] = {.lex_state = 112},
  [47] = {.lex_state = 112},
  [48] = {.lex_state = 112},
  [49] = {.lex_state = 112},
  [50] = {.lex_state = 112},
  [51] = {.lex_state = 112},
  [52] = {.lex_state = 112},
  [53] = {.lex_state = 112},
  [54] = {.lex_state = 112},
  [55] = {.lex_state = 112},
  [56] = {.lex_state = 112},
  [57] = {.lex_state = 112},
  [58] = {.lex_state = 112},
  [59] = {.lex_state = 112},
  [60] = {.lex_state = 112},
  [61] = {.lex_state = 112},
  [62] = {.lex_state = 112},
  [63] = {.lex_state = 112},
  [64] = {.lex_state = 112},
  [65] = {.lex_state = 112},
  [66] = {.lex_state = 112},
  [67] = {.lex_state = 112},
  [68] = {.lex_state = 112},
  [69] = {.lex_state = 112},
  [70] = {.lex_state = 112},
  [71] = {.lex_state = 112},
  [72] = {.lex_state = 112},
  [73] = {.lex_state = 112},
  [74] = {.lex_state = 112},
  [75] = {.lex_state = 112},
  [76] = {.lex_state = 112},
  [77] = {.lex_state = 112},
  [78] = {.lex_state = 112},
  [79] = {.lex_state = 112},
  [80] = {.lex_state = 112},
  [81] = {.lex_state = 112},
  [82] = {.lex_state = 112},
  [83] = {.lex_state = 112},
  [84] = {.lex_state = 112},
  [85] = {.lex_state = 112},
  [86] = {.lex_state = 112},
  [87] = {.lex_state = 112},
  [88] = {.lex_state = 112},
  [89] = {.lex_state = 112},
  [90] = {.lex_state = 112},
  [91] = {.lex_state = 112},
  [92] = {.lex_state = 112},
  [93] = {.lex_state = 112},
  [94] = {.lex_state = 112},
  [95] = {.lex_state = 112},
  [96] = {.lex_state = 112},
  [97] = {.lex_state = 112},
  [98] = {.lex_state = 112},
  [99] = {.lex_state = 112},
  [100] = {.lex_state = 112},
  [101] = {.lex_state = 112},
  [102] = {.lex_state = 112},
  [103] = {.lex_state = 112},
  [104] = {.lex_state = 112},
  [105] = {.lex_state = 112},
  [106] = {.lex_state = 112},
  [107] = {.lex_state = 112},
  [108] = {.lex_state = 112},
  [109] = {.lex_state = 112},
  [110] = {.lex_state = 112},
  [111] = {.lex_state = 112},
  [112] = {.lex_state = 112},
  [113] = {.lex_state = 112},
  [114] = {.lex_state = 112},
  [115] = {.lex_state = 112},
  [116] = {.lex_state = 112},
  [117] = {.lex_state = 112},
  [118] = {.lex_state = 112},
  [119] = {.lex_state = 112},
  [120] = {.lex_state = 112},
  [121] = {.lex_state = 112},
  [122] = {.lex_state = 112},
  [123] = {.lex_state = 112},
  [124] = {.lex_state = 112},
  [125] = {.lex_state = 112},
  [126] = {.lex_state = 112},
  [127] = {.lex_state = 112},
  [128] = {.lex_state = 112},
  [129] = {.lex_state = 112},
  [130] = {.lex_state = 112},
  [131] = {.lex_state = 112},
  [132] = {.lex_state = 112},
  [133] = {.lex_state = 112},
  [134] = {.lex_state = 112},
  [135] = {.lex_state = 112},
  [136] = {.lex_state = 112},
  [137] = {.lex_state = 112},
  [138] = {.lex_state = 112},
  [139] = {.lex_state = 112},
  [140] = {.lex_state = 112},
  [141] = {.lex_state = 112},
  [142] = {.lex_state = 112},
  [143] = {.lex_state = 112},
  [144] = {.lex_state = 112},
  [145] = {.lex_state = 112},
  [146] = {.lex_state = 112},
  [147] = {.lex_state = 112},
  [148] = {.lex_state = 112},
  [149] = {.lex_state = 112},
  [150] = {.lex_state = 112},
  [151] = {.lex_state = 112},
  [152] = {.lex_state = 112},
  [153] = {.lex_state = 112},
  [154] = {.lex_state = 112},
  [155] = {.lex_state = 112},
  [156] = {.lex_state = 112},
  [157] = {.lex_state = 112},
  [158] = {.lex_state = 112},
  [159] = {.lex_state = 112},
  [160] = {.lex_state = 112},
  [161] = {.lex_state = 112},
  [162] = {.lex_state = 112},
  [163] = {.lex_state = 112},
  [164] = {.lex_state = 112},
  [165] = {.lex_state = 112},
  [166] = {.lex_state = 112},
  [167] = {.lex_state = 112},
  [168] = {.lex_state = 112},
  [169] = {.lex_state = 112},
  [170] = {.lex_state = 112},
  [171] = {.lex_state = 112},
  [172] = {.lex_state = 112},
  [173] = {.lex_state = 112},
  [174] = {.lex_state = 112},
  [175] = {.lex_state = 112},
  [176] = {.lex_state = 112},
  [177] = {.lex_state = 112},
  [178] = {.lex_state = 112},
  [179] = {.lex_state = 112},
  [180] = {.lex_state = 112},
  [181] = {.lex_state = 112},
  [182] = {.lex_state = 112},
  [183] = {.lex_state = 112},
  [184] = {.lex_state = 112},
  [185] = {.lex_state = 112},
  [186] = {.lex_state = 112},
  [187] = {.lex_state = 112},
  [188] = {.lex_state = 112},
  [189] = {.lex_state = 112},
  [190] = {.lex_state = 112},
  [191] = {.lex_state = 112},
  [192] = {.lex_state = 112},
  [193] = {.lex_state = 112},
  [194] = {.lex_state = 112},
  [195] = {.lex_state = 112},
  [196] = {.lex_state = 112},
  [197] = {.lex_state = 112},
  [198] = {.lex_state = 112},
  [199] = {.lex_state = 111},
  [200] = {.lex_state = 111},
  [201] = {.lex_state = 111},
  [202] = {.lex_state = 111},
  [203] = {.lex_state = 111},
  [204] = {.lex_state = 111},
  [205] = {.lex_state = 111},
  [206] = {.lex_state = 111},
  [207] = {.lex_state = 111},
  [208] = {.lex_state = 111},
  [209] = {.lex_state = 111},
  [210] = {.lex_state = 109},
  [211] = {.lex_state = 111},
  [212] = {.lex_state = 111},
  [213] = {.lex_state = 111},
  [214] = {.lex_state = 111},
  [215] = {.lex_state = 111},
  [216] = {.lex_state = 114},
  [217] = {.lex_state = 114},
  [218] = {.lex_state = 110},
  [219] = {.lex_state = 114},
  [220] = {.lex_state = 114},
  [221] = {.lex_state = 111},
  [222] = {.lex_state = 114},
  [223] = {.lex_state = 114},
  [224] = {.lex_state = 111},
  [225] = {.lex_state = 114},
  [226] = {.lex_state = 111},
  [227] = {.lex_state = 114},
  [228] = {.lex_state = 111},
  [229] = {.lex_state = 111},
  [230] = {.lex_state = 115},
  [231] = {.lex_state = 115},
  [232] = {.lex_state = 111},
  [233] = {.lex_state = 111},
  [234] = {.lex_state = 111},
  [235] = {.lex_state = 115},
  [236] = {.lex_state = 111},
  [237] = {.lex_state = 111},
  [238] = {.lex_state = 111},
  [239] = {.lex_state = 111},
  [240] = {.lex_state = 111},
  [241] = {.lex_state = 111},
  [242] = {.lex_state = 111},
  [243] = {.lex_state = 111},
  [244] = {.lex_state = 111},
  [245] = {.lex_state = 111},
  [246] = {.lex_state = 111},
  [247] = {.lex_state = 111},
  [248] = {.lex_state = 111},
  [249] = {.lex_state = 111},
  [250] = {.lex_state = 111},
  [251] = {.lex_state = 111},
  [252] = {.lex_state = 111},
  [253] = {.lex_state = 111},
  [254] = {.lex_state = 111},
  [255] = {.lex_state = 111},
  [256] = {.lex_state = 111},
  [257] = {.lex_state = 111},
  [258] = {.lex_state = 111},
  [259] = {.lex_state = 111},
  [260] = {.lex_state = 111},
  [261] = {.lex_state = 111},
  [262] = {.lex_state = 111},
  [263] = {.lex_state = 111},
  [264] = {.lex_state = 111},
  [265] = {.lex_state = 111},
  [266] = {.lex_state = 111},
  [267] = {.lex_state = 111},
  [268] = {.lex_state = 111},
  [269] = {.lex_state = 111},
  [270] = {.lex_state = 111},
  [271] = {.lex_state = 111},
  [272] = {.lex_state = 111},
  [273] = {.lex_state = 111},
  [274] = {.lex_state = 111},
  [275] = {.lex_state = 111},
  [276] = {.lex_state = 111},
  [277] = {.lex_state = 111},
  [278] = {.lex_state = 111},
  [279] = {.lex_state = 111},
  [280] = {.lex_state = 111},
  [281] = {.lex_state = 101},
  [282] = {.lex_state = 101},
  [283] = {.lex_state = 104},
  [284] = {.lex_state = 104},
  [285] = {.lex_state = 101},
  [286] = {.lex_state = 101},
  [287] = {.lex_state = 101},
  [288] = {.lex_state = 102},
  [289] = {.lex_state = 101},
  [290] = {.lex_state = 101},
  [291] = {.lex_state = 330},
  [292] = {.lex_state = 101},
  [293] = {.lex_state = 330},
  [294] = {.lex_state = 330},
  [295] = {.lex_state = 101},
  [296] = {.lex_state = 330},
  [297] = {.lex_state = 102},
  [298] = {.lex_state = 330},
  [299] = {.lex_state = 330},
  [300] = {.lex_state = 330},
  [301] = {.lex_state = 330},
  [302] = {.lex_state = 330},
  [303] = {.lex_state = 330},
  [304] = {.lex_state = 330},
  [305] = {.lex_state = 330},
  [306] = {.lex_state = 330},
  [307] = {.lex_state = 330},
  [308] = {.lex_state = 330},
  [309] = {.lex_state = 100},
  [310] = {.lex_state = 330},
  [311] = {.lex_state = 105},
  [312] = {.lex_state = 330},
  [313] = {.lex_state = 330},
  [314] = {.lex_state = 330},
  [315] = {.lex_state = 330},
  [316] = {.lex_state = 330},
  [317] = {.lex_state = 330},
  [318] = {.lex_state = 330},
  [319] = {.lex_state = 330},
  [320] = {.lex_state = 330},
  [321] = {.lex_state = 330},
  [322] = {.lex_state = 330},
  [323] = {.lex_state = 330},
  [324] = {.lex_state = 330},
  [325] = {.lex_state = 330},
  [326] = {.lex_state = 330},
  [327] = {.lex_state = 330},
  [328] = {.lex_state = 330},
  [329] = {.lex_state = 330},
  [330] = {.lex_state = 330},
  [331] = {.lex_state = 330},
  [332] = {.lex_state = 105},
  [333] = {.lex_state = 330},
  [334] = {.lex_state = 101},
  [335] = {.lex_state = 330},
  [336] = {.lex_state = 330},
  [337] = {.lex_state = 330},
  [338] = {.lex_state = 330},
  [339] = {.lex_state = 330},
  [340] = {.lex_state = 330},
  [341] = {.lex_state = 330},
  [342] = {.lex_state = 330},
  [343] = {.lex_state = 330},
  [344] = {.lex_state = 330},
  [345] = {.lex_state = 330},
  [346] = {.lex_state = 330},
  [347] = {.lex_state = 330},
  [348] = {.lex_state = 330},
  [349] = {.lex_state = 330},
  [350] = {.lex_state = 330},
  [351] = {.lex_state = 330},
  [352] = {.lex_state = 330},
  [353] = {.lex_state = 330},
  [354] = {.lex_state = 330},
  [355] = {.lex_state = 330},
  [356] = {.lex_state = 330},
  [357] = {.lex_state = 330},
  [358] = {.lex_state = 330},
  [359] = {.lex_state = 330},
  [360] = {.lex_state = 330},
  [361] = {.lex_state = 330},
  [362] = {.lex_state = 330},
  [363] = {.lex_state = 104},
  [364] = {.lex_state = 94},
  [365] = {.lex_state = 104},
  [366] = {.lex_state = 102},
  [367] = {.lex_state = 102},
  [368] = {.lex_state = 104},
  [369] = {.lex_state = 104},
  [370] = {.lex_state = 101},
  [371] = {.lex_state = 102},
  [372] = {.lex_state = 101},
  [373] = {.lex_state = 104},
  [374] = {.lex_state = 102},
  [375] = {.lex_state = 101},
  [376] = {.lex_state = 102},
  [377] = {.lex_state = 105},
  [378] = {.lex_state = 104},
  [379] = {.lex_state = 106},
  [380] = {.lex_state = 106},
  [381] = {.lex_state = 95},
  [382] = {.lex_state = 116},
  [383] = {.lex_state = 116},
  [384] = {.lex_state = 116},
  [385] = {.lex_state = 91},
  [386] = {.lex_state = 91},
  [387] = {.lex_state = 91},
  [388] = {.lex_state = 91},
  [389] = {.lex_state = 91},
  [390] = {.lex_state = 103},
  [391] = {.lex_state = 101},
  [392] = {.lex_state = 101},
  [393] = {.lex_state = 91},
  [394] = {.lex_state = 91},
  [395] = {.lex_state = 102},
  [396] = {.lex_state = 104},
  [397] = {.lex_state = 104},
  [398] = {.lex_state = 102},
  [399] = {.lex_state = 91},
  [400] = {.lex_state = 91},
  [401] = {.lex_state = 103},
  [402] = {.lex_state = 91},
  [403] = {.lex_state = 91},
  [404] = {.lex_state = 91},
  [405] = {.lex_state = 91},
  [406] = {.lex_state = 96},
  [407] = {.lex_state = 102},
  [408] = {.lex_state = 91},
  [409] = {.lex_state = 91},
  [410] = {.lex_state = 91},
  [411] = {.lex_state = 91},
  [412] = {.lex_state = 91},
  [413] = {.lex_state = 104},
  [414] = {.lex_state = 102},
  [415] = {.lex_state = 91},
  [416] = {.lex_state = 91},
  [417] = {.lex_state = 106},
  [418] = {.lex_state = 97},
  [419] = {.lex_state = 101},
  [420] = {.lex_state = 330},
  [421] = {.lex_state = 330},
  [422] = {.lex_state = 93},
  [423] = {.lex_state = 103},
  [424] = {.lex_state = 101},
  [425] = {.lex_state = 92},
  [426] = {.lex_state = 330},
  [427] = {.lex_state = 330},
  [428] = {.lex_state = 101},
  [429] = {.lex_state = 101},
  [430] = {.lex_state = 330},
  [431] = {.lex_state = 330},
  [432] = {.lex_state = 330},
  [433] = {.lex_state = 330},
  [434] = {.lex_state = 101},
  [435] = {.lex_state = 101},
  [436] = {.lex_state = 330},
  [437] = {.lex_state = 330},
  [438] = {.lex_state = 330},
  [439] = {.lex_state = 330},
  [440] = {.lex_state = 330},
  [441] = {.lex_state = 330},
  [442] = {.lex_state = 330},
  [443] = {.lex_state = 330},
  [444] = {.lex_state = 330},
  [445] = {.lex_state = 117},
  [446] = {.lex_state = 330},
  [447] = {.lex_state = 117},
  [448] = {.lex_state = 330},
  [449] = {.lex_state = 330},
  [450] = {.lex_state = 330},
  [451] = {.lex_state = 117},
  [452] = {.lex_state = 330},
  [453] = {.lex_state = 330},
  [454] = {.lex_state = 107},
  [455] = {.lex_state = 107},
  [456] = {.lex_state = 113},
  [457] = {.lex_state = 113},
  [458] = {.lex_state = 330},
  [459] = {.lex_state = 113},
  [460] = {.lex_state = 113},
  [461] = {.lex_state = 113},
  [462] = {.lex_state = 98},
  [463] = {.lex_state = 113},
  [464] = {.lex_state = 113},
  [465] = {.lex_state = 113},
  [466] = {.lex_state = 113},
  [467] = {.lex_state = 113},
  [468] = {.lex_state = 113},
  [469] = {.lex_state = 113},
  [470] = {.lex_state = 113},
  [471] = {.lex_state = 113},
  [472] = {.lex_state = 113},
  [473] = {.lex_state = 113},
  [474] = {.lex_state = 113},
  [475] = {.lex_state = 113},
  [476] = {.lex_state = 330},
  [477] = {.lex_state = 99},
  [478] = {.lex_state = 107},
  [479] = {.lex_state = 330},
  [480] = {.lex_state = 330},
  [481] = {.lex_state = 330},
  [482] = {.lex_state = 330},
  [483] = {.lex_state = 330},
  [484] = {.lex_state = 330},
  [485] = {.lex_state = 117},
  [486] = {.lex_state = 330},
  [487] = {.lex_state = 111},
  [488] = {.lex_state = 111},
  [489] = {.lex_state = 111},
  [490] = {.lex_state = 111},
  [491] = {.lex_state = 111},
  [492] = {.lex_state = 91},
  [493] = {.lex_state = 111},
  [494] = {.lex_state = 330},
  [495] = {.lex_state = 330},
  [496] = {.lex_state = 330},
  [497] = {.lex_state = 330},
  [498] = {.lex_state = 330},
  [499] = {.lex_state = 330},
  [500] = {.lex_state = 330},
  [501] = {.lex_state = 330},
  [502] = {.lex_state = 330},
  [503] = {.lex_state = 330},
  [504] = {.lex_state = 330},
  [505] = {.lex_state = 330},
  [506] = {.lex_state = 330},
  [507] = {.lex_state = 330},
  [508] = {.lex_state = 330},
  [509] = {.lex_state = 330},
  [510] = {.lex_state = 330},
  [511] = {.lex_state = 330},
  [512] = {.lex_state = 330},
  [513] = {.lex_state = 330},
  [514] = {.lex_state = 330},
  [515] = {.lex_state = 330},
  [516] = {.lex_state = 330},
  [517] = {.lex_state = 330},
  [518] = {.lex_state = 330},
  [519] = {.lex_state = 330},
  [520] = {.lex_state = 330},
  [521] = {.lex_state = 330},
  [522] = {.lex_state = 330},
  [523] = {.lex_state = 330},
  [524] = {.lex_state = 330},
  [525] = {.lex_state = 330},
  [526] = {.lex_state = 330},
  [527] = {.lex_state = 330},
  [528] = {.lex_state = 330},
  [529] = {.lex_state = 330},
  [530] = {.lex_state = 330},
  [531] = {.lex_state = 330},
  [532] = {.lex_state = 330},
  [533] = {.lex_state = 330},
  [534] = {.lex_state = 330},
  [535] = {.lex_state = 330},
  [536] = {.lex_state = 330},
  [537] = {.lex_state = 330},
  [538] = {.lex_state = 330},
  [539] = {.lex_state = 330},
  [540] = {.lex_state = 330},
  [541] = {.lex_state = 330},
  [542] = {.lex_state = 330},
  [543] = {.lex_state = 330},
  [544] = {.lex_state = 330},
  [545] = {.lex_state = 330},
  [546] = {.lex_state = 330},
  [547] = {.lex_state = 330},
  [548] = {.lex_state = 112},
  [549] = {.lex_state = 102},
  [550] = {.lex_state = 123},
  [551] = {.lex_state = 120},
  [552] = {.lex_state = 120},
  [553] = {.lex_state = 102},
  [554] = {.lex_state = 123},
  [555] = {.lex_state = 119},
  [556] = {.lex_state = 119},
  [557] = {.lex_state = 119},
  [558] = {.lex_state = 123},
  [559] = {.lex_state = 126},
  [560] = {.lex_state = 120},
  [561] = {.lex_state = 120},
  [562] = {.lex_state = 92},
  [563] = {.lex_state = 120},
  [564] = {.lex_state = 118},
  [565] = {.lex_state = 92},
  [566] = {.lex_state = 121},
  [567] = {.lex_state = 124},
  [568] = {.lex_state = 92},
  [569] = {.lex_state = 118},
  [570] = {.lex_state = 120},
  [571] = {.lex_state = 120},
  [572] = {.lex_state = 121},
  [573] = {.lex_state = 130},
  [574] = {.lex_state = 124},
  [575] = {.lex_state = 123},
  [576] = {.lex_state = 123},
  [577] = {.lex_state = 123},
  [578] = {.lex_state = 119},
  [579] = {.lex_state = 126},
  [580] = {.lex_state = 118},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 120},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 119},
  [585] = {.lex_state = 118},
  [586] = {.lex_state = 119},
  [587] = {.lex_state = 118},
  [588] = {.lex_state = 118},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 119},
  [591] = {.lex_state = 119},
  [592] = {.lex_state = 129},
  [593] = {.lex_state = 126},
  [594] = {.lex_state = 129},
  [595] = {.lex_state = 126},
  [596] = {.lex_state = 118},
  [597] = {.lex_state = 118},
  [598] = {.lex_state = 118},
  [599] = {.lex_state = 118},
  [600] = {.lex_state = 132},
  [601] = {.lex_state = 118},
  [602] = {.lex_state = 118},
  [603] = {.lex_state = 118},
  [604] = {.lex_state = 118},
  [605] = {.lex_state = 118},
  [606] = {.lex_state = 118},
  [607] = {.lex_state = 118},
  [608] = {.lex_state = 124},
  [609] = {.lex_state = 132},
  [610] = {.lex_state = 121},
  [611] = {.lex_state = 118},
  [612] = {.lex_state = 118},
  [613] = {.lex_state = 118},
  [614] = {.lex_state = 101},
  [615] = {.lex_state = 91},
  [616] = {.lex_state = 118},
  [617] = {.lex_state = 118},
  [618] = {.lex_state = 118},
  [619] = {.lex_state = 118},
  [620] = {.lex_state = 118},
  [621] = {.lex_state = 118},
  [622] = {.lex_state = 118},
  [623] = {.lex_state = 118},
  [624] = {.lex_state = 118},
  [625] = {.lex_state = 118},
  [626] = {.lex_state = 118},
  [627] = {.lex_state = 118},
  [628] = {.lex_state = 118},
  [629] = {.lex_state = 118},
  [630] = {.lex_state = 118},
  [631] = {.lex_state = 330},
  [632] = {.lex_state = 118},
  [633] = {.lex_state = 118},
  [634] = {.lex_state = 118},
  [635] = {.lex_state = 118},
  [636] = {.lex_state = 118},
  [637] = {.lex_state = 118},
  [638] = {.lex_state = 132},
  [639] = {.lex_state = 118},
  [640] = {.lex_state = 118},
  [641] = {.lex_state = 118},
  [642] = {.lex_state = 119},
  [643] = {.lex_state = 118},
  [644] = {.lex_state = 119},
  [645] = {.lex_state = 119},
  [646] = {.lex_state = 130},
  [647] = {.lex_state = 118},
  [648] = {.lex_state = 118},
  [649] = {.lex_state = 118},
  [650] = {.lex_state = 130},
  [651] = {.lex_state = 129},
  [652] = {.lex_state = 330},
  [653] = {.lex_state = 118},
  [654] = {.lex_state = 119},
  [655] = {.lex_state = 101},
  [656] = {.lex_state = 130},
  [657] = {.lex_state = 118},
  [658] = {.lex_state = 330},
  [659] = {.lex_state = 330},
  [660] = {.lex_state = 122},
  [661] = {.lex_state = 122},
  [662] = {.lex_state = 125},
  [663] = {.lex_state = 119},
  [664] = {.lex_state = 330},
  [665] = {.lex_state = 330},
  [666] = {.lex_state = 330},
  [667] = {.lex_state = 330},
  [668] = {.lex_state = 117},
  [669] = {.lex_state = 330},
  [670] = {.lex_state = 117},
  [671] = {.lex_state = 330},
  [672] = {.lex_state = 330},
  [673] = {.lex_state = 131},
  [674] = {.lex_state = 117},
  [675] = {.lex_state = 330},
  [676] = {.lex_state = 330},
  [677] = {.lex_state = 330},
  [678] = {.lex_state = 330},
  [679] = {.lex_state = 131},
  [680] = {.lex_state = 330},
  [681] = {.lex_state = 330},
  [682] = {.lex_state = 91},
  [683] = {.lex_state = 330},
  [684] = {.lex_state = 330},
  [685] = {.lex_state = 330},
  [686] = {.lex_state = 92},
  [687] = {.lex_state = 91},
  [688] = {.lex_state = 330},
  [689] = {.lex_state = 330},
  [690] = {.lex_state = 330},
  [691] = {.lex_state = 330},
  [692] = {.lex_state = 91},
  [693] = {.lex_state = 330},
  [694] = {.lex_state = 330},
  [695] = {.lex_state = 91},
  [696] = {.lex_state = 127},
  [697] = {.lex_state = 91},
  [698] = {.lex_state = 119},
  [699] = {.lex_state = 122},
  [700] = {.lex_state = 127},
  [701] = {.lex_state = 119},
  [702] = {.lex_state = 1},
  [703] = {.lex_state = 130},
  [704] = {.lex_state = 122},
  [705] = {.lex_state = 91},
  [706] = {.lex_state = 330},
  [707] = {.lex_state = 1},
  [708] = {.lex_state = 91},
  [709] = {.lex_state = 91},
  [710] = {.lex_state = 127},
  [711] = {.lex_state = 132},
  [712] = {.lex_state = 132},
  [713] = {.lex_state = 1},
  [714] = {.lex_state = 1},
  [715] = {.lex_state = 131},
  [716] = {.lex_state = 330},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 133},
  [720] = {.lex_state = 120},
  [721] = {.lex_state = 330},
  [722] = {.lex_state = 120},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 130},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 103},
  [729] = {.lex_state = 103},
  [730] = {.lex_state = 330},
  [731] = {.lex_state = 103},
  [732] = {.lex_state = 103},
  [733] = {.lex_state = 103},
  [734] = {.lex_state = 103},
  [735] = {.lex_state = 103},
  [736] = {.lex_state = 128},
  [737] = {.lex_state = 103},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 128},
  [742] = {.lex_state = 330},
  [743] = {.lex_state = 103},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 128},
  [746] = {.lex_state = 128},
  [747] = {.lex_state = 103},
  [748] = {.lex_state = 127},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 127},
  [751] = {.lex_state = 92},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 127},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 92},
  [756] = {.lex_state = 119},
  [757] = {.lex_state = 330},
  [758] = {.lex_state = 1},
  [759] = {.lex_state = 1},
  [760] = {.lex_state = 1},
  [761] = {.lex_state = 119},
  [762] = {.lex_state = 92},
  [763] = {.lex_state = 108},
  [764] = {.lex_state = 330},
  [765] = {.lex_state = 103},
  [766] = {.lex_state = 108},
  [767] = {.lex_state = 103},
  [768] = {.lex_state = 103},
  [769] = {.lex_state = 108},
  [770] = {.lex_state = 108},
  [771] = {.lex_state = 103},
  [772] = {.lex_state = 103},
  [773] = {.lex_state = 103},
  [774] = {.lex_state = 103},
  [775] = {.lex_state = 118},
  [776] = {.lex_state = 103},
  [777] = {.lex_state = 330},
  [778] = {.lex_state = 103},
  [779] = {.lex_state = 103},
  [780] = {.lex_state = 103},
  [781] = {.lex_state = 103},
  [782] = {.lex_state = 330},
  [783] = {.lex_state = 103},
  [784] = {.lex_state = 103},
  [785] = {.lex_state = 103},
  [786] = {.lex_state = 91},
  [787] = {.lex_state = 118},
  [788] = {.lex_state = 330},
  [789] = {.lex_state = 330},
  [790] = {.lex_state = 92},
  [791] = {.lex_state = 92},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 330},
  [794] = {.lex_state = 92},
  [795] = {.lex_state = 330},
  [796] = {.lex_state = 330},
  [797] = {.lex_state = 330},
  [798] = {.lex_state = 330},
  [799] = {.lex_state = 330},
  [800] = {.lex_state = 119},
  [801] = {.lex_state = 330},
  [802] = {.lex_state = 92},
  [803] = {.lex_state = 330},
  [804] = {.lex_state = 119},
  [805] = {.lex_state = 330},
  [806] = {.lex_state = 330},
  [807] = {.lex_state = 330},
  [808] = {.lex_state = 330},
  [809] = {.lex_state = 330},
  [810] = {.lex_state = 92},
  [811] = {.lex_state = 92},
  [812] = {.lex_state = 108},
  [813] = {.lex_state = 108},
  [814] = {.lex_state = 108},
  [815] = {.lex_state = 108},
  [816] = {.lex_state = 330},
  [817] = {.lex_state = 108},
  [818] = {.lex_state = 108},
  [819] = {.lex_state = 330},
  [820] = {.lex_state = 330},
  [821] = {.lex_state = 108},
  [822] = {.lex_state = 108},
  [823] = {.lex_state = 103},
  [824] = {.lex_state = 108},
  [825] = {.lex_state = 92},
  [826] = {.lex_state = 108},
  [827] = {.lex_state = 108},
  [828] = {.lex_state = 108},
  [829] = {.lex_state = 108},
  [830] = {.lex_state = 91},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 330},
  [833] = {.lex_state = 108},
  [834] = {.lex_state = 108},
  [835] = {.lex_state = 108},
  [836] = {.lex_state = 108},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 330},
  [839] = {.lex_state = 330},
  [840] = {.lex_state = 108},
  [841] = {.lex_state = 108},
  [842] = {.lex_state = 108},
  [843] = {.lex_state = 330},
  [844] = {.lex_state = 330},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 330},
  [848] = {.lex_state = 104},
  [849] = {.lex_state = 92},
  [850] = {.lex_state = 92},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 92},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 133},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 91},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 91},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 104},
  [875] = {.lex_state = 104},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 104},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 104},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 330},
  [885] = {.lex_state = 330},
  [886] = {.lex_state = 92},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 0},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 330},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 0},
  [895] = {.lex_state = 104},
  [896] = {.lex_state = 92},
  [897] = {.lex_state = 330},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 92},
  [900] = {.lex_state = 91},
  [901] = {.lex_state = 91},
  [902] = {.lex_state = 330},
  [903] = {.lex_state = 104},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 92},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 330},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 92},
  [914] = {.lex_state = 92},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 330},
  [917] = {.lex_state = 91},
  [918] = {.lex_state = 91},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 330},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 330},
  [933] = {.lex_state = 91},
  [934] = {.lex_state = 91},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 92},
  [941] = {.lex_state = 91},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 330},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 330},
  [947] = {.lex_state = 92},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 330},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 92},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 330},
  [959] = {.lex_state = 92},
  [960] = {.lex_state = 92},
  [961] = {.lex_state = 330},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 92},
  [965] = {.lex_state = 330},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 330},
  [968] = {.lex_state = 330},
  [969] = {.lex_state = 330},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 330},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 330},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 330},
  [984] = {.lex_state = 330},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 330},
  [987] = {.lex_state = 330},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 92},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 330},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 92},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 330},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 330},
  [1000] = {.lex_state = 330},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 330},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 330},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 91},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 330},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 330},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 330},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 330},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 330},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 330},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 91},
  [1033] = {.lex_state = 330},
  [1034] = {.lex_state = 92},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 330},
  [1037] = {.lex_state = 92},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 330},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 92},
  [1043] = {.lex_state = 330},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 92},
  [1050] = {.lex_state = 330},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 91},
  [1054] = {.lex_state = 330},
  [1055] = {.lex_state = 91},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 113},
  [1059] = {.lex_state = 330},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 94},
  [1062] = {.lex_state = 330},
  [1063] = {.lex_state = 330},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 92},
  [1068] = {.lex_state = 330},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 113},
  [1073] = {.lex_state = 330},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 330},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 92},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 330},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 330},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 108},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 330},
  [1089] = {.lex_state = 91},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 92},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 92},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 92},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 92},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 91},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 92},
  [1109] = {.lex_state = 92},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 330},
  [1113] = {.lex_state = 92},
  [1114] = {.lex_state = 92},
  [1115] = {.lex_state = 91},
  [1116] = {.lex_state = 92},
  [1117] = {.lex_state = 330},
  [1118] = {.lex_state = 91},
  [1119] = {.lex_state = 92},
  [1120] = {.lex_state = 92},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 330},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 92},
  [1131] = {.lex_state = 91},
  [1132] = {.lex_state = 91},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 113},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 330},
  [1142] = {.lex_state = 91},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 330},
  [1146] = {.lex_state = 92},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 92},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 92},
  [1152] = {.lex_state = 92},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 92},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 330},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 330},
  [1160] = {.lex_state = 92},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 330},
  [1163] = {.lex_state = 330},
  [1164] = {.lex_state = 330},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 330},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_isolated] = ACTIONS(1),
    [anon_sym_service] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_remote] = ACTIONS(1),
    [sym_transactional_qual] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [sym_wildcard_binding_pattern] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_panic] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_xml] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_stream] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_outer] = ACTIONS(1),
    [anon_sym_join] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_equals] = ACTIONS(1),
    [anon_sym_order] = ACTIONS(1),
    [anon_sym_ascending] = ACTIONS(1),
    [anon_sym_descending] = ACTIONS(1),
    [anon_sym_limit] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_QMARK_COLON] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [sym_non_zero_digit] = ACTIONS(1),
    [sym_digit] = ACTIONS(1),
    [aux_sym_hex_digit_token1] = ACTIONS(1),
    [aux_sym_hex_digit_token2] = ACTIONS(1),
    [anon_sym_e] = ACTIONS(1),
    [anon_sym_E] = ACTIONS(1),
    [anon_sym_p] = ACTIONS(1),
    [anon_sym_P] = ACTIONS(1),
    [anon_sym_d] = ACTIONS(1),
    [anon_sym_D] = ACTIONS(1),
    [anon_sym_f] = ACTIONS(1),
    [anon_sym_F] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASHu] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1144),
    [sym_module_part] = STATE(1143),
    [sym_import_decl] = STATE(508),
    [sym_module_defn] = STATE(546),
    [sym_enum_decl] = STATE(666),
    [sym_function_defn] = STATE(666),
    [sym_const_defn] = STATE(666),
    [sym_class_defn] = STATE(666),
    [sym_class_type_quals] = STATE(1141),
    [sym_final_defn] = STATE(666),
    [sym_type_defn] = STATE(666),
    [aux_sym_module_part_repeat1] = STATE(508),
    [aux_sym_module_part_repeat2] = STATE(546),
    [aux_sym_class_type_quals_repeat1] = STATE(764),
    [anon_sym_import] = ACTIONS(5),
    [anon_sym_public] = ACTIONS(7),
    [anon_sym_enum] = ACTIONS(9),
    [anon_sym_function] = ACTIONS(11),
    [anon_sym_const] = ACTIONS(13),
    [anon_sym_class] = ACTIONS(15),
    [anon_sym_distinct] = ACTIONS(17),
    [anon_sym_readonly] = ACTIONS(17),
    [anon_sym_isolated] = ACTIONS(17),
    [anon_sym_client] = ACTIONS(17),
    [anon_sym_service] = ACTIONS(17),
    [anon_sym_final] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(12),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(12),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(88),
    [anon_sym_function] = ACTIONS(90),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(96),
    [anon_sym_isolated] = ACTIONS(99),
    [anon_sym_final] = ACTIONS(102),
    [sym_transactional_qual] = ACTIONS(105),
    [anon_sym_object] = ACTIONS(108),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_any] = ACTIONS(96),
    [anon_sym_anydata] = ACTIONS(96),
    [anon_sym_boolean] = ACTIONS(96),
    [anon_sym_byte] = ACTIONS(96),
    [anon_sym_error] = ACTIONS(96),
    [anon_sym_float] = ACTIONS(96),
    [anon_sym_int] = ACTIONS(96),
    [anon_sym_string] = ACTIONS(96),
    [anon_sym_map] = ACTIONS(114),
    [anon_sym_record] = ACTIONS(117),
    [sym_wildcard_binding_pattern] = ACTIONS(120),
    [anon_sym_return] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(126),
    [anon_sym_while] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(132),
    [anon_sym_continue] = ACTIONS(135),
    [anon_sym_foreach] = ACTIONS(138),
    [anon_sym_panic] = ACTIONS(141),
    [anon_sym_match] = ACTIONS(144),
    [anon_sym_DASH] = ACTIONS(147),
    [anon_sym_check] = ACTIONS(150),
    [anon_sym_checkpanic] = ACTIONS(150),
    [anon_sym_var] = ACTIONS(153),
    [anon_sym_null] = ACTIONS(156),
    [anon_sym_true] = ACTIONS(159),
    [anon_sym_false] = ACTIONS(159),
    [anon_sym_0] = ACTIONS(162),
    [sym_non_zero_digit] = ACTIONS(165),
    [anon_sym_0x] = ACTIONS(168),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_DQUOTE] = ACTIONS(174),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(9),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(9),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(177),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(11),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(11),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(8),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(8),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(10),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(10),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(187),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(191),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_statement] = STATE(3),
    [sym_local_no_init_var_decl_stmt] = STATE(394),
    [sym_local_var_decl_stmt] = STATE(394),
    [sym_call_stmt] = STATE(394),
    [sym_call_expr] = STATE(1060),
    [sym_assign_stmt] = STATE(394),
    [sym_compound_assign_stmt] = STATE(394),
    [sym_destructuring_assign_stmt] = STATE(394),
    [sym_lvexpr] = STATE(615),
    [sym_variable_reference_expr] = STATE(687),
    [sym_field_access_lvexpr] = STATE(687),
    [sym_member_access_lvexpr] = STATE(687),
    [sym_return_stmt] = STATE(394),
    [sym_if_else_stmt] = STATE(394),
    [sym_while_stmt] = STATE(394),
    [sym_break_stmt] = STATE(394),
    [sym_continue_stmt] = STATE(394),
    [sym_foreach_stmt] = STATE(394),
    [sym_panic_stmt] = STATE(394),
    [sym_match_stmt] = STATE(394),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_checking_keyword] = STATE(719),
    [sym_typed_binding_pattern] = STATE(1006),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(565),
    [sym_module_prefix] = STATE(1093),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_stmt_block_repeat1] = STATE(3),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(35),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [sym_wildcard_binding_pattern] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_if] = ACTIONS(51),
    [anon_sym_while] = ACTIONS(53),
    [anon_sym_break] = ACTIONS(55),
    [anon_sym_continue] = ACTIONS(57),
    [anon_sym_foreach] = ACTIONS(59),
    [anon_sym_panic] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(513),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_positional_args] = STATE(994),
    [sym_positional_arg] = STATE(892),
    [sym_other_args] = STATE(1066),
    [sym_named_args] = STATE(1064),
    [sym_named_arg] = STATE(893),
    [sym_rest_args] = STATE(1064),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(195),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(201),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(211),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(227),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_class_member] = STATE(16),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(16),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_class_member] = STATE(16),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(16),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_class_member] = STATE(16),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(16),
    [anon_sym_DOT] = ACTIONS(249),
    [anon_sym_public] = ACTIONS(252),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_function] = ACTIONS(257),
    [anon_sym_LPAREN] = ACTIONS(260),
    [anon_sym_readonly] = ACTIONS(263),
    [anon_sym_isolated] = ACTIONS(266),
    [anon_sym_private] = ACTIONS(252),
    [anon_sym_final] = ACTIONS(269),
    [anon_sym_STAR] = ACTIONS(272),
    [anon_sym_remote] = ACTIONS(275),
    [sym_transactional_qual] = ACTIONS(278),
    [anon_sym_object] = ACTIONS(281),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_any] = ACTIONS(263),
    [anon_sym_anydata] = ACTIONS(263),
    [anon_sym_boolean] = ACTIONS(263),
    [anon_sym_byte] = ACTIONS(263),
    [anon_sym_error] = ACTIONS(263),
    [anon_sym_float] = ACTIONS(263),
    [anon_sym_int] = ACTIONS(263),
    [anon_sym_string] = ACTIONS(263),
    [anon_sym_map] = ACTIONS(287),
    [anon_sym_record] = ACTIONS(290),
    [anon_sym_DASH] = ACTIONS(293),
    [anon_sym_null] = ACTIONS(296),
    [anon_sym_true] = ACTIONS(299),
    [anon_sym_false] = ACTIONS(299),
    [anon_sym_0] = ACTIONS(302),
    [sym_non_zero_digit] = ACTIONS(305),
    [anon_sym_0x] = ACTIONS(308),
    [sym_identifier] = ACTIONS(311),
    [anon_sym_DQUOTE] = ACTIONS(314),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_class_member] = STATE(16),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(16),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(317),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_class_member] = STATE(14),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(14),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_class_member] = STATE(15),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(15),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(319),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_class_member] = STATE(17),
    [sym_object_field] = STATE(470),
    [sym_object_type_inclusion] = STATE(470),
    [sym_method_defn] = STATE(470),
    [sym_remote_method_defn] = STATE(470),
    [sym_object_visibility_qual] = STATE(803),
    [sym_remote_method_quals] = STATE(1163),
    [sym_function_quals] = STATE(1162),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_class_defn_repeat1] = STATE(17),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(231),
    [anon_sym_RBRACE] = ACTIONS(233),
    [anon_sym_function] = ACTIONS(235),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(231),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(503),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_expr_list] = STATE(1038),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_object_field] = STATE(471),
    [sym_object_type_inclusion] = STATE(471),
    [sym_remote_method_quals] = STATE(1117),
    [sym_function_quals] = STATE(1033),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_object_type_members] = STATE(24),
    [sym_method_decl] = STATE(471),
    [sym_remote_method_decl] = STATE(471),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_object_type_desc_repeat1] = STATE(24),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_object_field] = STATE(471),
    [sym_object_type_inclusion] = STATE(471),
    [sym_remote_method_quals] = STATE(1117),
    [sym_function_quals] = STATE(1033),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_object_type_members] = STATE(22),
    [sym_method_decl] = STATE(471),
    [sym_remote_method_decl] = STATE(471),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_object_type_desc_repeat1] = STATE(22),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_public] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(335),
    [anon_sym_function] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_final] = ACTIONS(237),
    [anon_sym_STAR] = ACTIONS(239),
    [anon_sym_remote] = ACTIONS(241),
    [sym_transactional_qual] = ACTIONS(243),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_object_field] = STATE(471),
    [sym_object_type_inclusion] = STATE(471),
    [sym_remote_method_quals] = STATE(1117),
    [sym_function_quals] = STATE(1033),
    [sym_isolated_qual] = STATE(916),
    [sym_type_desc] = STATE(825),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_object_type_members] = STATE(24),
    [sym_method_decl] = STATE(471),
    [sym_remote_method_decl] = STATE(471),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_object_type_desc_repeat1] = STATE(24),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_public] = ACTIONS(340),
    [anon_sym_RBRACE] = ACTIONS(343),
    [anon_sym_function] = ACTIONS(345),
    [anon_sym_LPAREN] = ACTIONS(348),
    [anon_sym_readonly] = ACTIONS(351),
    [anon_sym_isolated] = ACTIONS(354),
    [anon_sym_private] = ACTIONS(357),
    [anon_sym_final] = ACTIONS(360),
    [anon_sym_STAR] = ACTIONS(363),
    [anon_sym_remote] = ACTIONS(366),
    [sym_transactional_qual] = ACTIONS(369),
    [anon_sym_object] = ACTIONS(372),
    [anon_sym_LBRACK] = ACTIONS(375),
    [anon_sym_any] = ACTIONS(351),
    [anon_sym_anydata] = ACTIONS(351),
    [anon_sym_boolean] = ACTIONS(351),
    [anon_sym_byte] = ACTIONS(351),
    [anon_sym_error] = ACTIONS(351),
    [anon_sym_float] = ACTIONS(351),
    [anon_sym_int] = ACTIONS(351),
    [anon_sym_string] = ACTIONS(351),
    [anon_sym_map] = ACTIONS(378),
    [anon_sym_record] = ACTIONS(381),
    [anon_sym_DASH] = ACTIONS(384),
    [anon_sym_null] = ACTIONS(387),
    [anon_sym_true] = ACTIONS(390),
    [anon_sym_false] = ACTIONS(390),
    [anon_sym_0] = ACTIONS(393),
    [sym_non_zero_digit] = ACTIONS(396),
    [anon_sym_0x] = ACTIONS(399),
    [sym_identifier] = ACTIONS(402),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_const_expr] = STATE(1158),
    [sym_inner_expr] = STATE(504),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(499),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(519),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_SEMI] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(446),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_order_key] = STATE(727),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_const_expr] = STATE(1085),
    [sym_inner_expr] = STATE(504),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(500),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(516),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_default_expression] = STATE(1091),
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(528),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_const_expr] = STATE(1083),
    [sym_inner_expr] = STATE(504),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(498),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_const_expr] = STATE(979),
    [sym_inner_expr] = STATE(504),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(513),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_positional_arg] = STATE(937),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(446),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_order_key] = STATE(738),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_default_expression] = STATE(1056),
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(528),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(496),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(870),
    [sym_query_pipeline] = STATE(1014),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(496),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(870),
    [sym_query_pipeline] = STATE(1014),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(479),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(521),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(514),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(333),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(530),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(533),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(510),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(518),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(525),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(484),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(531),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(486),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(496),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(870),
    [sym_query_pipeline] = STATE(1014),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(431),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(877),
    [sym_query_pipeline] = STATE(1012),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(443),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(878),
    [sym_query_pipeline] = STATE(992),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(484),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(482),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(522),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(330),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(431),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(877),
    [sym_query_pipeline] = STATE(1012),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(331),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(333),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(337),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(443),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(878),
    [sym_query_pipeline] = STATE(992),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(484),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(300),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(301),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(302),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(304),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(520),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(308),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(314),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(316),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(526),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(505),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(515),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(331),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(330),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(523),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(324),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(512),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(544),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(524),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(537),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(511),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(507),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(496),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(870),
    [sym_query_pipeline] = STATE(1014),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(424),
    [anon_sym_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(527),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(316),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(862),
    [sym_query_pipeline] = STATE(985),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(494),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(496),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(866),
    [sym_query_pipeline] = STATE(1007),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(456),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(456),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(314),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(308),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(538),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(304),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(330),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(852),
    [sym_query_pipeline] = STATE(936),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(460),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(331),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(333),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(337),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(300),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(301),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(302),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(304),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(308),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(314),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(316),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(501),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(853),
    [sym_query_pipeline] = STATE(939),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(735),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(506),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(302),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(301),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(300),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(431),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(877),
    [sym_query_pipeline] = STATE(1012),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(431),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(877),
    [sym_query_pipeline] = STATE(1012),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(873),
    [sym_query_pipeline] = STATE(1025),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(462),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(464),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(337),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(509),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(333),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(331),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(529),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(534),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(330),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(532),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(483),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(443),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(878),
    [sym_query_pipeline] = STATE(992),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(484),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(539),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(536),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(443),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(878),
    [sym_query_pipeline] = STATE(992),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(484),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(484),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(882),
    [sym_query_pipeline] = STATE(972),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(490),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(492),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(540),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(541),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(876),
    [sym_query_pipeline] = STATE(1028),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(468),
    [anon_sym_DASH] = ACTIONS(470),
    [anon_sym_new] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(470),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(458),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(887),
    [sym_query_pipeline] = STATE(924),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(734),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(316),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(323),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(314),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(308),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(304),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(302),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(301),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(300),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(337),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(333),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(331),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(330),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(329),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(856),
    [sym_query_pipeline] = STATE(950),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(486),
    [anon_sym_DASH] = ACTIONS(488),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(488),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(449),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(858),
    [sym_query_pipeline] = STATE(962),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(283),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(729),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(284),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(438),
    [sym_non_zero_digit] = ACTIONS(440),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(349),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(316),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(314),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(542),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(480),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(851),
    [sym_query_pipeline] = STATE(1009),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(288),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(728),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(297),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_new] = ACTIONS(215),
    [anon_sym_TILDE] = ACTIONS(213),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(308),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(304),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(302),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(301),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(300),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(337),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(361),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(438),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(857),
    [sym_query_pipeline] = STATE(953),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(412),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(414),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_call_expr] = STATE(355),
    [sym_variable_reference_expr] = STATE(355),
    [sym_expression] = STATE(360),
    [sym_new_expression] = STATE(346),
    [sym_explicit_new_expression] = STATE(345),
    [sym_implicit_new_expression] = STATE(345),
    [sym_inner_expr] = STATE(346),
    [sym_logical_expr] = STATE(344),
    [sym_logical_or_expr] = STATE(342),
    [sym_logical_and_expr] = STATE(342),
    [sym_nil_lifted_expr] = STATE(344),
    [sym_binary_bitwise_expr] = STATE(341),
    [sym_binary_and_expr] = STATE(336),
    [sym_binary_or_expr] = STATE(336),
    [sym_binary_xor_expr] = STATE(336),
    [sym_equality_expr] = STATE(344),
    [sym_relational_expr] = STATE(344),
    [sym_shift_expr] = STATE(341),
    [sym_additive_expr] = STATE(341),
    [sym_multiplicative_expr] = STATE(341),
    [sym_unary_numeric_expression] = STATE(341),
    [sym_type_cast_expr] = STATE(346),
    [sym_checking_keyword] = STATE(719),
    [sym_primary_expr] = STATE(315),
    [sym_query_expr] = STATE(346),
    [sym_query_construct_type] = STATE(855),
    [sym_query_pipeline] = STATE(943),
    [sym_from_clause] = STATE(583),
    [sym_literal] = STATE(355),
    [sym_nil_literal] = STATE(353),
    [sym_boolean_literal] = STATE(353),
    [sym_error_constructor_expr] = STATE(355),
    [sym_list_constructor_expr] = STATE(346),
    [sym_mapping_constructor_expr] = STATE(346),
    [sym_member_access_expr] = STATE(355),
    [sym_field_access_expr] = STATE(355),
    [sym_function_call_expr] = STATE(328),
    [sym_method_call_expr] = STATE(328),
    [sym_function_reference] = STATE(996),
    [sym_qualified_identifier] = STATE(291),
    [sym_module_prefix] = STATE(1076),
    [sym_conditional_expr] = STATE(355),
    [sym_ternary_conditional_expr] = STATE(317),
    [sym_nil_conditional_expr] = STATE(317),
    [sym_int_literal] = STATE(353),
    [sym_decimal_number] = STATE(282),
    [sym_hex_int_literal] = STATE(352),
    [sym_hex_indicator] = STATE(731),
    [sym_floating_point_literal] = STATE(353),
    [sym_decimal_floating_point_number] = STATE(350),
    [sym_dotted_decimal_number] = STATE(281),
    [sym_hex_floating_point_literal] = STATE(350),
    [sym_string_literal] = STATE(353),
    [sym_double_quoted_string_literal] = STATE(348),
    [anon_sym_DOT] = ACTIONS(410),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_error] = ACTIONS(205),
    [anon_sym_map] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_DASH] = ACTIONS(480),
    [anon_sym_new] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(480),
    [anon_sym_check] = ACTIONS(67),
    [anon_sym_checkpanic] = ACTIONS(67),
    [anon_sym_stream] = ACTIONS(207),
    [anon_sym_from] = ACTIONS(217),
    [anon_sym_null] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(221),
    [anon_sym_false] = ACTIONS(221),
    [anon_sym_0] = ACTIONS(418),
    [sym_non_zero_digit] = ACTIONS(420),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(325),
    [anon_sym_DQUOTE] = ACTIONS(229),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(787),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_field_desc] = STATE(201),
    [sym_individual_field_desc] = STATE(488),
    [sym_record_type_inclusion] = STATE(488),
    [sym_rest_field_desc] = STATE(1136),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_inclusive_record_type_desc_repeat1] = STATE(201),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(502),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(504),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_PIPE_RBRACE] = ACTIONS(506),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(787),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_field_desc] = STATE(199),
    [sym_individual_field_desc] = STATE(488),
    [sym_record_type_inclusion] = STATE(488),
    [sym_rest_field_desc] = STATE(1072),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_inclusive_record_type_desc_repeat1] = STATE(199),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(502),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(504),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_PIPE_RBRACE] = ACTIONS(514),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(802),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_field_desc] = STATE(201),
    [sym_individual_field_desc] = STATE(488),
    [sym_record_type_inclusion] = STATE(488),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_inclusive_record_type_desc_repeat1] = STATE(201),
    [anon_sym_DOT] = ACTIONS(516),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(521),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_readonly] = ACTIONS(527),
    [anon_sym_isolated] = ACTIONS(530),
    [anon_sym_STAR] = ACTIONS(533),
    [sym_transactional_qual] = ACTIONS(536),
    [anon_sym_object] = ACTIONS(539),
    [anon_sym_LBRACK] = ACTIONS(542),
    [anon_sym_any] = ACTIONS(545),
    [anon_sym_anydata] = ACTIONS(545),
    [anon_sym_boolean] = ACTIONS(545),
    [anon_sym_byte] = ACTIONS(545),
    [anon_sym_error] = ACTIONS(545),
    [anon_sym_float] = ACTIONS(545),
    [anon_sym_int] = ACTIONS(545),
    [anon_sym_string] = ACTIONS(545),
    [anon_sym_map] = ACTIONS(548),
    [anon_sym_record] = ACTIONS(551),
    [anon_sym_PIPE_RBRACE] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_null] = ACTIONS(557),
    [anon_sym_true] = ACTIONS(560),
    [anon_sym_false] = ACTIONS(560),
    [anon_sym_0] = ACTIONS(563),
    [sym_non_zero_digit] = ACTIONS(566),
    [anon_sym_0x] = ACTIONS(569),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(802),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_field_desc] = STATE(201),
    [sym_individual_field_desc] = STATE(488),
    [sym_record_type_inclusion] = STATE(488),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_inclusive_record_type_desc_repeat1] = STATE(201),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(504),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(802),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_field_desc] = STATE(202),
    [sym_individual_field_desc] = STATE(488),
    [sym_record_type_inclusion] = STATE(488),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [aux_sym_inclusive_record_type_desc_repeat1] = STATE(202),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(580),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(504),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1044),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1137),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1153),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(588),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(900),
    [sym_defaultable_param] = STATE(977),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1070),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(1131),
    [sym_defaultable_param] = STATE(977),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1040),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1147),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(592),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(794),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(594),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_PIPE] = ACTIONS(596),
    [anon_sym_AMP] = ACTIONS(596),
    [anon_sym_QMARK] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(596),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(596),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1156),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(1131),
    [sym_defaultable_param] = STATE(977),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1070),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param_list] = STATE(1092),
    [sym_param] = STATE(786),
    [sym_defaultable_param] = STATE(845),
    [sym_rest_param] = STATE(1138),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(1131),
    [sym_defaultable_param] = STATE(977),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1155),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(750),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(900),
    [sym_defaultable_param] = STATE(977),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1155),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1053),
    [sym_inferable_type_desc] = STATE(850),
    [sym_let_var_decl] = STATE(717),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1053),
    [sym_inferable_type_desc] = STATE(850),
    [sym_let_var_decl] = STATE(744),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(794),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_PIPE] = ACTIONS(596),
    [anon_sym_AMP] = ACTIONS(596),
    [anon_sym_QMARK] = ACTIONS(596),
    [anon_sym_LBRACK] = ACTIONS(596),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_COLON] = ACTIONS(596),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1139),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1051),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(827),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1070),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1124),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1055),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(827),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1040),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(941),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(827),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_include_record_param] = STATE(919),
    [sym_rest_param] = STATE(1105),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(590),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(791),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_typed_binding_pattern] = STATE(1035),
    [sym_inferable_type_desc] = STATE(850),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_var] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(763),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_tuple_member_type_desc_list] = STATE(1125),
    [sym_tuple_rest_desc] = STATE(1133),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(762),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(1131),
    [sym_defaultable_param] = STATE(977),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(810),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(614),
    [anon_sym_final] = ACTIONS(616),
    [sym_transactional_qual] = ACTIONS(614),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(810),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(616),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(766),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_tuple_rest_desc] = STATE(1096),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(820),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(766),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_tuple_rest_desc] = STATE(1045),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_function_quals] = STATE(1159),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(810),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(624),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [anon_sym_final] = ACTIONS(616),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(762),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_param] = STATE(1031),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(817),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(657),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(833),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(841),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(813),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(829),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(796),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(828),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(782),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(649),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(842),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(840),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(835),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(834),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(657),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(826),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(810),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(753),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(748),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(770),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(769),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(812),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(836),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(824),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(811),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(649),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(814),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(815),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(657),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(657),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(649),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(755),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_function_quals] = STATE(1050),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(751),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(550),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(747),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(23),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(75),
    [sym_non_zero_digit] = ACTIONS(77),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(822),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(821),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(742),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(730),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_function_quals] = STATE(1145),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(649),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(551),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(733),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(552),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(498),
    [anon_sym_function] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(508),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(510),
    [sym_non_zero_digit] = ACTIONS(512),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(657),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_function_quals] = STATE(1164),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(649),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(557),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(732),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(606),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(608),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(610),
    [sym_non_zero_digit] = ACTIONS(612),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(844),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(777),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_function_quals] = STATE(1075),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(839),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(549),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(743),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(553),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(223),
    [sym_non_zero_digit] = ACTIONS(225),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_function_quals] = STATE(1167),
    [sym_isolated_qual] = STATE(1017),
    [sym_type_desc] = STATE(818),
    [sym_function_type_desc] = STATE(647),
    [sym_object_type_desc] = STATE(647),
    [sym_union_type_desc] = STATE(647),
    [sym_intersection_type_desc] = STATE(647),
    [sym_postfix_type_desc] = STATE(599),
    [sym_optional_type_desc] = STATE(630),
    [sym_array_type_desc] = STATE(630),
    [sym_array_member_type_desc] = STATE(898),
    [sym_primary_type_desc] = STATE(630),
    [sym_builtin_type_name] = STATE(587),
    [sym_nil_type_desc] = STATE(627),
    [sym_singleton_type_desc] = STATE(627),
    [sym_type_reference] = STATE(627),
    [sym_builtin_type_qualified_identifier] = STATE(626),
    [sym_map_type_desc] = STATE(627),
    [sym_record_type_desc] = STATE(627),
    [sym_inclusive_record_type_desc] = STATE(625),
    [sym_exclusive_record_type_desc] = STATE(625),
    [sym_tuple_type_desc] = STATE(627),
    [sym_simple_const_no_ref_expr] = STATE(624),
    [sym_literal] = STATE(620),
    [sym_nil_literal] = STATE(602),
    [sym_boolean_literal] = STATE(601),
    [sym_qualified_identifier] = STATE(626),
    [sym_module_prefix] = STATE(1071),
    [sym_int_literal] = STATE(601),
    [sym_decimal_number] = STATE(573),
    [sym_hex_int_literal] = STATE(598),
    [sym_hex_indicator] = STATE(737),
    [sym_floating_point_literal] = STATE(601),
    [sym_decimal_floating_point_number] = STATE(617),
    [sym_dotted_decimal_number] = STATE(556),
    [sym_hex_floating_point_literal] = STATE(617),
    [sym_string_literal] = STATE(601),
    [sym_double_quoted_string_literal] = STATE(629),
    [anon_sym_DOT] = ACTIONS(604),
    [anon_sym_function] = ACTIONS(626),
    [anon_sym_LPAREN] = ACTIONS(29),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_isolated] = ACTIONS(33),
    [sym_transactional_qual] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_any] = ACTIONS(31),
    [anon_sym_anydata] = ACTIONS(31),
    [anon_sym_boolean] = ACTIONS(31),
    [anon_sym_byte] = ACTIONS(31),
    [anon_sym_error] = ACTIONS(31),
    [anon_sym_float] = ACTIONS(31),
    [anon_sym_int] = ACTIONS(31),
    [anon_sym_string] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(43),
    [anon_sym_record] = ACTIONS(45),
    [anon_sym_DASH] = ACTIONS(628),
    [anon_sym_null] = ACTIONS(71),
    [anon_sym_true] = ACTIONS(73),
    [anon_sym_false] = ACTIONS(73),
    [anon_sym_0] = ACTIONS(630),
    [sym_non_zero_digit] = ACTIONS(632),
    [anon_sym_0x] = ACTIONS(79),
    [sym_identifier] = ACTIONS(245),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_d,
    ACTIONS(642), 1,
      anon_sym_D,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(334), 1,
      sym_exponent,
    STATE(798), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(634), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(636), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [74] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_d,
    ACTIONS(642), 1,
      anon_sym_D,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(334), 1,
      sym_exponent,
    STATE(798), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(648), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(650), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [148] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(378), 1,
      sym_exponent,
    STATE(806), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(648), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(650), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [218] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(378), 1,
      sym_exponent,
    STATE(806), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(634), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(636), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(654), 37,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(658), 37,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(660), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(662), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [453] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 1,
      anon_sym_E,
    ACTIONS(666), 1,
      anon_sym_e,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(414), 1,
      sym_exponent,
    STATE(801), 1,
      sym_exponent_indicator,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(646), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(648), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(650), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(668), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(670), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(672), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(674), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(678), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(686), 1,
      sym_digit,
    STATE(287), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(682), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(684), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(690), 36,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(698), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [968] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(638), 1,
      anon_sym_E,
    ACTIONS(666), 1,
      anon_sym_e,
    STATE(322), 1,
      sym_floating_point_type_suffix,
    STATE(414), 1,
      sym_exponent,
    STATE(801), 1,
      sym_exponent_indicator,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(646), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(634), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(636), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [1037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_DOT,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(676), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(678), 33,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(712), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(714), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(718), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(720), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(722), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(724), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(726), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(730), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(734), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(738), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(742), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(746), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 17,
      anon_sym_SLASH,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(698), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [1672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(753), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(762), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(759), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(311), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(755), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(757), 30,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [1782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(767), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(771), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(775), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [1990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(783), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(787), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(791), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(795), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(799), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(803), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(807), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(811), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(815), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(819), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(823), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(827), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(831), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(835), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(839), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(843), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2822] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(851), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(849), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(311), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(845), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(847), 30,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [2880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(855), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2932] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_d,
    ACTIONS(642), 1,
      anon_sym_D,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(310), 1,
      sym_floating_point_type_suffix,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(805), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(807), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [2996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(859), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(863), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(867), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(871), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(873), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(875), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(879), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(883), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(887), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(891), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(893), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(895), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(903), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(907), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(911), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(915), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(919), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(650), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(923), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [3984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(927), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(931), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(935), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(939), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(943), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(947), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(949), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(951), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(953), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(955), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(959), 35,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [4452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(660), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(662), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [4507] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(965), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
    ACTIONS(963), 20,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
  [4570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(668), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(670), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [4625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(668), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(670), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [4680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(973), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(698), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [4735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 1,
      sym_digit,
    STATE(363), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(682), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(684), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [4790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(672), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(674), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [4845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(978), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(980), 30,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_D,
      anon_sym_F,
  [4900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(672), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(674), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [4955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(684), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_D,
      anon_sym_F,
  [5006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(698), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [5061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(985), 1,
      sym_digit,
    STATE(376), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(682), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(684), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [5116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(987), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_d,
      anon_sym_f,
    ACTIONS(989), 30,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_D,
      anon_sym_F,
  [5171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(660), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(662), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [5226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      aux_sym_hex_digit_token1,
    ACTIONS(993), 32,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      sym_digit,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [5276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_f,
    ACTIONS(646), 1,
      anon_sym_F,
    STATE(310), 1,
      sym_floating_point_type_suffix,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(805), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(807), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [5336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(995), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(380), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(845), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(847), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [5392] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1002), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(999), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(380), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(755), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(757), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [5448] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(965), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
    ACTIONS(963), 19,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
  [5510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1007), 33,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 1,
      anon_sym_else,
    ACTIONS(1009), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1011), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1017), 33,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_else,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1021), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1025), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1017), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1029), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1033), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [5907] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(390), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1035), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(755), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(757), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [5960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(797), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1038), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1040), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [6015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(797), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1044), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1046), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [6070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1050), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1054), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_e,
    ACTIONS(684), 31,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [6217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(684), 31,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [6266] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(978), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(980), 29,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [6319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(987), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(989), 30,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [6372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1056), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1058), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1060), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1062), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(390), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(845), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(847), 27,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [6523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1068), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1072), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1076), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1080), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(965), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
    ACTIONS(963), 18,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [6780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(978), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(980), 30,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [6833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1082), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1084), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1086), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1088), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1092), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [6980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1094), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1096), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [7029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1100), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [7078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(987), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_f,
    ACTIONS(989), 29,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      anon_sym_d,
      anon_sym_D,
      anon_sym_F,
  [7131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(310), 1,
      sym_floating_point_type_suffix,
    ACTIONS(642), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(646), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(321), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(805), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(807), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [7188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1007), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [7237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1104), 32,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_final,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_return,
      anon_sym_if,
      anon_sym_while,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_foreach,
      anon_sym_panic,
      anon_sym_match,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_var,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [7286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      aux_sym_hex_digit_token1,
    ACTIONS(993), 30,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
      sym_digit,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [7334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(963), 17,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
    ACTIONS(965), 17,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [7394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(788), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1044), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1046), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1106), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1108), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(664), 1,
      sym_digit,
    STATE(295), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1110), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1112), 28,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7549] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(963), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_on,
    ACTIONS(965), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [7608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(993), 30,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_QMARK_COLON,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [7655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(788), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1038), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1040), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7708] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(1114), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(963), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(965), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [7766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 27,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 27,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [7866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(789), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1044), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1046), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [7918] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(789), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1038), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1040), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [7970] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1110), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1112), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 1,
      anon_sym_DOT,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 26,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      sym_digit,
    STATE(373), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1106), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1108), 26,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8117] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 25,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(809), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1038), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1040), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [8215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(307), 1,
      sym_hex_exponent,
    STATE(809), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1044), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1046), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [8265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 25,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1106), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1108), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [8361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1126), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 25,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 1,
      sym_digit,
    STATE(367), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1110), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1112), 25,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [8457] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 25,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_ascending,
      anon_sym_descending,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 25,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1110), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1112), 24,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [8600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1130), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 24,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_on,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [8647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1106), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(1108), 24,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [8694] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_null,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_0,
    ACTIONS(225), 1,
      sym_non_zero_digit,
    ACTIONS(321), 1,
      anon_sym_DOT,
    ACTIONS(622), 1,
      anon_sym_DASH,
    ACTIONS(969), 1,
      sym_identifier,
    ACTIONS(1132), 1,
      anon_sym_RBRACE,
    ACTIONS(1134), 1,
      anon_sym_LPAREN,
    ACTIONS(1136), 1,
      sym_wildcard_binding_pattern,
    STATE(549), 1,
      sym_decimal_number,
    STATE(553), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(620), 1,
      sym_literal,
    STATE(629), 1,
      sym_double_quoted_string_literal,
    STATE(743), 1,
      sym_hex_indicator,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(983), 1,
      sym_match_pattern,
    STATE(986), 1,
      sym_match_pattern_list,
    STATE(987), 1,
      sym_simple_const_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(447), 2,
      sym_match_clause,
      aux_sym_match_stmt_repeat1,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(968), 2,
      sym_simple_const_no_ref_expr,
      sym_const_reference_expr,
    STATE(601), 5,
      sym_nil_literal,
      sym_boolean_literal,
      sym_int_literal,
      sym_floating_point_literal,
      sym_string_literal,
  [8787] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_SLASH,
    ACTIONS(1144), 1,
      anon_sym_PIPE,
    ACTIONS(1146), 1,
      anon_sym_AMP,
    ACTIONS(1148), 1,
      anon_sym_QMARK,
    ACTIONS(1154), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1156), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(1168), 1,
      anon_sym_GT_GT,
    ACTIONS(1172), 1,
      anon_sym_QMARK_COLON,
    STATE(739), 1,
      sym_order_direction,
    ACTIONS(1142), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1150), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1152), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1160), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1162), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1164), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1166), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1170), 2,
      anon_sym_ascending,
      anon_sym_descending,
    ACTIONS(1140), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [8864] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 1,
      anon_sym_DOT,
    ACTIONS(1177), 1,
      anon_sym_RBRACE,
    ACTIONS(1179), 1,
      anon_sym_LPAREN,
    ACTIONS(1182), 1,
      sym_wildcard_binding_pattern,
    ACTIONS(1185), 1,
      anon_sym_DASH,
    ACTIONS(1188), 1,
      anon_sym_null,
    ACTIONS(1194), 1,
      anon_sym_0,
    ACTIONS(1197), 1,
      sym_non_zero_digit,
    ACTIONS(1200), 1,
      anon_sym_0x,
    ACTIONS(1203), 1,
      sym_identifier,
    ACTIONS(1206), 1,
      anon_sym_DQUOTE,
    STATE(549), 1,
      sym_decimal_number,
    STATE(553), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(620), 1,
      sym_literal,
    STATE(629), 1,
      sym_double_quoted_string_literal,
    STATE(743), 1,
      sym_hex_indicator,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(983), 1,
      sym_match_pattern,
    STATE(986), 1,
      sym_match_pattern_list,
    STATE(987), 1,
      sym_simple_const_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(1191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(447), 2,
      sym_match_clause,
      aux_sym_match_stmt_repeat1,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(968), 2,
      sym_simple_const_no_ref_expr,
      sym_const_reference_expr,
    STATE(601), 5,
      sym_nil_literal,
      sym_boolean_literal,
      sym_int_literal,
      sym_floating_point_literal,
      sym_string_literal,
  [8957] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 23,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [9003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1211), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 23,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [9049] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [9095] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_null,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_0,
    ACTIONS(225), 1,
      sym_non_zero_digit,
    ACTIONS(321), 1,
      anon_sym_DOT,
    ACTIONS(622), 1,
      anon_sym_DASH,
    ACTIONS(969), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LPAREN,
    ACTIONS(1136), 1,
      sym_wildcard_binding_pattern,
    STATE(549), 1,
      sym_decimal_number,
    STATE(553), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(620), 1,
      sym_literal,
    STATE(629), 1,
      sym_double_quoted_string_literal,
    STATE(743), 1,
      sym_hex_indicator,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(983), 1,
      sym_match_pattern,
    STATE(986), 1,
      sym_match_pattern_list,
    STATE(987), 1,
      sym_simple_const_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(445), 2,
      sym_match_clause,
      aux_sym_match_stmt_repeat1,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(968), 2,
      sym_simple_const_no_ref_expr,
      sym_const_reference_expr,
    STATE(601), 5,
      sym_nil_literal,
      sym_boolean_literal,
      sym_int_literal,
      sym_floating_point_literal,
      sym_string_literal,
  [9185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 23,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [9231] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 23,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
      anon_sym_QMARK_COLON,
  [9277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(1215), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(454), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(755), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(757), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [9325] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      aux_sym_hex_digit_token1,
    ACTIONS(1221), 2,
      sym_digit,
      aux_sym_hex_digit_token2,
    STATE(454), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(845), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(847), 20,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      anon_sym_p,
      anon_sym_P,
  [9373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1227), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1231), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1233), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 22,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_QMARK_COLON,
  [9500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1235), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1237), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1241), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1245), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9623] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(963), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_on,
      anon_sym_equals,
    ACTIONS(965), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [9676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1249), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1253), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1257), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1261), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1265), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1269), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1273), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [9963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1277), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1281), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1017), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1285), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1289), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1007), 24,
      anon_sym_public,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_private,
      anon_sym_final,
      anon_sym_remote,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [10253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      sym_identifier,
    STATE(326), 1,
      sym_arg_list,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1029), 1,
      sym_const_reference_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(963), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      anon_sym_equals,
    ACTIONS(965), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [10305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 10,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
      aux_sym_hex_digit_token1,
    ACTIONS(993), 22,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
      sym_digit,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [10345] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_SLASH,
    ACTIONS(1299), 1,
      anon_sym_PIPE,
    ACTIONS(1301), 1,
      anon_sym_AMP,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1309), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1313), 1,
      anon_sym_CARET,
    ACTIONS(1323), 1,
      anon_sym_GT_GT,
    ACTIONS(1325), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1297), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1305), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1307), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1295), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [10415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [10459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 21,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [10503] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_SLASH,
    ACTIONS(1299), 1,
      anon_sym_PIPE,
    ACTIONS(1301), 1,
      anon_sym_AMP,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1309), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1313), 1,
      anon_sym_CARET,
    ACTIONS(1323), 1,
      anon_sym_GT_GT,
    ACTIONS(1325), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1297), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1305), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1307), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1329), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [10572] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_SLASH,
    ACTIONS(1299), 1,
      anon_sym_PIPE,
    ACTIONS(1301), 1,
      anon_sym_AMP,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1309), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1313), 1,
      anon_sym_CARET,
    ACTIONS(1323), 1,
      anon_sym_GT_GT,
    ACTIONS(1325), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1297), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1305), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1307), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1331), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [10641] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_SLASH,
    ACTIONS(1299), 1,
      anon_sym_PIPE,
    ACTIONS(1301), 1,
      anon_sym_AMP,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1309), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1313), 1,
      anon_sym_CARET,
    ACTIONS(1323), 1,
      anon_sym_GT_GT,
    ACTIONS(1325), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1297), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1305), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1307), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1333), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [10710] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_null,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(223), 1,
      anon_sym_0,
    ACTIONS(225), 1,
      sym_non_zero_digit,
    ACTIONS(321), 1,
      anon_sym_DOT,
    ACTIONS(622), 1,
      anon_sym_DASH,
    ACTIONS(969), 1,
      sym_identifier,
    ACTIONS(1134), 1,
      anon_sym_LPAREN,
    ACTIONS(1136), 1,
      sym_wildcard_binding_pattern,
    STATE(549), 1,
      sym_decimal_number,
    STATE(553), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(620), 1,
      sym_literal,
    STATE(629), 1,
      sym_double_quoted_string_literal,
    STATE(743), 1,
      sym_hex_indicator,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(969), 1,
      sym_match_pattern,
    STATE(987), 1,
      sym_simple_const_expr,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(73), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(968), 2,
      sym_simple_const_no_ref_expr,
      sym_const_reference_expr,
    STATE(601), 5,
      sym_nil_literal,
      sym_boolean_literal,
      sym_int_literal,
      sym_floating_point_literal,
      sym_string_literal,
  [10793] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_SLASH,
    ACTIONS(1299), 1,
      anon_sym_PIPE,
    ACTIONS(1301), 1,
      anon_sym_AMP,
    ACTIONS(1303), 1,
      anon_sym_QMARK,
    ACTIONS(1309), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1313), 1,
      anon_sym_CARET,
    ACTIONS(1323), 1,
      anon_sym_GT_GT,
    ACTIONS(1325), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1297), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1305), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1307), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1315), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1319), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1321), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1335), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [10862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1339), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1343), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1347), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [10976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1351), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [11014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1355), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [11052] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_DOT,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(1357), 1,
      anon_sym_EQ,
    ACTIONS(676), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(678), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [11098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 10,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1361), 20,
      anon_sym_function,
      anon_sym_readonly,
      anon_sym_isolated,
      sym_transactional_qual,
      anon_sym_object,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_map,
      anon_sym_record,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [11136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 17,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1365), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 16,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_on,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_on,
    STATE(357), 1,
      sym_on_conflict_clause,
    ACTIONS(703), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(705), 15,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_SEMI,
    ACTIONS(929), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(931), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [11329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_SEMI,
    ACTIONS(929), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(931), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [11365] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_SEMI,
    ACTIONS(929), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(931), 16,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [11401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1120), 1,
      anon_sym_LBRACK,
    ACTIONS(1375), 1,
      anon_sym_DOT,
    ACTIONS(777), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(779), 15,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_on,
    STATE(305), 1,
      sym_on_conflict_clause,
    ACTIONS(692), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(694), 15,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_equals,
      anon_sym_QMARK_COLON,
  [11477] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    STATE(889), 1,
      aux_sym_expr_list_repeat1,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 14,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [11581] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1415), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [11644] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1417), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [11707] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1419), 1,
      anon_sym_LBRACE,
    STATE(383), 1,
      sym_stmt_block,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      anon_sym_import,
    ACTIONS(7), 1,
      anon_sym_public,
    ACTIONS(9), 1,
      anon_sym_enum,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_class,
    ACTIONS(19), 1,
      anon_sym_final,
    ACTIONS(21), 1,
      anon_sym_type,
    STATE(764), 1,
      aux_sym_class_type_quals_repeat1,
    STATE(1141), 1,
      sym_class_type_quals,
    STATE(545), 2,
      sym_module_defn,
      aux_sym_module_part_repeat2,
    STATE(631), 2,
      sym_import_decl,
      aux_sym_module_part_repeat1,
    ACTIONS(17), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
    STATE(666), 6,
      sym_enum_decl,
      sym_function_defn,
      sym_const_defn,
      sym_class_defn,
      sym_final_defn,
      sym_type_defn,
  [11829] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1421), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [11892] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_SLASH,
    ACTIONS(1427), 1,
      anon_sym_PIPE,
    ACTIONS(1429), 1,
      anon_sym_AMP,
    ACTIONS(1431), 1,
      anon_sym_QMARK,
    ACTIONS(1437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1441), 1,
      anon_sym_CARET,
    ACTIONS(1451), 1,
      anon_sym_GT_GT,
    ACTIONS(1453), 1,
      anon_sym_on,
    ACTIONS(1455), 1,
      anon_sym_QMARK_COLON,
    STATE(754), 1,
      sym_join_on_condition,
    ACTIONS(1425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1433), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1435), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1443), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1449), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [11957] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1457), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_stmt_block,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12022] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1457), 1,
      anon_sym_LBRACE,
    STATE(388), 1,
      sym_stmt_block,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12087] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1459), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [12150] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 1,
      anon_sym_SLASH,
    ACTIONS(1427), 1,
      anon_sym_PIPE,
    ACTIONS(1429), 1,
      anon_sym_AMP,
    ACTIONS(1431), 1,
      anon_sym_QMARK,
    ACTIONS(1437), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1439), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1441), 1,
      anon_sym_CARET,
    ACTIONS(1451), 1,
      anon_sym_GT_GT,
    ACTIONS(1453), 1,
      anon_sym_on,
    ACTIONS(1455), 1,
      anon_sym_QMARK_COLON,
    STATE(749), 1,
      sym_join_on_condition,
    ACTIONS(1425), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1433), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1435), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1443), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1447), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1449), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12215] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1461), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [12278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 1,
      anon_sym_RPAREN,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 14,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [12312] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12374] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1467), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1469), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1471), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1473), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12622] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1475), 1,
      anon_sym_RBRACK,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12684] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_LBRACE,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 14,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [12718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_SEMI,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 14,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [12752] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_SLASH,
    ACTIONS(1485), 1,
      anon_sym_PIPE,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    ACTIONS(1489), 1,
      anon_sym_QMARK,
    ACTIONS(1495), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1497), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1499), 1,
      anon_sym_CARET,
    ACTIONS(1509), 1,
      anon_sym_GT_GT,
    ACTIONS(1511), 1,
      anon_sym_equals,
    ACTIONS(1513), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1483), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1491), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1493), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1501), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1503), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1505), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1507), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_RPAREN,
    ACTIONS(897), 9,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_GT,
    ACTIONS(899), 14,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_QMARK_COLON,
  [12848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1517), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1519), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1521), 1,
      anon_sym_RPAREN,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1523), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13158] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1527), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13220] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1529), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13282] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1531), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13344] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1533), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13406] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1535), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13468] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1537), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13530] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1539), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1541), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13654] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1543), 1,
      anon_sym_RBRACK,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13716] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1545), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13778] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1547), 1,
      anon_sym_SEMI,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13840] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1549), 1,
      anon_sym_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13902] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_SLASH,
    ACTIONS(1383), 1,
      anon_sym_PIPE,
    ACTIONS(1385), 1,
      anon_sym_AMP,
    ACTIONS(1387), 1,
      anon_sym_QMARK,
    ACTIONS(1395), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1397), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1399), 1,
      anon_sym_CARET,
    ACTIONS(1409), 1,
      anon_sym_GT_GT,
    ACTIONS(1411), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(1381), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1391), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1393), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1401), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1403), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1405), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1407), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13961] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_public,
    ACTIONS(9), 1,
      anon_sym_enum,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_class,
    ACTIONS(19), 1,
      anon_sym_final,
    ACTIONS(21), 1,
      anon_sym_type,
    ACTIONS(1551), 1,
      ts_builtin_sym_end,
    STATE(764), 1,
      aux_sym_class_type_quals_repeat1,
    STATE(1141), 1,
      sym_class_type_quals,
    STATE(547), 2,
      sym_module_defn,
      aux_sym_module_part_repeat2,
    ACTIONS(17), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
    STATE(666), 6,
      sym_enum_decl,
      sym_function_defn,
      sym_const_defn,
      sym_class_defn,
      sym_final_defn,
      sym_type_defn,
  [14014] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_public,
    ACTIONS(9), 1,
      anon_sym_enum,
    ACTIONS(11), 1,
      anon_sym_function,
    ACTIONS(13), 1,
      anon_sym_const,
    ACTIONS(15), 1,
      anon_sym_class,
    ACTIONS(19), 1,
      anon_sym_final,
    ACTIONS(21), 1,
      anon_sym_type,
    ACTIONS(1553), 1,
      ts_builtin_sym_end,
    STATE(764), 1,
      aux_sym_class_type_quals_repeat1,
    STATE(1141), 1,
      sym_class_type_quals,
    STATE(547), 2,
      sym_module_defn,
      aux_sym_module_part_repeat2,
    ACTIONS(17), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
    STATE(666), 6,
      sym_enum_decl,
      sym_function_defn,
      sym_const_defn,
      sym_class_defn,
      sym_final_defn,
      sym_type_defn,
  [14067] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      ts_builtin_sym_end,
    ACTIONS(1557), 1,
      anon_sym_public,
    ACTIONS(1560), 1,
      anon_sym_enum,
    ACTIONS(1563), 1,
      anon_sym_function,
    ACTIONS(1566), 1,
      anon_sym_const,
    ACTIONS(1569), 1,
      anon_sym_class,
    ACTIONS(1575), 1,
      anon_sym_final,
    ACTIONS(1578), 1,
      anon_sym_type,
    STATE(764), 1,
      aux_sym_class_type_quals_repeat1,
    STATE(1141), 1,
      sym_class_type_quals,
    STATE(547), 2,
      sym_module_defn,
      aux_sym_module_part_repeat2,
    ACTIONS(1572), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
    STATE(666), 6,
      sym_enum_decl,
      sym_function_defn,
      sym_const_defn,
      sym_class_defn,
      sym_final_defn,
      sym_type_defn,
  [14120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 10,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
    ACTIONS(1583), 12,
      anon_sym_error,
      anon_sym_map,
      anon_sym_new,
      anon_sym_check,
      anon_sym_checkpanic,
      anon_sym_stream,
      anon_sym_from,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
  [14150] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_DOT,
    STATE(555), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(801), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(650), 10,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [14194] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      sym_identifier,
    ACTIONS(1591), 1,
      anon_sym_DOT,
    STATE(579), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(795), 1,
      sym_exponent_indicator,
    ACTIONS(666), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1593), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1595), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(650), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [14239] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      sym_identifier,
    ACTIONS(1597), 1,
      anon_sym_DOT,
    STATE(579), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(795), 1,
      sym_exponent_indicator,
    ACTIONS(666), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1593), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1595), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(650), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      sym_identifier,
    STATE(579), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(795), 1,
      sym_exponent_indicator,
    ACTIONS(666), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1593), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1595), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(636), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [14327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    STATE(555), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(801), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(636), 10,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [14368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(660), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(662), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_wildcard_binding_pattern,
  [14399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(634), 1,
      sym_floating_point_type_suffix,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(807), 12,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
  [14432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    STATE(555), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(807), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(636), 8,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
  [14471] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_DOT,
    STATE(555), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(807), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(650), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [14512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 1,
      sym_digit,
    STATE(554), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(682), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(684), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_wildcard_binding_pattern,
  [14543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 1,
      sym_digit,
    STATE(559), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 5,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(698), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [14573] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      sym_digit,
    STATE(561), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(682), 8,
      anon_sym_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(684), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14603] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym_digit,
    STATE(563), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(660), 8,
      anon_sym_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(662), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(707), 1,
      anon_sym_DOT,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(676), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1610), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      sym_identifier,
    ACTIONS(678), 7,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [14667] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      sym_digit,
    STATE(563), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(696), 8,
      anon_sym_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(698), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_EQ,
    ACTIONS(1619), 1,
      anon_sym_LBRACK,
    STATE(564), 2,
      sym_array_dimensions,
      aux_sym_array_type_desc_repeat1,
    ACTIONS(1615), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [14726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(676), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1610), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      sym_identifier,
    ACTIONS(678), 8,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [14755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym_digit,
    ACTIONS(1624), 2,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    STATE(572), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(845), 4,
      anon_sym_DOT,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(847), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      sym_digit,
    ACTIONS(1629), 2,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    STATE(567), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(755), 3,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(757), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [14817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(690), 15,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
      sym_identifier,
  [14842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_EQ,
    ACTIONS(1636), 1,
      anon_sym_LBRACK,
    STATE(564), 2,
      sym_array_dimensions,
      aux_sym_array_type_desc_repeat1,
    ACTIONS(1632), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [14871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym_digit,
    STATE(563), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(668), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(670), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14900] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      sym_digit,
    STATE(563), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(672), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(674), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      sym_digit,
    ACTIONS(1641), 2,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    STATE(572), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(755), 4,
      anon_sym_DOT,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(757), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [14960] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_DOT,
    STATE(555), 1,
      sym_exponent,
    STATE(604), 1,
      sym_floating_point_type_suffix,
    STATE(807), 1,
      sym_exponent_indicator,
    ACTIONS(638), 2,
      anon_sym_e,
      anon_sym_E,
    ACTIONS(1587), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1589), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(650), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
  [14999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      sym_digit,
    ACTIONS(1648), 2,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    STATE(567), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(845), 3,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(847), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [15030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(668), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(670), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [15059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1128), 1,
      sym_digit,
    STATE(309), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(672), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(674), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [15088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 7,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(684), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_wildcard_binding_pattern,
  [15113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 1,
      anon_sym_DOT,
    ACTIONS(1650), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(698), 14,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [15142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      sym_identifier,
    STATE(634), 1,
      sym_floating_point_type_suffix,
    ACTIONS(1593), 2,
      anon_sym_d,
      anon_sym_D,
    ACTIONS(1595), 2,
      anon_sym_f,
      anon_sym_F,
    STATE(605), 2,
      sym_decimal_type_suffix,
      sym_float_type_suffix,
    ACTIONS(807), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [15175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(1653), 1,
      anon_sym_EQ,
    ACTIONS(1610), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15201] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1655), 1,
      anon_sym_from,
    ACTIONS(1658), 1,
      anon_sym_where,
    ACTIONS(1661), 1,
      anon_sym_let,
    ACTIONS(1664), 1,
      anon_sym_outer,
    ACTIONS(1667), 1,
      anon_sym_join,
    ACTIONS(1670), 1,
      anon_sym_order,
    ACTIONS(1673), 1,
      anon_sym_limit,
    ACTIONS(1676), 1,
      anon_sym_select,
    STATE(581), 2,
      sym_intermediate_clause,
      aux_sym_query_pipeline_repeat1,
    STATE(752), 6,
      sym_from_clause,
      sym_where_clause,
      sym_let_clause,
      sym_join_clause,
      sym_order_by_clause,
      sym_limit_clause,
  [15241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 8,
      anon_sym_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(684), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [15265] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    ACTIONS(1680), 1,
      anon_sym_where,
    ACTIONS(1682), 1,
      anon_sym_let,
    ACTIONS(1684), 1,
      anon_sym_outer,
    ACTIONS(1686), 1,
      anon_sym_join,
    ACTIONS(1688), 1,
      anon_sym_order,
    ACTIONS(1690), 1,
      anon_sym_limit,
    ACTIONS(1692), 1,
      anon_sym_select,
    STATE(589), 2,
      sym_intermediate_clause,
      aux_sym_query_pipeline_repeat1,
    STATE(752), 6,
      sym_from_clause,
      sym_where_clause,
      sym_let_clause,
      sym_join_clause,
      sym_order_by_clause,
      sym_limit_clause,
  [15305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_DOT,
    ACTIONS(1694), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(662), 13,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [15333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 1,
      anon_sym_EQ,
    ACTIONS(690), 15,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(674), 14,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [15383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_EQ,
    ACTIONS(1700), 1,
      anon_sym_COLON,
    ACTIONS(1696), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(598), 1,
      anon_sym_EQ,
    ACTIONS(596), 15,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15433] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    ACTIONS(1680), 1,
      anon_sym_where,
    ACTIONS(1682), 1,
      anon_sym_let,
    ACTIONS(1684), 1,
      anon_sym_outer,
    ACTIONS(1686), 1,
      anon_sym_join,
    ACTIONS(1688), 1,
      anon_sym_order,
    ACTIONS(1690), 1,
      anon_sym_limit,
    ACTIONS(1702), 1,
      anon_sym_select,
    STATE(581), 2,
      sym_intermediate_clause,
      aux_sym_query_pipeline_repeat1,
    STATE(752), 6,
      sym_from_clause,
      sym_where_clause,
      sym_let_clause,
      sym_join_clause,
      sym_order_by_clause,
      sym_limit_clause,
  [15473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_DOT,
    ACTIONS(1704), 1,
      sym_digit,
    STATE(584), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(684), 13,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [15501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(670), 14,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [15527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_DOT,
    STATE(592), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1706), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(757), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_p,
      anon_sym_P,
  [15555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_digit,
    STATE(559), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(987), 5,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(989), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [15583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_DOT,
    STATE(592), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1711), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(847), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_p,
      anon_sym_P,
  [15611] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_digit,
    STATE(559), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(978), 5,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
      sym_identifier,
    ACTIONS(980), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [15639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_EQ,
    ACTIONS(1713), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1719), 1,
      anon_sym_EQ,
    ACTIONS(1717), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(648), 1,
      anon_sym_EQ,
    ACTIONS(650), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15708] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_EQ,
    ACTIONS(1725), 1,
      anon_sym_QMARK,
    ACTIONS(1721), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15733] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 1,
      sym_identifier,
    STATE(1067), 1,
      sym_type_reference,
    STATE(1071), 1,
      sym_module_prefix,
    STATE(1079), 1,
      sym_builtin_type_name,
    STATE(626), 2,
      sym_builtin_type_qualified_identifier,
      sym_qualified_identifier,
    ACTIONS(31), 9,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
  [15764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(923), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      anon_sym_EQ,
    ACTIONS(923), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 1,
      anon_sym_EQ,
    ACTIONS(827), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_EQ,
    ACTIONS(807), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_EQ,
    ACTIONS(803), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 1,
      anon_sym_EQ,
    ACTIONS(819), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1729), 1,
      anon_sym_EQ,
    ACTIONS(1727), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [15925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 5,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(993), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      sym_digit,
  [15948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_module_prefix,
    STATE(1079), 1,
      sym_builtin_type_name,
    STATE(1081), 1,
      sym_type_reference,
    STATE(626), 2,
      sym_builtin_type_qualified_identifier,
      sym_qualified_identifier,
    ACTIONS(31), 9,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
  [15979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 6,
      anon_sym_DOT,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(993), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_digit,
  [16002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 1,
      anon_sym_EQ,
    ACTIONS(791), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      anon_sym_EQ,
    ACTIONS(891), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1733), 1,
      anon_sym_EQ,
    ACTIONS(1731), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(809), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1046), 10,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [16100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_DOT,
    ACTIONS(1741), 1,
      anon_sym_EQ,
    ACTIONS(1745), 1,
      anon_sym_LBRACK,
    STATE(167), 1,
      sym_compound_assignment_operator,
    STATE(1089), 1,
      sym_binary_operator,
    ACTIONS(1737), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1743), 8,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [16133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_EQ,
    ACTIONS(1747), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 1,
      anon_sym_EQ,
    ACTIONS(915), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_EQ,
    ACTIONS(1751), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_EQ,
    ACTIONS(1755), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_EQ,
    ACTIONS(1759), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_EQ,
    ACTIONS(1763), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    ACTIONS(1767), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(740), 1,
      anon_sym_EQ,
    ACTIONS(742), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_EQ,
    ACTIONS(1771), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1777), 1,
      anon_sym_EQ,
    ACTIONS(1775), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 1,
      anon_sym_EQ,
    ACTIONS(1610), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_EQ,
    ACTIONS(1696), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      anon_sym_EQ,
    ACTIONS(947), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      anon_sym_EQ,
    ACTIONS(907), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_EQ,
    ACTIONS(1779), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_import,
    STATE(631), 2,
      sym_import_decl,
      aux_sym_module_part_repeat1,
    ACTIONS(1786), 12,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [16503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 1,
      anon_sym_EQ,
    ACTIONS(943), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1790), 1,
      anon_sym_EQ,
    ACTIONS(1788), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 1,
      anon_sym_EQ,
    ACTIONS(753), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_EQ,
    ACTIONS(1792), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(869), 1,
      anon_sym_EQ,
    ACTIONS(871), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 1,
      anon_sym_EQ,
    ACTIONS(767), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 1,
      sym_identifier,
    STATE(1071), 1,
      sym_module_prefix,
    STATE(1079), 1,
      sym_builtin_type_name,
    STATE(1080), 1,
      sym_type_reference,
    STATE(626), 2,
      sym_builtin_type_qualified_identifier,
      sym_qualified_identifier,
    ACTIONS(31), 9,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
  [16672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1798), 1,
      anon_sym_EQ,
    ACTIONS(1796), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym_EQ,
    ACTIONS(1800), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 1,
      anon_sym_EQ,
    ACTIONS(1804), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(658), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_p,
      anon_sym_P,
  [16760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1810), 1,
      anon_sym_EQ,
    ACTIONS(1808), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(989), 12,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [16806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(654), 14,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_p,
      anon_sym_P,
  [16826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      sym_digit,
    STATE(650), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(662), 12,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [16850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_EQ,
    ACTIONS(1721), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_EQ,
    ACTIONS(1814), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 1,
      anon_sym_EQ,
    ACTIONS(1818), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [16916] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      sym_digit,
    STATE(650), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(698), 12,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [16940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 1,
      anon_sym_DOT,
    ACTIONS(993), 13,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [16962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_SEMI,
    ACTIONS(1825), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [16984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_EQ,
    ACTIONS(1829), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [17006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      sym_digit,
    STATE(578), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(980), 12,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [17030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(809), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1040), 10,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [17056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1833), 1,
      sym_digit,
    STATE(646), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(684), 12,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [17080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_EQ,
    ACTIONS(1835), 13,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [17102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_SEMI,
    ACTIONS(1839), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1845), 1,
      anon_sym_SEMI,
    ACTIONS(1843), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1038), 1,
      sym_identifier,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(808), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1847), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1040), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [17174] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      sym_identifier,
    ACTIONS(1849), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(808), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1847), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1046), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [17204] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 1,
      sym_identifier,
    ACTIONS(1851), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(808), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1847), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1046), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [17234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_DOT,
    ACTIONS(684), 13,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [17256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1853), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1855), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1857), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1859), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 5,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
    ACTIONS(1861), 8,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
  [17353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 5,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
    ACTIONS(1005), 8,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
  [17393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1867), 13,
      anon_sym_import,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1869), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(679), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1871), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(847), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_p,
      anon_sym_P,
  [17454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 5,
      anon_sym_null,
      anon_sym_true,
      anon_sym_false,
      anon_sym_0,
      sym_identifier,
    ACTIONS(1015), 8,
      anon_sym_DOT,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      sym_wildcard_binding_pattern,
      anon_sym_DASH,
      sym_non_zero_digit,
      anon_sym_0x,
      anon_sym_DQUOTE,
  [17475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1875), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(679), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1879), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
    ACTIONS(757), 8,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_p,
      anon_sym_P,
  [17574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 13,
      anon_sym_import,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1886), 11,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [17633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1839), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1890), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17690] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_0,
    ACTIONS(77), 1,
      sym_non_zero_digit,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(1114), 1,
      sym_identifier,
    ACTIONS(1892), 1,
      anon_sym_RBRACK,
    STATE(780), 1,
      sym_hex_indicator,
    STATE(816), 1,
      sym_qualified_identifier,
    STATE(1041), 1,
      sym_array_length,
    STATE(1071), 1,
      sym_module_prefix,
    STATE(598), 2,
      sym_decimal_number,
      sym_hex_int_literal,
    STATE(1123), 2,
      sym_const_reference_expr,
      sym_int_literal,
  [17729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1896), 11,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [17750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1843), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1898), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 2,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1906), 11,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_PLUS,
  [17847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 13,
      anon_sym_import,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1910), 13,
      ts_builtin_sym_end,
      anon_sym_public,
      anon_sym_enum,
      anon_sym_function,
      anon_sym_const,
      anon_sym_class,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
      anon_sym_final,
      anon_sym_type,
  [17885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(604), 1,
      anon_sym_DOT,
    ACTIONS(610), 1,
      anon_sym_0,
    ACTIONS(612), 1,
      sym_non_zero_digit,
    STATE(556), 1,
      sym_dotted_decimal_number,
    STATE(557), 1,
      sym_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(732), 1,
      sym_hex_indicator,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(621), 2,
      sym_int_literal,
      sym_floating_point_literal,
  [17921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      sym_digit,
    STATE(710), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1108), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [17943] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(23), 1,
      anon_sym_DOT,
    ACTIONS(75), 1,
      anon_sym_0,
    ACTIONS(77), 1,
      sym_non_zero_digit,
    ACTIONS(79), 1,
      anon_sym_0x,
    STATE(550), 1,
      sym_decimal_number,
    STATE(552), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(747), 1,
      sym_hex_indicator,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(621), 2,
      sym_int_literal,
      sym_floating_point_literal,
  [17979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(805), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1040), 8,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
  [18003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(656), 3,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(658), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [18023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      sym_digit,
    STATE(710), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1112), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [18045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1914), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(805), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1046), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [18071] = 8,
    ACTIONS(1916), 1,
      anon_sym_DQUOTE,
    ACTIONS(1918), 1,
      aux_sym_string_body_token1,
    ACTIONS(1922), 1,
      anon_sym_BSLASHu,
    ACTIONS(1924), 1,
      sym_comment,
    STATE(1166), 1,
      sym_string_body,
    STATE(714), 2,
      sym_string_escape,
      aux_sym_string_body_repeat1,
    STATE(758), 2,
      sym_string_single_escpace,
      sym_numeric_escape,
    ACTIONS(1920), 4,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
  [18101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(684), 12,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_e,
      anon_sym_E,
      anon_sym_d,
      anon_sym_D,
      anon_sym_f,
      anon_sym_F,
  [18119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(652), 3,
      anon_sym_p,
      anon_sym_P,
      sym_identifier,
    ACTIONS(654), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
  [18139] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(604), 1,
      anon_sym_DOT,
    ACTIONS(630), 1,
      anon_sym_0,
    ACTIONS(632), 1,
      sym_non_zero_digit,
    STATE(556), 1,
      sym_dotted_decimal_number,
    STATE(573), 1,
      sym_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(737), 1,
      sym_hex_indicator,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(621), 2,
      sym_int_literal,
      sym_floating_point_literal,
  [18175] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_enum,
    ACTIONS(1928), 1,
      anon_sym_function,
    ACTIONS(1930), 1,
      anon_sym_const,
    ACTIONS(1932), 1,
      anon_sym_class,
    ACTIONS(1934), 1,
      anon_sym_type,
    STATE(764), 1,
      aux_sym_class_type_quals_repeat1,
    STATE(1112), 1,
      sym_class_type_quals,
    ACTIONS(17), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
  [18207] = 8,
    ACTIONS(1918), 1,
      aux_sym_string_body_token1,
    ACTIONS(1922), 1,
      anon_sym_BSLASHu,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(1936), 1,
      anon_sym_DQUOTE,
    STATE(1127), 1,
      sym_string_body,
    STATE(714), 2,
      sym_string_escape,
      aux_sym_string_body_repeat1,
    STATE(758), 2,
      sym_string_single_escpace,
      sym_numeric_escape,
    ACTIONS(1920), 4,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
  [18237] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(223), 1,
      anon_sym_0,
    ACTIONS(225), 1,
      sym_non_zero_digit,
    ACTIONS(321), 1,
      anon_sym_DOT,
    STATE(549), 1,
      sym_decimal_number,
    STATE(553), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(743), 1,
      sym_hex_indicator,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(621), 2,
      sym_int_literal,
      sym_floating_point_literal,
  [18273] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_0x,
    ACTIONS(498), 1,
      anon_sym_DOT,
    ACTIONS(510), 1,
      anon_sym_0,
    ACTIONS(512), 1,
      sym_non_zero_digit,
    STATE(551), 1,
      sym_decimal_number,
    STATE(552), 1,
      sym_dotted_decimal_number,
    STATE(598), 1,
      sym_hex_int_literal,
    STATE(733), 1,
      sym_hex_indicator,
    STATE(617), 2,
      sym_decimal_floating_point_number,
      sym_hex_floating_point_literal,
    STATE(621), 2,
      sym_int_literal,
      sym_floating_point_literal,
  [18309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      sym_digit,
    STATE(710), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(698), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [18331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1941), 1,
      sym_identifier,
    STATE(1102), 1,
      sym_builtin_type_name,
    ACTIONS(31), 9,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
  [18352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_builtin_type_name,
    ACTIONS(31), 9,
      anon_sym_readonly,
      anon_sym_any,
      anon_sym_anydata,
      anon_sym_boolean,
      anon_sym_byte,
      anon_sym_error,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
  [18373] = 7,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(1945), 1,
      anon_sym_DQUOTE,
    ACTIONS(1947), 1,
      aux_sym_string_body_token1,
    ACTIONS(1953), 1,
      anon_sym_BSLASHu,
    STATE(713), 2,
      sym_string_escape,
      aux_sym_string_body_repeat1,
    STATE(758), 2,
      sym_string_single_escpace,
      sym_numeric_escape,
    ACTIONS(1950), 4,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
  [18400] = 7,
    ACTIONS(1922), 1,
      anon_sym_BSLASHu,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(1956), 1,
      anon_sym_DQUOTE,
    ACTIONS(1958), 1,
      aux_sym_string_body_token1,
    STATE(713), 2,
      sym_string_escape,
      aux_sym_string_body_repeat1,
    STATE(758), 2,
      sym_string_single_escpace,
      sym_numeric_escape,
    ACTIONS(1920), 4,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
  [18427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 11,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
      anon_sym_p,
      anon_sym_P,
  [18444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1962), 1,
      anon_sym_returns,
    ACTIONS(1960), 9,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [18462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_COMMA,
    STATE(718), 1,
      aux_sym_let_clause_repeat1,
    ACTIONS(1966), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_COMMA,
    STATE(723), 1,
      aux_sym_let_clause_repeat1,
    ACTIONS(1968), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18502] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      sym_identifier,
    STATE(339), 1,
      sym_call_expr,
    STATE(719), 1,
      sym_checking_keyword,
    STATE(996), 1,
      sym_function_reference,
    STATE(1065), 1,
      sym_qualified_identifier,
    STATE(1071), 1,
      sym_module_prefix,
    ACTIONS(67), 2,
      anon_sym_check,
      anon_sym_checkpanic,
    STATE(328), 2,
      sym_function_call_expr,
      sym_method_call_expr,
  [18532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_digit,
    STATE(559), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1108), 8,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
  [18552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      anon_sym_returns,
    ACTIONS(1972), 9,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [18570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1709), 1,
      sym_digit,
    STATE(559), 1,
      aux_sym_decimal_number_repeat1,
    ACTIONS(1112), 8,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
  [18590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym_COMMA,
    STATE(723), 1,
      aux_sym_let_clause_repeat1,
    ACTIONS(1979), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_DOT,
    STATE(623), 1,
      sym_hex_exponent,
    STATE(805), 1,
      sym_hex_exponent_indicator,
    ACTIONS(1042), 2,
      anon_sym_p,
      anon_sym_P,
    ACTIONS(1046), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_GT,
  [18634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_COMMA,
    STATE(725), 1,
      aux_sym_order_by_clause_repeat1,
    ACTIONS(1986), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_COMMA,
    STATE(725), 1,
      aux_sym_order_by_clause_repeat1,
    ACTIONS(1990), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      aux_sym_order_by_clause_repeat1,
    ACTIONS(1992), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_hex_floating_point_number,
    STATE(434), 1,
      sym_dotted_hex_number,
    STATE(435), 1,
      sym_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_hex_floating_point_number,
    STATE(419), 1,
      sym_hex_number,
    STATE(424), 1,
      sym_dotted_hex_number,
    STATE(379), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(995), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      anon_sym_PIPE,
    ACTIONS(1998), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [18761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_hex_floating_point_number,
    STATE(391), 1,
      sym_dotted_hex_number,
    STATE(392), 1,
      sym_hex_number,
    STATE(332), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(849), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_hex_floating_point_number,
    STATE(698), 1,
      sym_dotted_hex_number,
    STATE(701), 1,
      sym_hex_number,
    STATE(594), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1711), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_hex_floating_point_number,
    STATE(660), 1,
      sym_dotted_hex_number,
    STATE(661), 1,
      sym_hex_number,
    STATE(566), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1622), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_hex_floating_point_number,
    STATE(428), 1,
      sym_hex_number,
    STATE(429), 1,
      sym_dotted_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_hex_floating_point_number,
    STATE(428), 1,
      sym_hex_number,
    STATE(429), 1,
      sym_dotted_hex_number,
    STATE(455), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1221), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_returns,
    ACTIONS(2013), 1,
      sym_identifier,
    ACTIONS(1960), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [18905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_hex_floating_point_number,
    STATE(698), 1,
      sym_dotted_hex_number,
    STATE(724), 1,
      sym_hex_number,
    STATE(673), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1871), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [18930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1986), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2017), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [18975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      sym_identifier,
    ACTIONS(2019), 1,
      anon_sym_returns,
    ACTIONS(1960), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [18994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2025), 1,
      anon_sym_AMP,
    ACTIONS(2021), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [19013] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_hex_floating_point_number,
    STATE(614), 1,
      sym_hex_number,
    STATE(655), 1,
      sym_dotted_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 9,
      anon_sym_COMMA,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [19053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_returns,
    ACTIONS(2032), 1,
      sym_identifier,
    ACTIONS(1972), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
  [19072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 1,
      sym_identifier,
    ACTIONS(2034), 1,
      anon_sym_returns,
    ACTIONS(1972), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
  [19091] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_DOT,
    STATE(611), 1,
      sym_hex_floating_point_number,
    STATE(660), 1,
      sym_dotted_hex_number,
    STATE(662), 1,
      sym_hex_number,
    STATE(574), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1646), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_PIPE,
    ACTIONS(2040), 1,
      anon_sym_AMP,
    ACTIONS(2021), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [19134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [19148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_PIPE,
    ACTIONS(2047), 1,
      anon_sym_AMP,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2053), 1,
      sym_identifier,
    ACTIONS(2045), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [19172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2057), 1,
      anon_sym_AMP,
    ACTIONS(2021), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [19190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2060), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [19204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_PIPE,
    ACTIONS(1998), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [19220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 8,
      anon_sym_from,
      anon_sym_where,
      anon_sym_let,
      anon_sym_outer,
      anon_sym_join,
      anon_sym_order,
      anon_sym_limit,
      anon_sym_select,
  [19234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_PIPE,
    ACTIONS(1998), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [19250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_returns,
    ACTIONS(1972), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [19265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_class,
    STATE(757), 1,
      aux_sym_class_type_quals_repeat1,
    ACTIONS(2074), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
  [19282] = 2,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(2077), 7,
      anon_sym_DQUOTE,
      aux_sym_string_body_token1,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
      anon_sym_BSLASHu,
  [19295] = 2,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(2079), 7,
      anon_sym_DQUOTE,
      aux_sym_string_body_token1,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
      anon_sym_BSLASHu,
  [19308] = 2,
    ACTIONS(1924), 1,
      sym_comment,
    ACTIONS(2081), 7,
      anon_sym_DQUOTE,
      aux_sym_string_body_token1,
      anon_sym_TAB,
      anon_sym_LF,
      anon_sym_CR,
      anon_sym_BSLASH,
      anon_sym_BSLASHu,
  [19321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_returns,
    ACTIONS(1960), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [19336] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2053), 1,
      sym_identifier,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2045), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [19357] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_PIPE,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(910), 1,
      aux_sym_tuple_member_type_desc_list_repeat1,
  [19382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 1,
      anon_sym_class,
    STATE(757), 1,
      aux_sym_class_type_quals_repeat1,
    ACTIONS(2099), 5,
      anon_sym_distinct,
      anon_sym_readonly,
      anon_sym_isolated,
      anon_sym_client,
      anon_sym_service,
  [19399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(642), 1,
      sym_hex_number,
    STATE(594), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1711), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2089), 1,
      anon_sym_PIPE,
    ACTIONS(2091), 1,
      anon_sym_AMP,
    ACTIONS(2095), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [19435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(699), 1,
      sym_hex_number,
    STATE(574), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1646), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(699), 1,
      sym_hex_number,
    STATE(566), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1622), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_PIPE,
    ACTIONS(1998), 5,
      anon_sym_COMMA,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [19481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_PIPE,
    ACTIONS(2106), 1,
      anon_sym_AMP,
    ACTIONS(2021), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [19497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(704), 1,
      sym_hex_number,
    STATE(574), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1646), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(642), 1,
      sym_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(645), 1,
      sym_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(704), 1,
      sym_hex_number,
    STATE(566), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1622), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(211), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2109), 1,
      sym_identifier,
    STATE(893), 1,
      sym_named_arg,
    STATE(1121), 1,
      sym_other_args,
    STATE(1064), 2,
      sym_named_args,
      sym_rest_args,
  [19581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(645), 1,
      sym_hex_number,
    STATE(594), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1711), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(1818), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [19615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(285), 1,
      sym_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(285), 1,
      sym_hex_number,
    STATE(455), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1221), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1128), 1,
      sym_hex_number,
    STATE(401), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(285), 1,
      sym_hex_number,
    STATE(379), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(995), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(1835), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [19697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1135), 1,
      sym_code_point,
    STATE(784), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    STATE(390), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(1064), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19729] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(285), 1,
      sym_hex_number,
    STATE(332), 2,
      sym_hex_digit,
      aux_sym_hex_number_repeat1,
    ACTIONS(849), 3,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [19745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_COMMA,
    ACTIONS(2117), 1,
      anon_sym_EQ,
    ACTIONS(2119), 1,
      anon_sym_RPAREN,
    STATE(792), 1,
      aux_sym_param_list_repeat1,
    STATE(846), 1,
      aux_sym_param_list_repeat2,
    STATE(867), 1,
      aux_sym_param_list_repeat3,
  [19767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_PIPE,
    ACTIONS(2047), 1,
      anon_sym_AMP,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2123), 1,
      sym_identifier,
    STATE(917), 1,
      sym_field_name,
  [19789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      sym_digit,
    STATE(430), 1,
      aux_sym_decimal_number_repeat1,
    STATE(1000), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2129), 1,
      sym_digit,
    STATE(439), 1,
      aux_sym_decimal_number_repeat1,
    STATE(980), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 1,
      sym_identifier,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(894), 1,
      sym_field,
    STATE(1046), 1,
      sym_field_list,
    STATE(1048), 1,
      sym_field_name,
  [19842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2133), 2,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [19859] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_COMMA,
    ACTIONS(2137), 1,
      anon_sym_RPAREN,
    STATE(831), 1,
      aux_sym_param_list_repeat2,
    STATE(860), 1,
      aux_sym_param_list_repeat1,
    STATE(863), 1,
      aux_sym_param_list_repeat3,
  [19878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(2139), 4,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [19891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2123), 1,
      sym_identifier,
    STATE(901), 1,
      sym_field_name,
  [19910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      sym_digit,
    STATE(593), 1,
      aux_sym_decimal_number_repeat1,
    STATE(999), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(2101), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [19944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 1,
      sym_digit,
    STATE(421), 1,
      aux_sym_decimal_number_repeat1,
    STATE(1020), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      sym_digit,
    STATE(375), 1,
      aux_sym_decimal_number_repeat1,
    STATE(1013), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_function,
    ACTIONS(2149), 1,
      anon_sym_isolated,
    ACTIONS(2151), 1,
      sym_transactional_qual,
    STATE(1017), 1,
      sym_isolated_qual,
    STATE(1082), 1,
      sym_function_quals,
  [19997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 1,
      anon_sym_returns,
    ACTIONS(1972), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_GT,
  [20010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 1,
      sym_digit,
    STATE(398), 1,
      aux_sym_decimal_number_repeat1,
    STATE(925), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2123), 1,
      sym_identifier,
    STATE(917), 1,
      sym_field_name,
  [20046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_isolated,
    ACTIONS(2151), 1,
      sym_transactional_qual,
    ACTIONS(2157), 1,
      anon_sym_function,
    STATE(1017), 1,
      sym_isolated_qual,
    STATE(1157), 1,
      sym_function_quals,
  [20065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_returns,
    ACTIONS(1960), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_GT,
  [20078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      sym_digit,
    STATE(722), 1,
      aux_sym_decimal_number_repeat1,
    STATE(932), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 1,
      sym_digit,
    STATE(413), 1,
      aux_sym_decimal_number_repeat1,
    STATE(993), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      sym_digit,
    STATE(644), 1,
      aux_sym_decimal_number_repeat1,
    STATE(973), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 1,
      sym_digit,
    STATE(700), 1,
      aux_sym_decimal_number_repeat1,
    STATE(949), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      sym_digit,
    STATE(442), 1,
      aux_sym_decimal_number_repeat1,
    STATE(965), 1,
      sym_sign,
    ACTIONS(2125), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2171), 1,
      sym_identifier,
  [20179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2173), 1,
      sym_identifier,
  [20195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2179), 1,
      anon_sym_GT,
  [20211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2181), 1,
      anon_sym_GT,
  [20227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2183), 1,
      anon_sym_GT,
  [20243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2185), 1,
      anon_sym_GT,
  [20259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 4,
      anon_sym_EQ_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [20269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2187), 1,
      anon_sym_GT,
  [20285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2189), 1,
      anon_sym_GT,
  [20301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_LBRACE,
    ACTIONS(2193), 1,
      anon_sym_EQ_GT,
    STATE(669), 2,
      sym_expr_function_body,
      sym_stmt_block,
  [20315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(2195), 1,
      anon_sym_RPAREN,
  [20331] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2197), 1,
      anon_sym_GT,
  [20347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2199), 1,
      anon_sym_GT,
  [20363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2201), 4,
      anon_sym_DOT,
      sym_digit,
      aux_sym_hex_digit_token1,
      aux_sym_hex_digit_token2,
  [20373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2203), 1,
      anon_sym_GT,
  [20389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_PIPE,
    ACTIONS(2085), 1,
      anon_sym_AMP,
    ACTIONS(2205), 1,
      sym_identifier,
  [20405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2207), 1,
      anon_sym_GT,
  [20421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2089), 1,
      anon_sym_PIPE,
    ACTIONS(2091), 1,
      anon_sym_AMP,
  [20437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2209), 1,
      anon_sym_GT,
  [20453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2211), 1,
      anon_sym_GT,
  [20469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 4,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_COLON,
  [20479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_COMMA,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
    STATE(864), 1,
      aux_sym_param_list_repeat2,
    STATE(904), 1,
      aux_sym_param_list_repeat3,
  [20495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_isolated,
    ACTIONS(2219), 1,
      anon_sym_function,
    ACTIONS(2221), 1,
      anon_sym_remote,
    STATE(946), 1,
      sym_isolated_qual,
  [20511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      anon_sym_PIPE,
    ACTIONS(1998), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_GT,
  [20523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_GT,
  [20539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2228), 1,
      anon_sym_GT,
  [20555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_GT,
  [20571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 1,
      anon_sym_LBRACE,
    ACTIONS(2232), 1,
      anon_sym_if,
    STATE(389), 2,
      sym_stmt_block,
      sym_if_else_stmt,
  [20585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_returns,
    ACTIONS(1972), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [20597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(2236), 1,
      anon_sym_SEMI,
  [20613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2238), 1,
      anon_sym_GT,
  [20629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2240), 1,
      anon_sym_AMP,
    ACTIONS(2021), 2,
      anon_sym_LBRACK,
      anon_sym_GT,
  [20643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2175), 1,
      anon_sym_PIPE,
    ACTIONS(2177), 1,
      anon_sym_AMP,
    ACTIONS(2243), 1,
      anon_sym_GT,
  [20659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_returns,
    ACTIONS(1960), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [20671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_LBRACK,
    ACTIONS(2111), 1,
      anon_sym_AMP,
    ACTIONS(2247), 1,
      anon_sym_SEMI,
  [20687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      anon_sym_RPAREN,
    ACTIONS(2249), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym_param_list_repeat2,
    STATE(867), 1,
      aux_sym_param_list_repeat3,
  [20703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_RPAREN,
    ACTIONS(2251), 1,
      anon_sym_COMMA,
    STATE(863), 1,
      aux_sym_param_list_repeat3,
    STATE(864), 1,
      aux_sym_param_list_repeat2,
  [20719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_LBRACE,
    ACTIONS(2193), 1,
      anon_sym_EQ_GT,
    STATE(672), 2,
      sym_expr_function_body,
      sym_stmt_block,
  [20733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_SLASH,
    ACTIONS(2255), 3,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
  [20745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      sym_identifier,
    STATE(641), 1,
      sym_signature,
  [20758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(895), 1,
      sym_binding_pattern,
    ACTIONS(2261), 2,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [20769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1001), 1,
      sym_query_pipeline,
  [20782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(935), 1,
      sym_query_pipeline,
  [20795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(938), 1,
      sym_query_pipeline,
  [20808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2259), 1,
      sym_identifier,
    STATE(653), 1,
      sym_signature,
  [20821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(942), 1,
      sym_query_pipeline,
  [20834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(945), 1,
      sym_query_pipeline,
  [20847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(952), 1,
      sym_query_pipeline,
  [20860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(957), 1,
      sym_query_pipeline,
  [20873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 3,
      anon_sym_check,
      anon_sym_checkpanic,
      sym_identifier,
  [20882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 1,
      anon_sym_COMMA,
    ACTIONS(2268), 1,
      anon_sym_RPAREN,
    STATE(860), 1,
      aux_sym_param_list_repeat1,
  [20895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_COMMA,
    ACTIONS(2273), 1,
      anon_sym_RPAREN,
    STATE(861), 1,
      aux_sym_named_args_repeat1,
  [20908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(975), 1,
      sym_query_pipeline,
  [20921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
    ACTIONS(2275), 1,
      anon_sym_COMMA,
    STATE(872), 1,
      aux_sym_param_list_repeat3,
  [20934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_COMMA,
    ACTIONS(2280), 1,
      anon_sym_RPAREN,
    STATE(864), 1,
      aux_sym_param_list_repeat2,
  [20947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_COMMA,
    ACTIONS(2285), 1,
      anon_sym_RPAREN,
    STATE(865), 1,
      aux_sym_positional_args_repeat1,
  [20960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1005), 1,
      sym_query_pipeline,
  [20973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2137), 1,
      anon_sym_RPAREN,
    ACTIONS(2287), 1,
      anon_sym_COMMA,
    STATE(872), 1,
      aux_sym_param_list_repeat3,
  [20986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    STATE(880), 1,
      aux_sym_enum_decl_repeat1,
  [20999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_EQ,
    ACTIONS(2293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [21010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1011), 1,
      sym_query_pipeline,
  [21023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [21032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2302), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      aux_sym_param_list_repeat3,
  [21045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1024), 1,
      sym_query_pipeline,
  [21058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 3,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
  [21067] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_as,
    ACTIONS(2308), 1,
      anon_sym_SEMI,
    ACTIONS(2310), 1,
      anon_sym_DOT,
  [21080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1030), 1,
      sym_query_pipeline,
  [21093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(1018), 1,
      sym_query_pipeline,
  [21106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(998), 1,
      sym_query_pipeline,
  [21119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_DOT,
    ACTIONS(2312), 1,
      anon_sym_as,
    ACTIONS(2314), 1,
      anon_sym_SEMI,
  [21132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    ACTIONS(2316), 1,
      anon_sym_RBRACE,
    STATE(905), 1,
      aux_sym_enum_decl_repeat1,
  [21145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 3,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_DOT,
  [21154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(978), 1,
      sym_query_pipeline,
  [21167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    ACTIONS(2318), 1,
      anon_sym_COMMA,
    STATE(883), 1,
      aux_sym_tuple_member_type_desc_list_repeat1,
  [21180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2321), 3,
      anon_sym_function,
      anon_sym_remote,
      sym_transactional_qual,
  [21189] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_isolated,
    ACTIONS(2219), 1,
      anon_sym_function,
    STATE(1122), 1,
      sym_isolated_qual,
  [21202] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 1,
      sym_identifier,
    STATE(971), 1,
      sym_field,
    STATE(1048), 1,
      sym_field_name,
  [21215] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_from,
    STATE(583), 1,
      sym_from_clause,
    STATE(930), 1,
      sym_query_pipeline,
  [21228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2325), 1,
      anon_sym_RBRACE,
    STATE(909), 1,
      aux_sym_field_list_repeat1,
  [21241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(2327), 1,
      anon_sym_RBRACK,
    STATE(911), 1,
      aux_sym_expr_list_repeat1,
  [21254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    ACTIONS(2316), 1,
      anon_sym_RBRACE,
    STATE(907), 1,
      aux_sym_enum_decl_repeat1,
  [21267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_digit,
  [21276] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_COMMA,
    ACTIONS(2333), 1,
      anon_sym_RPAREN,
    STATE(912), 1,
      aux_sym_positional_args_repeat1,
  [21289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_RPAREN,
    STATE(915), 1,
      aux_sym_named_args_repeat1,
  [21302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2323), 1,
      anon_sym_COMMA,
    ACTIONS(2339), 1,
      anon_sym_RBRACE,
    STATE(888), 1,
      aux_sym_field_list_repeat1,
  [21315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_in,
  [21324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      sym_identifier,
    STATE(875), 1,
      sym_module_name,
    STATE(1129), 1,
      sym_org_name,
  [21337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_digit,
  [21346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_LBRACK,
    STATE(569), 2,
      sym_array_dimensions,
      aux_sym_array_type_desc_repeat1,
  [21357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2347), 1,
      sym_identifier,
    STATE(641), 1,
      sym_signature,
  [21370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_EQ,
    ACTIONS(2268), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [21381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_SEMI,
    ACTIONS(2351), 1,
      anon_sym_EQ,
    ACTIONS(2353), 1,
      anon_sym_QMARK,
  [21394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(710), 1,
      anon_sym_COLON,
    ACTIONS(2355), 1,
      anon_sym_DOT,
  [21407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 3,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_in,
  [21416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      aux_sym_param_list_repeat3,
  [21429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 1,
      anon_sym_RBRACE,
    STATE(905), 1,
      aux_sym_enum_decl_repeat1,
  [21442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym_identifier,
    STATE(653), 1,
      sym_signature,
  [21455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2289), 1,
      anon_sym_COMMA,
    ACTIONS(2370), 1,
      anon_sym_RBRACE,
    STATE(905), 1,
      aux_sym_enum_decl_repeat1,
  [21468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2149), 1,
      anon_sym_isolated,
    ACTIONS(2372), 1,
      anon_sym_function,
    STATE(1039), 1,
      sym_isolated_qual,
  [21481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2377), 1,
      anon_sym_RBRACE,
    STATE(909), 1,
      aux_sym_field_list_repeat1,
  [21494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2379), 1,
      anon_sym_COMMA,
    ACTIONS(2381), 1,
      anon_sym_RBRACK,
    STATE(883), 1,
      aux_sym_tuple_member_type_desc_list_repeat1,
  [21507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1421), 1,
      anon_sym_RBRACK,
    ACTIONS(2383), 1,
      anon_sym_COMMA,
    STATE(911), 1,
      aux_sym_expr_list_repeat1,
  [21520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2331), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RPAREN,
    STATE(865), 1,
      aux_sym_positional_args_repeat1,
  [21533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2388), 1,
      sym_identifier,
    STATE(653), 1,
      sym_signature,
  [21546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    ACTIONS(2390), 1,
      sym_identifier,
    STATE(641), 1,
      sym_signature,
  [21559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_COMMA,
    ACTIONS(2392), 1,
      anon_sym_RPAREN,
    STATE(861), 1,
      aux_sym_named_args_repeat1,
  [21572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_function,
    ACTIONS(2394), 1,
      anon_sym_remote,
    ACTIONS(2396), 1,
      sym_transactional_qual,
  [21585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_SEMI,
    ACTIONS(2400), 1,
      anon_sym_EQ,
    ACTIONS(2402), 1,
      anon_sym_QMARK,
  [21598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_SEMI,
    ACTIONS(2406), 1,
      anon_sym_EQ,
  [21608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [21616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_signature,
  [21626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_signature,
  [21636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_signature,
  [21646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(948), 1,
      sym_signature,
  [21656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [21666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      sym_digit,
    STATE(407), 1,
      aux_sym_decimal_number_repeat1,
  [21676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_signature,
  [21686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_stmt_block,
  [21696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(1099), 1,
      sym_signature,
  [21706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_signature,
  [21716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [21726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [21734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      sym_digit,
    STATE(720), 1,
      aux_sym_decimal_number_repeat1,
  [21744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_SEMI,
    ACTIONS(2424), 1,
      anon_sym_EQ,
  [21754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_SEMI,
    ACTIONS(2428), 1,
      anon_sym_EQ,
  [21764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_select,
    STATE(494), 1,
      sym_select_clause,
  [21774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_select,
    STATE(495), 1,
      sym_select_clause,
  [21784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2285), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [21792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_select,
    STATE(497), 1,
      sym_select_clause,
  [21802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_select,
    STATE(502), 1,
      sym_select_clause,
  [21812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      sym_identifier,
    STATE(890), 1,
      sym_enum_member,
  [21822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
    ACTIONS(2438), 1,
      anon_sym_EQ,
  [21832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_select,
    STATE(427), 1,
      sym_select_clause,
  [21842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_select,
    STATE(426), 1,
      sym_select_clause,
  [21852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym_digit,
    STATE(570), 1,
      aux_sym_decimal_number_repeat1,
  [21862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_select,
    STATE(441), 1,
      sym_select_clause,
  [21872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_function,
    ACTIONS(2448), 1,
      anon_sym_remote,
  [21882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 1,
      sym_identifier,
    STATE(931), 1,
      sym_named_arg,
  [21892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LBRACE,
    STATE(466), 1,
      sym_stmt_block,
  [21902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      sym_digit,
    STATE(696), 1,
      aux_sym_decimal_number_repeat1,
  [21912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_select,
    STATE(433), 1,
      sym_select_clause,
  [21922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      sym_identifier,
    STATE(868), 1,
      sym_enum_member,
  [21932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_select,
    STATE(436), 1,
      sym_select_clause,
  [21942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_select,
    STATE(440), 1,
      sym_select_clause,
  [21952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(819), 1,
      sym_signature,
  [21962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LBRACE,
    STATE(459), 1,
      sym_stmt_block,
  [21972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(847), 1,
      sym_signature,
  [21982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_select,
    STATE(453), 1,
      sym_select_clause,
  [21992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      sym_digit,
    STATE(576), 1,
      aux_sym_decimal_number_repeat1,
  [22002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      sym_identifier,
    STATE(981), 1,
      sym_enum_member,
  [22012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      sym_identifier,
    STATE(1126), 1,
      sym_import_prefix,
  [22022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 1,
      sym_digit,
    STATE(586), 1,
      aux_sym_decimal_number_repeat1,
  [22032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_select,
    STATE(448), 1,
      sym_select_clause,
  [22042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_signature,
  [22052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      sym_identifier,
    STATE(879), 1,
      sym_module_name,
  [22062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      sym_digit,
    STATE(444), 1,
      aux_sym_decimal_number_repeat1,
  [22072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_signature,
  [22082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      sym_digit,
    STATE(371), 1,
      aux_sym_decimal_number_repeat1,
  [22092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
  [22100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
  [22108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(1161), 1,
      sym_signature,
  [22118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [22126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      sym_digit,
    STATE(654), 1,
      aux_sym_decimal_number_repeat1,
  [22146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_signature,
  [22156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_select,
    STATE(452), 1,
      sym_select_clause,
  [22166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_LBRACE,
    ACTIONS(2480), 1,
      anon_sym_LBRACE_PIPE,
  [22176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [22202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      sym_digit,
    STATE(437), 1,
      aux_sym_decimal_number_repeat1,
  [22212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [22220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(590), 1,
      anon_sym_STAR,
    STATE(919), 1,
      sym_include_record_param,
  [22230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
  [22238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      sym_digit,
    STATE(571), 1,
      aux_sym_decimal_number_repeat1,
  [22248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_select,
    STATE(450), 1,
      sym_select_clause,
  [22258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_EQ_GT,
    ACTIONS(2492), 1,
      anon_sym_PIPE,
  [22268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
  [22276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    STATE(641), 1,
      sym_signature,
  [22286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(955), 1,
      sym_signature,
  [22296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_signature,
  [22306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 2,
      sym_wildcard_binding_pattern,
      sym_identifier,
  [22314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_digit,
    STATE(397), 1,
      aux_sym_decimal_number_repeat1,
  [22334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_COMMA,
    ACTIONS(2500), 1,
      anon_sym_RPAREN,
  [22344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      sym_identifier,
    STATE(1098), 1,
      sym_import_prefix,
  [22354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    STATE(354), 1,
      sym_arg_list,
  [22364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      sym_digit,
    STATE(591), 1,
      aux_sym_decimal_number_repeat1,
  [22374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      sym_digit,
    STATE(595), 1,
      aux_sym_decimal_number_repeat1,
  [22394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      sym_digit,
    STATE(432), 1,
      aux_sym_decimal_number_repeat1,
  [22404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_select,
    STATE(481), 1,
      sym_select_clause,
  [22414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_function,
    ACTIONS(2448), 1,
      sym_transactional_qual,
  [22424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    STATE(356), 1,
      sym_arg_list,
  [22434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      sym_digit,
    STATE(369), 1,
      aux_sym_decimal_number_repeat1,
  [22444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 1,
      anon_sym_SEMI,
    ACTIONS(2512), 1,
      anon_sym_EQ,
  [22464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      sym_digit,
    STATE(366), 1,
      aux_sym_decimal_number_repeat1,
  [22484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_select,
    STATE(476), 1,
      sym_select_clause,
  [22494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_LBRACE,
    STATE(668), 1,
      sym_stmt_block,
  [22504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      sym_digit,
    STATE(370), 1,
      aux_sym_decimal_number_repeat1,
  [22534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_stmt_block,
  [22562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_function,
    ACTIONS(2522), 1,
      sym_transactional_qual,
  [22572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      sym_signature,
  [22592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      sym_digit,
    STATE(420), 1,
      aux_sym_decimal_number_repeat1,
  [22602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(1090), 1,
      sym_signature,
  [22612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(1016), 1,
      sym_signature,
  [22622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      sym_digit,
    STATE(290), 1,
      aux_sym_decimal_number_repeat1,
  [22632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      sym_digit,
    STATE(575), 1,
      aux_sym_decimal_number_repeat1,
  [22662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_LPAREN,
    STATE(1097), 1,
      sym_signature,
  [22672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_select,
    STATE(294), 1,
      sym_select_clause,
  [22682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 1,
      anon_sym_LPAREN,
    STATE(320), 1,
      sym_arg_list,
  [22692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      anon_sym_select,
    STATE(296), 1,
      sym_select_clause,
  [22702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [22710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_EQ,
  [22717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_function,
  [22724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      sym_identifier,
  [22731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym_in,
  [22738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_conflict,
  [22745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 1,
      sym_identifier,
  [22752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_RBRACK,
  [22759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_function,
  [22766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
  [22773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_RBRACK,
  [22780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      sym_identifier,
  [22787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_conflict,
  [22794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_RPAREN,
  [22801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_RBRACK,
  [22808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_RBRACE,
  [22815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_SEMI,
  [22822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_COLON,
  [22829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      sym_identifier,
  [22836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_function,
  [22843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_in,
  [22850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_SEMI,
  [22857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_EQ,
  [22864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_conflict,
  [22871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_EQ,
  [22878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_SEMI,
  [22885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_SEMI,
  [22892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_PIPE_RBRACE,
  [22899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_conflict,
  [22906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_SEMI,
  [22913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_0X,
  [22920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      sym_digit,
  [22927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_conflict,
  [22934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_RPAREN,
  [22941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
  [22948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_RPAREN,
  [22955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      sym_identifier,
  [22962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_conflict,
  [22969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_join,
  [22976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
  [22983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_COLON,
  [22990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_PIPE_RBRACE,
  [22997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_by,
  [23004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_RPAREN,
  [23011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_function,
  [23018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_COLON,
  [23025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      sym_identifier,
  [23032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_RPAREN,
  [23039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_COLON,
  [23046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_SEMI,
  [23053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_SEMI,
  [23060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_function,
  [23067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_SEMI,
  [23074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_conflict,
  [23081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_SEMI,
  [23088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_LT,
  [23095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      anon_sym_LBRACE,
  [23102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_conflict,
  [23109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_EQ,
  [23116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_SEMI,
  [23123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      anon_sym_SEMI,
  [23130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
  [23137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 1,
      anon_sym_COLON,
  [23144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_RBRACK,
  [23151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 1,
      sym_identifier,
  [23158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_RBRACK,
  [23165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym_SEMI,
  [23172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_SEMI,
  [23179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_SEMI,
  [23186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      sym_identifier,
  [23193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      anon_sym_LBRACE,
  [23200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      sym_identifier,
  [23207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_LBRACE,
  [23214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      sym_identifier,
  [23221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
  [23228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_EQ,
  [23235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      anon_sym_SEMI,
  [23242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 1,
      sym_identifier,
  [23249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      sym_identifier,
  [23256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_LBRACE,
  [23263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_LBRACE,
  [23270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_class,
  [23277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 1,
      sym_identifier,
  [23284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      sym_identifier,
  [23291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_EQ,
  [23298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      sym_identifier,
  [23305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_function,
  [23312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_EQ,
  [23319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      sym_identifier,
  [23326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      sym_identifier,
  [23333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_RPAREN,
  [23340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_function,
  [23347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
  [23354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_in,
  [23361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_RBRACK,
  [23368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_SEMI,
  [23375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_DQUOTE,
  [23382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1046), 1,
      anon_sym_RBRACK,
  [23389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_SLASH,
  [23396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 1,
      sym_identifier,
  [23403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_EQ,
  [23410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym_EQ,
  [23417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_RBRACK,
  [23424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym_LBRACE,
  [23431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_RBRACE,
  [23438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_PIPE_RBRACE,
  [23445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_RPAREN,
  [23452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 1,
      anon_sym_RPAREN,
  [23459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_in,
  [23466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      anon_sym_LPAREN,
  [23473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_class,
  [23480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_EQ,
  [23487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2716), 1,
      ts_builtin_sym_end,
  [23494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      ts_builtin_sym_end,
  [23501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_function,
  [23508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      sym_identifier,
  [23515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_RPAREN,
  [23522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 1,
      sym_identifier,
  [23529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_from,
  [23536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_SEMI,
  [23543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      sym_identifier,
  [23550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      sym_identifier,
  [23557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_RPAREN,
  [23564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      sym_identifier,
  [23571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
  [23578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_RPAREN,
  [23585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_function,
  [23592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_SEMI,
  [23599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_function,
  [23606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      sym_identifier,
  [23613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_SEMI,
  [23620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_function,
  [23627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_function,
  [23634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_function,
  [23641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_LBRACE,
  [23648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      anon_sym_DQUOTE,
  [23655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_function,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(281)] = 0,
  [SMALL_STATE(282)] = 74,
  [SMALL_STATE(283)] = 148,
  [SMALL_STATE(284)] = 218,
  [SMALL_STATE(285)] = 288,
  [SMALL_STATE(286)] = 342,
  [SMALL_STATE(287)] = 396,
  [SMALL_STATE(288)] = 453,
  [SMALL_STATE(289)] = 522,
  [SMALL_STATE(290)] = 579,
  [SMALL_STATE(291)] = 636,
  [SMALL_STATE(292)] = 691,
  [SMALL_STATE(293)] = 748,
  [SMALL_STATE(294)] = 801,
  [SMALL_STATE(295)] = 856,
  [SMALL_STATE(296)] = 913,
  [SMALL_STATE(297)] = 968,
  [SMALL_STATE(298)] = 1037,
  [SMALL_STATE(299)] = 1096,
  [SMALL_STATE(300)] = 1148,
  [SMALL_STATE(301)] = 1200,
  [SMALL_STATE(302)] = 1252,
  [SMALL_STATE(303)] = 1304,
  [SMALL_STATE(304)] = 1356,
  [SMALL_STATE(305)] = 1408,
  [SMALL_STATE(306)] = 1460,
  [SMALL_STATE(307)] = 1512,
  [SMALL_STATE(308)] = 1564,
  [SMALL_STATE(309)] = 1616,
  [SMALL_STATE(310)] = 1672,
  [SMALL_STATE(311)] = 1724,
  [SMALL_STATE(312)] = 1782,
  [SMALL_STATE(313)] = 1834,
  [SMALL_STATE(314)] = 1886,
  [SMALL_STATE(315)] = 1938,
  [SMALL_STATE(316)] = 1990,
  [SMALL_STATE(317)] = 2042,
  [SMALL_STATE(318)] = 2094,
  [SMALL_STATE(319)] = 2146,
  [SMALL_STATE(320)] = 2198,
  [SMALL_STATE(321)] = 2250,
  [SMALL_STATE(322)] = 2302,
  [SMALL_STATE(323)] = 2354,
  [SMALL_STATE(324)] = 2406,
  [SMALL_STATE(325)] = 2458,
  [SMALL_STATE(326)] = 2510,
  [SMALL_STATE(327)] = 2562,
  [SMALL_STATE(328)] = 2614,
  [SMALL_STATE(329)] = 2666,
  [SMALL_STATE(330)] = 2718,
  [SMALL_STATE(331)] = 2770,
  [SMALL_STATE(332)] = 2822,
  [SMALL_STATE(333)] = 2880,
  [SMALL_STATE(334)] = 2932,
  [SMALL_STATE(335)] = 2996,
  [SMALL_STATE(336)] = 3048,
  [SMALL_STATE(337)] = 3100,
  [SMALL_STATE(338)] = 3152,
  [SMALL_STATE(339)] = 3204,
  [SMALL_STATE(340)] = 3256,
  [SMALL_STATE(341)] = 3308,
  [SMALL_STATE(342)] = 3360,
  [SMALL_STATE(343)] = 3412,
  [SMALL_STATE(344)] = 3464,
  [SMALL_STATE(345)] = 3516,
  [SMALL_STATE(346)] = 3568,
  [SMALL_STATE(347)] = 3620,
  [SMALL_STATE(348)] = 3672,
  [SMALL_STATE(349)] = 3724,
  [SMALL_STATE(350)] = 3776,
  [SMALL_STATE(351)] = 3828,
  [SMALL_STATE(352)] = 3880,
  [SMALL_STATE(353)] = 3932,
  [SMALL_STATE(354)] = 3984,
  [SMALL_STATE(355)] = 4036,
  [SMALL_STATE(356)] = 4088,
  [SMALL_STATE(357)] = 4140,
  [SMALL_STATE(358)] = 4192,
  [SMALL_STATE(359)] = 4244,
  [SMALL_STATE(360)] = 4296,
  [SMALL_STATE(361)] = 4348,
  [SMALL_STATE(362)] = 4400,
  [SMALL_STATE(363)] = 4452,
  [SMALL_STATE(364)] = 4507,
  [SMALL_STATE(365)] = 4570,
  [SMALL_STATE(366)] = 4625,
  [SMALL_STATE(367)] = 4680,
  [SMALL_STATE(368)] = 4735,
  [SMALL_STATE(369)] = 4790,
  [SMALL_STATE(370)] = 4845,
  [SMALL_STATE(371)] = 4900,
  [SMALL_STATE(372)] = 4955,
  [SMALL_STATE(373)] = 5006,
  [SMALL_STATE(374)] = 5061,
  [SMALL_STATE(375)] = 5116,
  [SMALL_STATE(376)] = 5171,
  [SMALL_STATE(377)] = 5226,
  [SMALL_STATE(378)] = 5276,
  [SMALL_STATE(379)] = 5336,
  [SMALL_STATE(380)] = 5392,
  [SMALL_STATE(381)] = 5448,
  [SMALL_STATE(382)] = 5510,
  [SMALL_STATE(383)] = 5560,
  [SMALL_STATE(384)] = 5612,
  [SMALL_STATE(385)] = 5662,
  [SMALL_STATE(386)] = 5711,
  [SMALL_STATE(387)] = 5760,
  [SMALL_STATE(388)] = 5809,
  [SMALL_STATE(389)] = 5858,
  [SMALL_STATE(390)] = 5907,
  [SMALL_STATE(391)] = 5960,
  [SMALL_STATE(392)] = 6015,
  [SMALL_STATE(393)] = 6070,
  [SMALL_STATE(394)] = 6119,
  [SMALL_STATE(395)] = 6168,
  [SMALL_STATE(396)] = 6217,
  [SMALL_STATE(397)] = 6266,
  [SMALL_STATE(398)] = 6319,
  [SMALL_STATE(399)] = 6372,
  [SMALL_STATE(400)] = 6421,
  [SMALL_STATE(401)] = 6470,
  [SMALL_STATE(402)] = 6523,
  [SMALL_STATE(403)] = 6572,
  [SMALL_STATE(404)] = 6621,
  [SMALL_STATE(405)] = 6670,
  [SMALL_STATE(406)] = 6719,
  [SMALL_STATE(407)] = 6780,
  [SMALL_STATE(408)] = 6833,
  [SMALL_STATE(409)] = 6882,
  [SMALL_STATE(410)] = 6931,
  [SMALL_STATE(411)] = 6980,
  [SMALL_STATE(412)] = 7029,
  [SMALL_STATE(413)] = 7078,
  [SMALL_STATE(414)] = 7131,
  [SMALL_STATE(415)] = 7188,
  [SMALL_STATE(416)] = 7237,
  [SMALL_STATE(417)] = 7286,
  [SMALL_STATE(418)] = 7334,
  [SMALL_STATE(419)] = 7394,
  [SMALL_STATE(420)] = 7447,
  [SMALL_STATE(421)] = 7498,
  [SMALL_STATE(422)] = 7549,
  [SMALL_STATE(423)] = 7608,
  [SMALL_STATE(424)] = 7655,
  [SMALL_STATE(425)] = 7708,
  [SMALL_STATE(426)] = 7766,
  [SMALL_STATE(427)] = 7816,
  [SMALL_STATE(428)] = 7866,
  [SMALL_STATE(429)] = 7918,
  [SMALL_STATE(430)] = 7970,
  [SMALL_STATE(431)] = 8019,
  [SMALL_STATE(432)] = 8068,
  [SMALL_STATE(433)] = 8117,
  [SMALL_STATE(434)] = 8165,
  [SMALL_STATE(435)] = 8215,
  [SMALL_STATE(436)] = 8265,
  [SMALL_STATE(437)] = 8313,
  [SMALL_STATE(438)] = 8361,
  [SMALL_STATE(439)] = 8409,
  [SMALL_STATE(440)] = 8457,
  [SMALL_STATE(441)] = 8505,
  [SMALL_STATE(442)] = 8553,
  [SMALL_STATE(443)] = 8600,
  [SMALL_STATE(444)] = 8647,
  [SMALL_STATE(445)] = 8694,
  [SMALL_STATE(446)] = 8787,
  [SMALL_STATE(447)] = 8864,
  [SMALL_STATE(448)] = 8957,
  [SMALL_STATE(449)] = 9003,
  [SMALL_STATE(450)] = 9049,
  [SMALL_STATE(451)] = 9095,
  [SMALL_STATE(452)] = 9185,
  [SMALL_STATE(453)] = 9231,
  [SMALL_STATE(454)] = 9277,
  [SMALL_STATE(455)] = 9325,
  [SMALL_STATE(456)] = 9373,
  [SMALL_STATE(457)] = 9414,
  [SMALL_STATE(458)] = 9455,
  [SMALL_STATE(459)] = 9500,
  [SMALL_STATE(460)] = 9541,
  [SMALL_STATE(461)] = 9582,
  [SMALL_STATE(462)] = 9623,
  [SMALL_STATE(463)] = 9676,
  [SMALL_STATE(464)] = 9717,
  [SMALL_STATE(465)] = 9758,
  [SMALL_STATE(466)] = 9799,
  [SMALL_STATE(467)] = 9840,
  [SMALL_STATE(468)] = 9881,
  [SMALL_STATE(469)] = 9922,
  [SMALL_STATE(470)] = 9963,
  [SMALL_STATE(471)] = 10004,
  [SMALL_STATE(472)] = 10045,
  [SMALL_STATE(473)] = 10086,
  [SMALL_STATE(474)] = 10127,
  [SMALL_STATE(475)] = 10168,
  [SMALL_STATE(476)] = 10209,
  [SMALL_STATE(477)] = 10253,
  [SMALL_STATE(478)] = 10305,
  [SMALL_STATE(479)] = 10345,
  [SMALL_STATE(480)] = 10415,
  [SMALL_STATE(481)] = 10459,
  [SMALL_STATE(482)] = 10503,
  [SMALL_STATE(483)] = 10572,
  [SMALL_STATE(484)] = 10641,
  [SMALL_STATE(485)] = 10710,
  [SMALL_STATE(486)] = 10793,
  [SMALL_STATE(487)] = 10862,
  [SMALL_STATE(488)] = 10900,
  [SMALL_STATE(489)] = 10938,
  [SMALL_STATE(490)] = 10976,
  [SMALL_STATE(491)] = 11014,
  [SMALL_STATE(492)] = 11052,
  [SMALL_STATE(493)] = 11098,
  [SMALL_STATE(494)] = 11136,
  [SMALL_STATE(495)] = 11176,
  [SMALL_STATE(496)] = 11216,
  [SMALL_STATE(497)] = 11255,
  [SMALL_STATE(498)] = 11293,
  [SMALL_STATE(499)] = 11329,
  [SMALL_STATE(500)] = 11365,
  [SMALL_STATE(501)] = 11401,
  [SMALL_STATE(502)] = 11439,
  [SMALL_STATE(503)] = 11477,
  [SMALL_STATE(504)] = 11545,
  [SMALL_STATE(505)] = 11581,
  [SMALL_STATE(506)] = 11644,
  [SMALL_STATE(507)] = 11707,
  [SMALL_STATE(508)] = 11772,
  [SMALL_STATE(509)] = 11829,
  [SMALL_STATE(510)] = 11892,
  [SMALL_STATE(511)] = 11957,
  [SMALL_STATE(512)] = 12022,
  [SMALL_STATE(513)] = 12087,
  [SMALL_STATE(514)] = 12150,
  [SMALL_STATE(515)] = 12215,
  [SMALL_STATE(516)] = 12278,
  [SMALL_STATE(517)] = 12312,
  [SMALL_STATE(518)] = 12374,
  [SMALL_STATE(519)] = 12436,
  [SMALL_STATE(520)] = 12498,
  [SMALL_STATE(521)] = 12560,
  [SMALL_STATE(522)] = 12622,
  [SMALL_STATE(523)] = 12684,
  [SMALL_STATE(524)] = 12718,
  [SMALL_STATE(525)] = 12752,
  [SMALL_STATE(526)] = 12814,
  [SMALL_STATE(527)] = 12848,
  [SMALL_STATE(528)] = 12910,
  [SMALL_STATE(529)] = 12972,
  [SMALL_STATE(530)] = 13034,
  [SMALL_STATE(531)] = 13096,
  [SMALL_STATE(532)] = 13158,
  [SMALL_STATE(533)] = 13220,
  [SMALL_STATE(534)] = 13282,
  [SMALL_STATE(535)] = 13344,
  [SMALL_STATE(536)] = 13406,
  [SMALL_STATE(537)] = 13468,
  [SMALL_STATE(538)] = 13530,
  [SMALL_STATE(539)] = 13592,
  [SMALL_STATE(540)] = 13654,
  [SMALL_STATE(541)] = 13716,
  [SMALL_STATE(542)] = 13778,
  [SMALL_STATE(543)] = 13840,
  [SMALL_STATE(544)] = 13902,
  [SMALL_STATE(545)] = 13961,
  [SMALL_STATE(546)] = 14014,
  [SMALL_STATE(547)] = 14067,
  [SMALL_STATE(548)] = 14120,
  [SMALL_STATE(549)] = 14150,
  [SMALL_STATE(550)] = 14194,
  [SMALL_STATE(551)] = 14239,
  [SMALL_STATE(552)] = 14284,
  [SMALL_STATE(553)] = 14327,
  [SMALL_STATE(554)] = 14368,
  [SMALL_STATE(555)] = 14399,
  [SMALL_STATE(556)] = 14432,
  [SMALL_STATE(557)] = 14471,
  [SMALL_STATE(558)] = 14512,
  [SMALL_STATE(559)] = 14543,
  [SMALL_STATE(560)] = 14573,
  [SMALL_STATE(561)] = 14603,
  [SMALL_STATE(562)] = 14633,
  [SMALL_STATE(563)] = 14667,
  [SMALL_STATE(564)] = 14697,
  [SMALL_STATE(565)] = 14726,
  [SMALL_STATE(566)] = 14755,
  [SMALL_STATE(567)] = 14786,
  [SMALL_STATE(568)] = 14817,
  [SMALL_STATE(569)] = 14842,
  [SMALL_STATE(570)] = 14871,
  [SMALL_STATE(571)] = 14900,
  [SMALL_STATE(572)] = 14929,
  [SMALL_STATE(573)] = 14960,
  [SMALL_STATE(574)] = 14999,
  [SMALL_STATE(575)] = 15030,
  [SMALL_STATE(576)] = 15059,
  [SMALL_STATE(577)] = 15088,
  [SMALL_STATE(578)] = 15113,
  [SMALL_STATE(579)] = 15142,
  [SMALL_STATE(580)] = 15175,
  [SMALL_STATE(581)] = 15201,
  [SMALL_STATE(582)] = 15241,
  [SMALL_STATE(583)] = 15265,
  [SMALL_STATE(584)] = 15305,
  [SMALL_STATE(585)] = 15333,
  [SMALL_STATE(586)] = 15357,
  [SMALL_STATE(587)] = 15383,
  [SMALL_STATE(588)] = 15409,
  [SMALL_STATE(589)] = 15433,
  [SMALL_STATE(590)] = 15473,
  [SMALL_STATE(591)] = 15501,
  [SMALL_STATE(592)] = 15527,
  [SMALL_STATE(593)] = 15555,
  [SMALL_STATE(594)] = 15583,
  [SMALL_STATE(595)] = 15611,
  [SMALL_STATE(596)] = 15639,
  [SMALL_STATE(597)] = 15662,
  [SMALL_STATE(598)] = 15685,
  [SMALL_STATE(599)] = 15708,
  [SMALL_STATE(600)] = 15733,
  [SMALL_STATE(601)] = 15764,
  [SMALL_STATE(602)] = 15787,
  [SMALL_STATE(603)] = 15810,
  [SMALL_STATE(604)] = 15833,
  [SMALL_STATE(605)] = 15856,
  [SMALL_STATE(606)] = 15879,
  [SMALL_STATE(607)] = 15902,
  [SMALL_STATE(608)] = 15925,
  [SMALL_STATE(609)] = 15948,
  [SMALL_STATE(610)] = 15979,
  [SMALL_STATE(611)] = 16002,
  [SMALL_STATE(612)] = 16025,
  [SMALL_STATE(613)] = 16048,
  [SMALL_STATE(614)] = 16071,
  [SMALL_STATE(615)] = 16100,
  [SMALL_STATE(616)] = 16133,
  [SMALL_STATE(617)] = 16156,
  [SMALL_STATE(618)] = 16179,
  [SMALL_STATE(619)] = 16202,
  [SMALL_STATE(620)] = 16225,
  [SMALL_STATE(621)] = 16248,
  [SMALL_STATE(622)] = 16271,
  [SMALL_STATE(623)] = 16294,
  [SMALL_STATE(624)] = 16317,
  [SMALL_STATE(625)] = 16340,
  [SMALL_STATE(626)] = 16363,
  [SMALL_STATE(627)] = 16386,
  [SMALL_STATE(628)] = 16409,
  [SMALL_STATE(629)] = 16432,
  [SMALL_STATE(630)] = 16455,
  [SMALL_STATE(631)] = 16478,
  [SMALL_STATE(632)] = 16503,
  [SMALL_STATE(633)] = 16526,
  [SMALL_STATE(634)] = 16549,
  [SMALL_STATE(635)] = 16572,
  [SMALL_STATE(636)] = 16595,
  [SMALL_STATE(637)] = 16618,
  [SMALL_STATE(638)] = 16641,
  [SMALL_STATE(639)] = 16672,
  [SMALL_STATE(640)] = 16695,
  [SMALL_STATE(641)] = 16718,
  [SMALL_STATE(642)] = 16740,
  [SMALL_STATE(643)] = 16760,
  [SMALL_STATE(644)] = 16782,
  [SMALL_STATE(645)] = 16806,
  [SMALL_STATE(646)] = 16826,
  [SMALL_STATE(647)] = 16850,
  [SMALL_STATE(648)] = 16872,
  [SMALL_STATE(649)] = 16894,
  [SMALL_STATE(650)] = 16916,
  [SMALL_STATE(651)] = 16940,
  [SMALL_STATE(652)] = 16962,
  [SMALL_STATE(653)] = 16984,
  [SMALL_STATE(654)] = 17006,
  [SMALL_STATE(655)] = 17030,
  [SMALL_STATE(656)] = 17056,
  [SMALL_STATE(657)] = 17080,
  [SMALL_STATE(658)] = 17102,
  [SMALL_STATE(659)] = 17124,
  [SMALL_STATE(660)] = 17146,
  [SMALL_STATE(661)] = 17174,
  [SMALL_STATE(662)] = 17204,
  [SMALL_STATE(663)] = 17234,
  [SMALL_STATE(664)] = 17256,
  [SMALL_STATE(665)] = 17275,
  [SMALL_STATE(666)] = 17294,
  [SMALL_STATE(667)] = 17313,
  [SMALL_STATE(668)] = 17332,
  [SMALL_STATE(669)] = 17353,
  [SMALL_STATE(670)] = 17372,
  [SMALL_STATE(671)] = 17393,
  [SMALL_STATE(672)] = 17412,
  [SMALL_STATE(673)] = 17431,
  [SMALL_STATE(674)] = 17454,
  [SMALL_STATE(675)] = 17475,
  [SMALL_STATE(676)] = 17494,
  [SMALL_STATE(677)] = 17513,
  [SMALL_STATE(678)] = 17532,
  [SMALL_STATE(679)] = 17551,
  [SMALL_STATE(680)] = 17574,
  [SMALL_STATE(681)] = 17593,
  [SMALL_STATE(682)] = 17612,
  [SMALL_STATE(683)] = 17633,
  [SMALL_STATE(684)] = 17652,
  [SMALL_STATE(685)] = 17671,
  [SMALL_STATE(686)] = 17690,
  [SMALL_STATE(687)] = 17729,
  [SMALL_STATE(688)] = 17750,
  [SMALL_STATE(689)] = 17769,
  [SMALL_STATE(690)] = 17788,
  [SMALL_STATE(691)] = 17807,
  [SMALL_STATE(692)] = 17826,
  [SMALL_STATE(693)] = 17847,
  [SMALL_STATE(694)] = 17866,
  [SMALL_STATE(695)] = 17885,
  [SMALL_STATE(696)] = 17921,
  [SMALL_STATE(697)] = 17943,
  [SMALL_STATE(698)] = 17979,
  [SMALL_STATE(699)] = 18003,
  [SMALL_STATE(700)] = 18023,
  [SMALL_STATE(701)] = 18045,
  [SMALL_STATE(702)] = 18071,
  [SMALL_STATE(703)] = 18101,
  [SMALL_STATE(704)] = 18119,
  [SMALL_STATE(705)] = 18139,
  [SMALL_STATE(706)] = 18175,
  [SMALL_STATE(707)] = 18207,
  [SMALL_STATE(708)] = 18237,
  [SMALL_STATE(709)] = 18273,
  [SMALL_STATE(710)] = 18309,
  [SMALL_STATE(711)] = 18331,
  [SMALL_STATE(712)] = 18352,
  [SMALL_STATE(713)] = 18373,
  [SMALL_STATE(714)] = 18400,
  [SMALL_STATE(715)] = 18427,
  [SMALL_STATE(716)] = 18444,
  [SMALL_STATE(717)] = 18462,
  [SMALL_STATE(718)] = 18482,
  [SMALL_STATE(719)] = 18502,
  [SMALL_STATE(720)] = 18532,
  [SMALL_STATE(721)] = 18552,
  [SMALL_STATE(722)] = 18570,
  [SMALL_STATE(723)] = 18590,
  [SMALL_STATE(724)] = 18610,
  [SMALL_STATE(725)] = 18634,
  [SMALL_STATE(726)] = 18654,
  [SMALL_STATE(727)] = 18674,
  [SMALL_STATE(728)] = 18694,
  [SMALL_STATE(729)] = 18719,
  [SMALL_STATE(730)] = 18744,
  [SMALL_STATE(731)] = 18761,
  [SMALL_STATE(732)] = 18786,
  [SMALL_STATE(733)] = 18811,
  [SMALL_STATE(734)] = 18836,
  [SMALL_STATE(735)] = 18861,
  [SMALL_STATE(736)] = 18886,
  [SMALL_STATE(737)] = 18905,
  [SMALL_STATE(738)] = 18930,
  [SMALL_STATE(739)] = 18945,
  [SMALL_STATE(740)] = 18960,
  [SMALL_STATE(741)] = 18975,
  [SMALL_STATE(742)] = 18994,
  [SMALL_STATE(743)] = 19013,
  [SMALL_STATE(744)] = 19038,
  [SMALL_STATE(745)] = 19053,
  [SMALL_STATE(746)] = 19072,
  [SMALL_STATE(747)] = 19091,
  [SMALL_STATE(748)] = 19116,
  [SMALL_STATE(749)] = 19134,
  [SMALL_STATE(750)] = 19148,
  [SMALL_STATE(751)] = 19172,
  [SMALL_STATE(752)] = 19190,
  [SMALL_STATE(753)] = 19204,
  [SMALL_STATE(754)] = 19220,
  [SMALL_STATE(755)] = 19234,
  [SMALL_STATE(756)] = 19250,
  [SMALL_STATE(757)] = 19265,
  [SMALL_STATE(758)] = 19282,
  [SMALL_STATE(759)] = 19295,
  [SMALL_STATE(760)] = 19308,
  [SMALL_STATE(761)] = 19321,
  [SMALL_STATE(762)] = 19336,
  [SMALL_STATE(763)] = 19357,
  [SMALL_STATE(764)] = 19382,
  [SMALL_STATE(765)] = 19399,
  [SMALL_STATE(766)] = 19415,
  [SMALL_STATE(767)] = 19435,
  [SMALL_STATE(768)] = 19451,
  [SMALL_STATE(769)] = 19467,
  [SMALL_STATE(770)] = 19481,
  [SMALL_STATE(771)] = 19497,
  [SMALL_STATE(772)] = 19513,
  [SMALL_STATE(773)] = 19529,
  [SMALL_STATE(774)] = 19545,
  [SMALL_STATE(775)] = 19561,
  [SMALL_STATE(776)] = 19581,
  [SMALL_STATE(777)] = 19597,
  [SMALL_STATE(778)] = 19615,
  [SMALL_STATE(779)] = 19631,
  [SMALL_STATE(780)] = 19647,
  [SMALL_STATE(781)] = 19663,
  [SMALL_STATE(782)] = 19679,
  [SMALL_STATE(783)] = 19697,
  [SMALL_STATE(784)] = 19713,
  [SMALL_STATE(785)] = 19729,
  [SMALL_STATE(786)] = 19745,
  [SMALL_STATE(787)] = 19767,
  [SMALL_STATE(788)] = 19789,
  [SMALL_STATE(789)] = 19806,
  [SMALL_STATE(790)] = 19823,
  [SMALL_STATE(791)] = 19842,
  [SMALL_STATE(792)] = 19859,
  [SMALL_STATE(793)] = 19878,
  [SMALL_STATE(794)] = 19891,
  [SMALL_STATE(795)] = 19910,
  [SMALL_STATE(796)] = 19927,
  [SMALL_STATE(797)] = 19944,
  [SMALL_STATE(798)] = 19961,
  [SMALL_STATE(799)] = 19978,
  [SMALL_STATE(800)] = 19997,
  [SMALL_STATE(801)] = 20010,
  [SMALL_STATE(802)] = 20027,
  [SMALL_STATE(803)] = 20046,
  [SMALL_STATE(804)] = 20065,
  [SMALL_STATE(805)] = 20078,
  [SMALL_STATE(806)] = 20095,
  [SMALL_STATE(807)] = 20112,
  [SMALL_STATE(808)] = 20129,
  [SMALL_STATE(809)] = 20146,
  [SMALL_STATE(810)] = 20163,
  [SMALL_STATE(811)] = 20179,
  [SMALL_STATE(812)] = 20195,
  [SMALL_STATE(813)] = 20211,
  [SMALL_STATE(814)] = 20227,
  [SMALL_STATE(815)] = 20243,
  [SMALL_STATE(816)] = 20259,
  [SMALL_STATE(817)] = 20269,
  [SMALL_STATE(818)] = 20285,
  [SMALL_STATE(819)] = 20301,
  [SMALL_STATE(820)] = 20315,
  [SMALL_STATE(821)] = 20331,
  [SMALL_STATE(822)] = 20347,
  [SMALL_STATE(823)] = 20363,
  [SMALL_STATE(824)] = 20373,
  [SMALL_STATE(825)] = 20389,
  [SMALL_STATE(826)] = 20405,
  [SMALL_STATE(827)] = 20421,
  [SMALL_STATE(828)] = 20437,
  [SMALL_STATE(829)] = 20453,
  [SMALL_STATE(830)] = 20469,
  [SMALL_STATE(831)] = 20479,
  [SMALL_STATE(832)] = 20495,
  [SMALL_STATE(833)] = 20511,
  [SMALL_STATE(834)] = 20523,
  [SMALL_STATE(835)] = 20539,
  [SMALL_STATE(836)] = 20555,
  [SMALL_STATE(837)] = 20571,
  [SMALL_STATE(838)] = 20585,
  [SMALL_STATE(839)] = 20597,
  [SMALL_STATE(840)] = 20613,
  [SMALL_STATE(841)] = 20629,
  [SMALL_STATE(842)] = 20643,
  [SMALL_STATE(843)] = 20659,
  [SMALL_STATE(844)] = 20671,
  [SMALL_STATE(845)] = 20687,
  [SMALL_STATE(846)] = 20703,
  [SMALL_STATE(847)] = 20719,
  [SMALL_STATE(848)] = 20733,
  [SMALL_STATE(849)] = 20745,
  [SMALL_STATE(850)] = 20758,
  [SMALL_STATE(851)] = 20769,
  [SMALL_STATE(852)] = 20782,
  [SMALL_STATE(853)] = 20795,
  [SMALL_STATE(854)] = 20808,
  [SMALL_STATE(855)] = 20821,
  [SMALL_STATE(856)] = 20834,
  [SMALL_STATE(857)] = 20847,
  [SMALL_STATE(858)] = 20860,
  [SMALL_STATE(859)] = 20873,
  [SMALL_STATE(860)] = 20882,
  [SMALL_STATE(861)] = 20895,
  [SMALL_STATE(862)] = 20908,
  [SMALL_STATE(863)] = 20921,
  [SMALL_STATE(864)] = 20934,
  [SMALL_STATE(865)] = 20947,
  [SMALL_STATE(866)] = 20960,
  [SMALL_STATE(867)] = 20973,
  [SMALL_STATE(868)] = 20986,
  [SMALL_STATE(869)] = 20999,
  [SMALL_STATE(870)] = 21010,
  [SMALL_STATE(871)] = 21023,
  [SMALL_STATE(872)] = 21032,
  [SMALL_STATE(873)] = 21045,
  [SMALL_STATE(874)] = 21058,
  [SMALL_STATE(875)] = 21067,
  [SMALL_STATE(876)] = 21080,
  [SMALL_STATE(877)] = 21093,
  [SMALL_STATE(878)] = 21106,
  [SMALL_STATE(879)] = 21119,
  [SMALL_STATE(880)] = 21132,
  [SMALL_STATE(881)] = 21145,
  [SMALL_STATE(882)] = 21154,
  [SMALL_STATE(883)] = 21167,
  [SMALL_STATE(884)] = 21180,
  [SMALL_STATE(885)] = 21189,
  [SMALL_STATE(886)] = 21202,
  [SMALL_STATE(887)] = 21215,
  [SMALL_STATE(888)] = 21228,
  [SMALL_STATE(889)] = 21241,
  [SMALL_STATE(890)] = 21254,
  [SMALL_STATE(891)] = 21267,
  [SMALL_STATE(892)] = 21276,
  [SMALL_STATE(893)] = 21289,
  [SMALL_STATE(894)] = 21302,
  [SMALL_STATE(895)] = 21315,
  [SMALL_STATE(896)] = 21324,
  [SMALL_STATE(897)] = 21337,
  [SMALL_STATE(898)] = 21346,
  [SMALL_STATE(899)] = 21357,
  [SMALL_STATE(900)] = 21370,
  [SMALL_STATE(901)] = 21381,
  [SMALL_STATE(902)] = 21394,
  [SMALL_STATE(903)] = 21407,
  [SMALL_STATE(904)] = 21416,
  [SMALL_STATE(905)] = 21429,
  [SMALL_STATE(906)] = 21442,
  [SMALL_STATE(907)] = 21455,
  [SMALL_STATE(908)] = 21468,
  [SMALL_STATE(909)] = 21481,
  [SMALL_STATE(910)] = 21494,
  [SMALL_STATE(911)] = 21507,
  [SMALL_STATE(912)] = 21520,
  [SMALL_STATE(913)] = 21533,
  [SMALL_STATE(914)] = 21546,
  [SMALL_STATE(915)] = 21559,
  [SMALL_STATE(916)] = 21572,
  [SMALL_STATE(917)] = 21585,
  [SMALL_STATE(918)] = 21598,
  [SMALL_STATE(919)] = 21608,
  [SMALL_STATE(920)] = 21616,
  [SMALL_STATE(921)] = 21626,
  [SMALL_STATE(922)] = 21636,
  [SMALL_STATE(923)] = 21646,
  [SMALL_STATE(924)] = 21656,
  [SMALL_STATE(925)] = 21666,
  [SMALL_STATE(926)] = 21676,
  [SMALL_STATE(927)] = 21686,
  [SMALL_STATE(928)] = 21696,
  [SMALL_STATE(929)] = 21706,
  [SMALL_STATE(930)] = 21716,
  [SMALL_STATE(931)] = 21726,
  [SMALL_STATE(932)] = 21734,
  [SMALL_STATE(933)] = 21744,
  [SMALL_STATE(934)] = 21754,
  [SMALL_STATE(935)] = 21764,
  [SMALL_STATE(936)] = 21774,
  [SMALL_STATE(937)] = 21784,
  [SMALL_STATE(938)] = 21792,
  [SMALL_STATE(939)] = 21802,
  [SMALL_STATE(940)] = 21812,
  [SMALL_STATE(941)] = 21822,
  [SMALL_STATE(942)] = 21832,
  [SMALL_STATE(943)] = 21842,
  [SMALL_STATE(944)] = 21852,
  [SMALL_STATE(945)] = 21862,
  [SMALL_STATE(946)] = 21872,
  [SMALL_STATE(947)] = 21882,
  [SMALL_STATE(948)] = 21892,
  [SMALL_STATE(949)] = 21902,
  [SMALL_STATE(950)] = 21912,
  [SMALL_STATE(951)] = 21922,
  [SMALL_STATE(952)] = 21932,
  [SMALL_STATE(953)] = 21942,
  [SMALL_STATE(954)] = 21952,
  [SMALL_STATE(955)] = 21962,
  [SMALL_STATE(956)] = 21972,
  [SMALL_STATE(957)] = 21982,
  [SMALL_STATE(958)] = 21992,
  [SMALL_STATE(959)] = 22002,
  [SMALL_STATE(960)] = 22012,
  [SMALL_STATE(961)] = 22022,
  [SMALL_STATE(962)] = 22032,
  [SMALL_STATE(963)] = 22042,
  [SMALL_STATE(964)] = 22052,
  [SMALL_STATE(965)] = 22062,
  [SMALL_STATE(966)] = 22072,
  [SMALL_STATE(967)] = 22082,
  [SMALL_STATE(968)] = 22092,
  [SMALL_STATE(969)] = 22100,
  [SMALL_STATE(970)] = 22108,
  [SMALL_STATE(971)] = 22118,
  [SMALL_STATE(972)] = 22126,
  [SMALL_STATE(973)] = 22136,
  [SMALL_STATE(974)] = 22146,
  [SMALL_STATE(975)] = 22156,
  [SMALL_STATE(976)] = 22166,
  [SMALL_STATE(977)] = 22176,
  [SMALL_STATE(978)] = 22184,
  [SMALL_STATE(979)] = 22194,
  [SMALL_STATE(980)] = 22202,
  [SMALL_STATE(981)] = 22212,
  [SMALL_STATE(982)] = 22220,
  [SMALL_STATE(983)] = 22230,
  [SMALL_STATE(984)] = 22238,
  [SMALL_STATE(985)] = 22248,
  [SMALL_STATE(986)] = 22258,
  [SMALL_STATE(987)] = 22268,
  [SMALL_STATE(988)] = 22276,
  [SMALL_STATE(989)] = 22286,
  [SMALL_STATE(990)] = 22296,
  [SMALL_STATE(991)] = 22306,
  [SMALL_STATE(992)] = 22314,
  [SMALL_STATE(993)] = 22324,
  [SMALL_STATE(994)] = 22334,
  [SMALL_STATE(995)] = 22344,
  [SMALL_STATE(996)] = 22354,
  [SMALL_STATE(997)] = 22364,
  [SMALL_STATE(998)] = 22374,
  [SMALL_STATE(999)] = 22384,
  [SMALL_STATE(1000)] = 22394,
  [SMALL_STATE(1001)] = 22404,
  [SMALL_STATE(1002)] = 22414,
  [SMALL_STATE(1003)] = 22424,
  [SMALL_STATE(1004)] = 22434,
  [SMALL_STATE(1005)] = 22444,
  [SMALL_STATE(1006)] = 22454,
  [SMALL_STATE(1007)] = 22464,
  [SMALL_STATE(1008)] = 22474,
  [SMALL_STATE(1009)] = 22484,
  [SMALL_STATE(1010)] = 22494,
  [SMALL_STATE(1011)] = 22504,
  [SMALL_STATE(1012)] = 22514,
  [SMALL_STATE(1013)] = 22524,
  [SMALL_STATE(1014)] = 22534,
  [SMALL_STATE(1015)] = 22544,
  [SMALL_STATE(1016)] = 22552,
  [SMALL_STATE(1017)] = 22562,
  [SMALL_STATE(1018)] = 22572,
  [SMALL_STATE(1019)] = 22582,
  [SMALL_STATE(1020)] = 22592,
  [SMALL_STATE(1021)] = 22602,
  [SMALL_STATE(1022)] = 22612,
  [SMALL_STATE(1023)] = 22622,
  [SMALL_STATE(1024)] = 22632,
  [SMALL_STATE(1025)] = 22642,
  [SMALL_STATE(1026)] = 22652,
  [SMALL_STATE(1027)] = 22662,
  [SMALL_STATE(1028)] = 22672,
  [SMALL_STATE(1029)] = 22682,
  [SMALL_STATE(1030)] = 22692,
  [SMALL_STATE(1031)] = 22702,
  [SMALL_STATE(1032)] = 22710,
  [SMALL_STATE(1033)] = 22717,
  [SMALL_STATE(1034)] = 22724,
  [SMALL_STATE(1035)] = 22731,
  [SMALL_STATE(1036)] = 22738,
  [SMALL_STATE(1037)] = 22745,
  [SMALL_STATE(1038)] = 22752,
  [SMALL_STATE(1039)] = 22759,
  [SMALL_STATE(1040)] = 22766,
  [SMALL_STATE(1041)] = 22773,
  [SMALL_STATE(1042)] = 22780,
  [SMALL_STATE(1043)] = 22787,
  [SMALL_STATE(1044)] = 22794,
  [SMALL_STATE(1045)] = 22801,
  [SMALL_STATE(1046)] = 22808,
  [SMALL_STATE(1047)] = 22815,
  [SMALL_STATE(1048)] = 22822,
  [SMALL_STATE(1049)] = 22829,
  [SMALL_STATE(1050)] = 22836,
  [SMALL_STATE(1051)] = 22843,
  [SMALL_STATE(1052)] = 22850,
  [SMALL_STATE(1053)] = 22857,
  [SMALL_STATE(1054)] = 22864,
  [SMALL_STATE(1055)] = 22871,
  [SMALL_STATE(1056)] = 22878,
  [SMALL_STATE(1057)] = 22885,
  [SMALL_STATE(1058)] = 22892,
  [SMALL_STATE(1059)] = 22899,
  [SMALL_STATE(1060)] = 22906,
  [SMALL_STATE(1061)] = 22913,
  [SMALL_STATE(1062)] = 22920,
  [SMALL_STATE(1063)] = 22927,
  [SMALL_STATE(1064)] = 22934,
  [SMALL_STATE(1065)] = 22941,
  [SMALL_STATE(1066)] = 22948,
  [SMALL_STATE(1067)] = 22955,
  [SMALL_STATE(1068)] = 22962,
  [SMALL_STATE(1069)] = 22969,
  [SMALL_STATE(1070)] = 22976,
  [SMALL_STATE(1071)] = 22983,
  [SMALL_STATE(1072)] = 22990,
  [SMALL_STATE(1073)] = 22997,
  [SMALL_STATE(1074)] = 23004,
  [SMALL_STATE(1075)] = 23011,
  [SMALL_STATE(1076)] = 23018,
  [SMALL_STATE(1077)] = 23025,
  [SMALL_STATE(1078)] = 23032,
  [SMALL_STATE(1079)] = 23039,
  [SMALL_STATE(1080)] = 23046,
  [SMALL_STATE(1081)] = 23053,
  [SMALL_STATE(1082)] = 23060,
  [SMALL_STATE(1083)] = 23067,
  [SMALL_STATE(1084)] = 23074,
  [SMALL_STATE(1085)] = 23081,
  [SMALL_STATE(1086)] = 23088,
  [SMALL_STATE(1087)] = 23095,
  [SMALL_STATE(1088)] = 23102,
  [SMALL_STATE(1089)] = 23109,
  [SMALL_STATE(1090)] = 23116,
  [SMALL_STATE(1091)] = 23123,
  [SMALL_STATE(1092)] = 23130,
  [SMALL_STATE(1093)] = 23137,
  [SMALL_STATE(1094)] = 23144,
  [SMALL_STATE(1095)] = 23151,
  [SMALL_STATE(1096)] = 23158,
  [SMALL_STATE(1097)] = 23165,
  [SMALL_STATE(1098)] = 23172,
  [SMALL_STATE(1099)] = 23179,
  [SMALL_STATE(1100)] = 23186,
  [SMALL_STATE(1101)] = 23193,
  [SMALL_STATE(1102)] = 23200,
  [SMALL_STATE(1103)] = 23207,
  [SMALL_STATE(1104)] = 23214,
  [SMALL_STATE(1105)] = 23221,
  [SMALL_STATE(1106)] = 23228,
  [SMALL_STATE(1107)] = 23235,
  [SMALL_STATE(1108)] = 23242,
  [SMALL_STATE(1109)] = 23249,
  [SMALL_STATE(1110)] = 23256,
  [SMALL_STATE(1111)] = 23263,
  [SMALL_STATE(1112)] = 23270,
  [SMALL_STATE(1113)] = 23277,
  [SMALL_STATE(1114)] = 23284,
  [SMALL_STATE(1115)] = 23291,
  [SMALL_STATE(1116)] = 23298,
  [SMALL_STATE(1117)] = 23305,
  [SMALL_STATE(1118)] = 23312,
  [SMALL_STATE(1119)] = 23319,
  [SMALL_STATE(1120)] = 23326,
  [SMALL_STATE(1121)] = 23333,
  [SMALL_STATE(1122)] = 23340,
  [SMALL_STATE(1123)] = 23347,
  [SMALL_STATE(1124)] = 23354,
  [SMALL_STATE(1125)] = 23361,
  [SMALL_STATE(1126)] = 23368,
  [SMALL_STATE(1127)] = 23375,
  [SMALL_STATE(1128)] = 23382,
  [SMALL_STATE(1129)] = 23389,
  [SMALL_STATE(1130)] = 23396,
  [SMALL_STATE(1131)] = 23403,
  [SMALL_STATE(1132)] = 23410,
  [SMALL_STATE(1133)] = 23417,
  [SMALL_STATE(1134)] = 23424,
  [SMALL_STATE(1135)] = 23431,
  [SMALL_STATE(1136)] = 23438,
  [SMALL_STATE(1137)] = 23445,
  [SMALL_STATE(1138)] = 23452,
  [SMALL_STATE(1139)] = 23459,
  [SMALL_STATE(1140)] = 23466,
  [SMALL_STATE(1141)] = 23473,
  [SMALL_STATE(1142)] = 23480,
  [SMALL_STATE(1143)] = 23487,
  [SMALL_STATE(1144)] = 23494,
  [SMALL_STATE(1145)] = 23501,
  [SMALL_STATE(1146)] = 23508,
  [SMALL_STATE(1147)] = 23515,
  [SMALL_STATE(1148)] = 23522,
  [SMALL_STATE(1149)] = 23529,
  [SMALL_STATE(1150)] = 23536,
  [SMALL_STATE(1151)] = 23543,
  [SMALL_STATE(1152)] = 23550,
  [SMALL_STATE(1153)] = 23557,
  [SMALL_STATE(1154)] = 23564,
  [SMALL_STATE(1155)] = 23571,
  [SMALL_STATE(1156)] = 23578,
  [SMALL_STATE(1157)] = 23585,
  [SMALL_STATE(1158)] = 23592,
  [SMALL_STATE(1159)] = 23599,
  [SMALL_STATE(1160)] = 23606,
  [SMALL_STATE(1161)] = 23613,
  [SMALL_STATE(1162)] = 23620,
  [SMALL_STATE(1163)] = 23627,
  [SMALL_STATE(1164)] = 23634,
  [SMALL_STATE(1165)] = 23641,
  [SMALL_STATE(1166)] = 23648,
  [SMALL_STATE(1167)] = 23655,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [85] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(958),
  [88] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(963),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(233),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(588),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(884),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(225),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(885),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1087),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(228),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1086),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(976),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1142),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(26),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(114),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(113),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1047),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1150),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(222),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(110),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(107),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(697),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(859),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(991),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(628),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(632),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(577),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(558),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(1061),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(562),
  [174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_stmt_block_repeat1, 2), SHIFT_REPEAT(702),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(958),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(230),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2),
  [257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(906),
  [260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(233),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(588),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(884),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(253),
  [272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(638),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(799),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(832),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(1087),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(228),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(1086),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(976),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(697),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(628),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(632),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(577),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(558),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(1061),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(580),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_defn_repeat1, 2), SHIFT_REPEAT(702),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(958),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(235),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(913),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(233),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(588),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(884),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(231),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(253),
  [363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(638),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(799),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(832),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(1087),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(228),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(1086),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(976),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(697),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(628),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(632),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(577),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(558),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(1061),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(580),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_desc_repeat1, 2), SHIFT_REPEAT(702),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(958),
  [519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(963),
  [524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(233),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(218),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(884),
  [533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(609),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(885),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(1087),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(228),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(588),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(1086),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(976),
  [554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(697),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(628),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(632),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(577),
  [566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(558),
  [569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(1061),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(580),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inclusive_record_type_desc_repeat1, 2), SHIFT_REPEAT(702),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type_name, 1),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type_name, 1),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_visibility_qual, 1),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_floating_point_number, 1),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_floating_point_number, 1),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int_literal, 1),
  [650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int_literal, 1),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dotted_hex_number, 2),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_hex_number, 2),
  [656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dotted_hex_number, 3),
  [658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_hex_number, 3),
  [660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_number, 2),
  [662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_number, 2),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dotted_decimal_number, 3),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_decimal_number, 3),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dotted_decimal_number, 2),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_decimal_number, 2),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_reference_expr, 1),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_reference_expr, 1),
  [680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_reference, 1),
  [682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_number, 1),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_number, 1),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 2),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 2),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_decimal_number_repeat1, 2),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2),
  [700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(295),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 3),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 3),
  [707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_reference_expr, 1), SHIFT(1049),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_prefix, 1),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expr, 4),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expr, 4),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_and_expr, 3),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_and_expr, 3),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_or_expr, 3),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_or_expr, 3),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expr, 3),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expr, 3),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mapping_constructor_expr, 3),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapping_constructor_expr, 3),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expr, 3),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expr, 3),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expr, 3),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expr, 3),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_floating_point_number, 2),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_floating_point_number, 2),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_and_expr, 3),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_and_expr, 3),
  [748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(309),
  [751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_floating_point_number, 3),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_floating_point_number, 3),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(377),
  [762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(377),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_string_literal, 3),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_string_literal, 3),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mapping_constructor_expr, 2),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapping_constructor_expr, 2),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_or_expr, 3),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_or_expr, 3),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inner_expr, 1),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inner_expr, 1),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expr, 3),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expr, 3),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expr, 1),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expr, 1),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_floating_point_literal, 2),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_floating_point_literal, 2),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_constructor_expr, 2),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_constructor_expr, 2),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_new_expression, 3),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_new_expression, 3),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type_suffix, 1),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type_suffix, 1),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_floating_point_number, 2),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_floating_point_number, 2),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_numeric_expression, 2),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_numeric_expression, 2),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_select_clause, 2),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_clause, 2),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_type_suffix, 1),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_type_suffix, 1),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_new_expression, 2),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_new_expression, 2),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal_type_suffix, 1),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal_type_suffix, 1),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expr, 1),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expr, 1),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access_expr, 3),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access_expr, 3),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_conditional_expr, 3),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_conditional_expr, 3),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shift_expr, 3),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shift_expr, 3),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_number, 1),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_number, 1),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expr, 3),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expr, 3),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_list, 2),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_list, 2),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_bitwise_expr, 1),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_bitwise_expr, 1),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_xor_expr, 3),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_xor_expr, 3),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double_quoted_string_literal, 2),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double_quoted_string_literal, 2),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expr, 2),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expr, 2),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_constructor_expr, 3),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_constructor_expr, 3),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_lifted_expr, 1),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_lifted_expr, 1),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_expr, 1),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_expr, 1),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_literal, 2),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_literal, 2),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 1),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 1),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_constructor_expr, 4),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_constructor_expr, 4),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expr, 4),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expr, 4),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_literal, 1),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_literal, 1),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_list, 3),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_list, 3),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expr, 2),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expr, 2),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expr, 1),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expr, 1),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expr, 4),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expr, 4),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_query_expr, 4),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_expr, 4),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nil_literal, 1),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nil_literal, 1),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_conditional_expr, 5),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_conditional_expr, 5),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_on_conflict_clause, 3),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_on_conflict_clause, 3),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arg_list, 5),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arg_list, 5),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_new_expression, 1),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_new_expression, 1),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(367),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponent, 3),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponent, 3),
  [982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(373),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponent, 2),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponent, 2),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_digit, 1),
  [993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_digit, 1),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(417),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(417),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt_block, 3),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt_block, 3),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_else_stmt, 3),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_else_stmt, 3),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stmt_block, 2),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stmt_block, 2),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_no_init_var_decl_stmt, 3),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_no_init_var_decl_stmt, 3),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_panic_stmt, 3),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_panic_stmt, 3),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_stmt, 5),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_stmt, 5),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_else_stmt, 5),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_else_stmt, 5),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(423),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_floating_point_number, 1),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_floating_point_number, 1),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_int_literal, 2),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_int_literal, 2),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_no_init_var_decl_stmt, 2),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_no_init_var_decl_stmt, 2),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1),
  [1054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1),
  [1056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_var_decl_stmt, 5),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_var_decl_stmt, 5),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_stmt, 2),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_stmt, 2),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign_stmt, 4),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assign_stmt, 4),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_stmt, 2),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_stmt, 2),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_stmt, 3),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_stmt, 3),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_stmt, 3),
  [1080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_stmt, 3),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_stmt, 2),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_stmt, 2),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_stmt, 5),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_stmt, 5),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_stmt, 2),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_stmt, 2),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assign_stmt, 4),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assign_stmt, 4),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructuring_assign_stmt, 4),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructuring_assign_stmt, 4),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_var_decl_stmt, 4),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_var_decl_stmt, 4),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_exponent, 3),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_exponent, 3),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hex_exponent, 2),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_exponent, 2),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_key, 1),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(967),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(1078),
  [1182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(987),
  [1185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(708),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(628),
  [1191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(632),
  [1194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(395),
  [1197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(374),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(1061),
  [1203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(793),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_stmt_repeat1, 2), SHIFT_REPEAT(702),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(478),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(478),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 4),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_field, 4),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_decl, 6),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_decl, 6),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_defn, 4),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_defn, 4),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_decl, 4),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_decl, 4),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 7),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_field, 7),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 5),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_field, 5),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 3),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_field, 3),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_defn, 5),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_defn, 5),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_method_defn, 5),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_method_defn, 5),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type_inclusion, 3),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type_inclusion, 3),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_defn, 6),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_defn, 6),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 6),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_field, 6),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_member, 1),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_member, 1),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type_members, 1),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type_members, 1),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_decl, 5),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_decl, 5),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_method_decl, 5),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remote_method_decl, 5),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_var_decl, 3),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from_clause, 4),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_on_condition, 4),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit_clause, 2),
  [1337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_individual_field_desc, 4),
  [1339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_individual_field_desc, 4),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_desc, 1),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_desc, 1),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_individual_field_desc, 3),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_individual_field_desc, 3),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_individual_field_desc, 6),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_individual_field_desc, 6),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_inclusion, 3),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type_inclusion, 3),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_individual_field_desc, 5),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_individual_field_desc, 5),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 1),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_expr, 1),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defaultable_param, 3),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_arg, 1),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_arg, 3),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_expression, 1),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_args, 2),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_part, 2),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_part, 1),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(706),
  [1560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(1152),
  [1563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(1151),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(711),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(1148),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(764),
  [1575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(223),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat2, 2), SHIFT_REPEAT(1146),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assignment_operator, 2),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assignment_operator, 2),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(559),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_reference, 1),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(563),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_type_desc_repeat1, 2),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_type_desc_repeat1, 2),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_type_desc_repeat1, 2), SHIFT_REPEAT(686),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [1626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(608),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(608),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_desc, 2),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_desc, 2),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(610),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(610),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(578),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_reference, 1),
  [1655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(227),
  [1658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(63),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(216),
  [1664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(1069),
  [1667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(220),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(1073),
  [1673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2), SHIFT_REPEAT(50),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_query_pipeline_repeat1, 2),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_pipeline, 1),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_desc, 1),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_desc, 1),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_pipeline, 2),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(651),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclusive_record_type_desc, 3),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exclusive_record_type_desc, 3),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin_type_qualified_identifier, 3),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin_type_qualified_identifier, 3),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_desc, 1),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_desc, 1),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type_desc, 4),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type_desc, 4),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inclusive_record_type_desc, 3),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inclusive_record_type_desc, 3),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_desc, 2),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type_desc, 2),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_dimensions, 2),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_dimensions, 2),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_dimensions, 3),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_dimensions, 3),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_const_no_ref_expr, 1),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_const_no_ref_expr, 1),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_const_no_ref_expr, 2),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_const_no_ref_expr, 2),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclusive_record_type_desc, 5),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exclusive_record_type_desc, 5),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_singleton_type_desc, 1),
  [1773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_singleton_type_desc, 1),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_desc, 1),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type_desc, 1),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_type_desc, 1),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_type_desc, 1),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_part_repeat1, 2), SHIFT_REPEAT(896),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_part_repeat1, 2),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type_desc, 3),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type_desc, 3),
  [1792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inclusive_record_type_desc, 4),
  [1794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inclusive_record_type_desc, 4),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exclusive_record_type_desc, 4),
  [1798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exclusive_record_type_desc, 4),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type_desc, 3),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type_desc, 3),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_desc, 3),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_desc, 3),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type_desc, 3),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type_desc, 3),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type_desc, 4),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type_desc, 4),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 4),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 4),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(650),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_decl, 5),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_desc, 2),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_desc, 2),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 5),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 5),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_decl, 7),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_decl, 6),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_defn, 7),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_defn, 4),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_defn, 1),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_defn, 4),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_clause, 3),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_clause, 3),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_defn, 4),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_decl, 5),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_defn, 5),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_function_body, 3),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_defn, 5),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_defn, 5),
  [1879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_hex_number_repeat1, 2), SHIFT_REPEAT(715),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_decl, 7),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_lvexpr, 4),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_lvexpr, 4),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_defn, 7),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_decl, 8),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lvexpr, 1),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lvexpr, 1),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_defn, 6),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_defn, 5),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_defn, 6),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access_lvexpr, 3),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access_lvexpr, 3),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_decl, 3),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_defn, 5),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decimal_number_repeat1, 2), SHIFT_REPEAT(710),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_body_repeat1, 2),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_body_repeat1, 2), SHIFT_REPEAT(713),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_body_repeat1, 2), SHIFT_REPEAT(760),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_body_repeat1, 2), SHIFT_REPEAT(1165),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_body, 1),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_clause, 2),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_clause, 3),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_clause_repeat1, 2), SHIFT_REPEAT(217),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_clause_repeat1, 2),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_clause_repeat1, 2), SHIFT_REPEAT(34),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_clause_repeat1, 2),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 4),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by_clause, 3),
  [1994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type_desc, 3),
  [2000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type_desc, 3), SHIFT(273),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_key, 2),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_direction, 1),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3), SHIFT(272),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3), SHIFT(255),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_clause, 5),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param, 1),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_member_type_desc, 1),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3), SHIFT(269),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intermediate_clause, 1),
  [2062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type_desc, 3), SHIFT(254),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join_clause, 6),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type_desc, 3), SHIFT(268),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_quals_repeat1, 2),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_quals_repeat1, 2), SHIFT_REPEAT(757),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_escape, 1),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric_escape, 4),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_single_escpace, 1),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_member_type_desc_list, 1),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_quals, 1),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_member_type_desc_list_repeat1, 2),
  [2103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type_desc, 3), SHIFT(257),
  [2106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3), SHIFT(256),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_point, 1),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 1),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferable_type_desc, 1),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 2),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_reference_expr, 1),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_method_quals, 1),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_indicator, 2),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_name, 1),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 3),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_quals, 1),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_union_type_desc, 3), SHIFT(239),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type_desc, 3), SHIFT(240),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_org_name, 1),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 1),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_checking_keyword, 1),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_param_list_repeat1, 2), SHIFT_REPEAT(236),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_param_list_repeat1, 2),
  [2270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_args_repeat1, 2), SHIFT_REPEAT(947),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_args_repeat1, 2),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_param_list_repeat2, 2), SHIFT_REPEAT(229),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_param_list_repeat2, 2),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_positional_args_repeat1, 2), SHIFT_REPEAT(33),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_positional_args_repeat1, 2),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 1),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param, 2),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_param_list_repeat3, 2), SHIFT_REPEAT(982),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_param_list_repeat3, 2),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_name, 3),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_member_type_desc_list_repeat1, 2), SHIFT_REPEAT(243),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_isolated_qual, 1),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_list, 2),
  [2327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expr_list, 2),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hex_exponent_indicator, 1),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_args, 1),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_args, 1),
  [2339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_list, 1),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 2),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponent_indicator, 1),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding_pattern, 1),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 4),
  [2363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_decl_repeat1, 2), SHIFT_REPEAT(959),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_decl_repeat1, 2),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_method_quals, 2),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_list_repeat1, 2), SHIFT_REPEAT(886),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_list_repeat1, 2),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_member_type_desc_list, 2),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expr_list_repeat1, 2), SHIFT_REPEAT(149),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_args, 2),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_args, 2),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_quals, 2),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_const_expr, 1),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern_list, 3),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_member, 3),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern_list, 1),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 1),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_record_param, 3),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remote_method_quals, 3),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 5),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_member_type_desc_list, 4),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_field_desc, 3),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign, 1),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_other_args, 1),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_param, 3),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_rest_desc, 2),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_member_type_desc_list, 3),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_param_list, 6),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_prefix, 1),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 1),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_length, 1),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [2718] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_query_construct_type, 1),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_ballerina(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
